/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BLOOM_FILTER_BENCH_SKEL_H__
#define __BLOOM_FILTER_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bloom_filter_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bloom_map;
		struct bpf_map *array_map;
		struct bpf_map *hashmap;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bloom_lookup;
		struct bpf_program *bloom_update;
		struct bpf_program *bloom_hashmap_lookup;
	} progs;
	struct {
		struct bpf_link *bloom_lookup;
		struct bpf_link *bloom_update;
		struct bpf_link *bloom_hashmap_lookup;
	} links;
	struct bloom_filter_bench__rodata {
		__u32 nr_rand_bytes;
		__u32 hit_key;
		__u32 drop_key;
		__u32 false_hit_key;
		_Bool hashmap_use_bloom;
		_Bool count_false_hits;
	} *rodata;
	struct bloom_filter_bench__bss {
		int error;
		__u8 rand_vals[2500000];
		__u8 value_size;
		char __pad0[91];
		struct {
			__u32 stats[3];
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
		} percpu_stats[256];
	} *bss;

#ifdef __cplusplus
	static inline struct bloom_filter_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bloom_filter_bench *open_and_load();
	static inline int load(struct bloom_filter_bench *skel);
	static inline int attach(struct bloom_filter_bench *skel);
	static inline void detach(struct bloom_filter_bench *skel);
	static inline void destroy(struct bloom_filter_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bloom_filter_bench__destroy(struct bloom_filter_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bloom_filter_bench__create_skeleton(struct bloom_filter_bench *obj);

static inline struct bloom_filter_bench *
bloom_filter_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bloom_filter_bench *obj;
	int err;

	obj = (struct bloom_filter_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bloom_filter_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bloom_filter_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bloom_filter_bench *
bloom_filter_bench__open(void)
{
	return bloom_filter_bench__open_opts(NULL);
}

static inline int
bloom_filter_bench__load(struct bloom_filter_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bloom_filter_bench *
bloom_filter_bench__open_and_load(void)
{
	struct bloom_filter_bench *obj;
	int err;

	obj = bloom_filter_bench__open();
	if (!obj)
		return NULL;
	err = bloom_filter_bench__load(obj);
	if (err) {
		bloom_filter_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bloom_filter_bench__attach(struct bloom_filter_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bloom_filter_bench__detach(struct bloom_filter_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bloom_filter_bench__elf_bytes(size_t *sz);

static inline int
bloom_filter_bench__create_skeleton(struct bloom_filter_bench *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bloom_filter_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bloom_map";
	s->maps[0].map = &obj->maps.bloom_map;

	s->maps[1].name = "array_map";
	s->maps[1].map = &obj->maps.array_map;

	s->maps[2].name = "hashmap";
	s->maps[2].map = &obj->maps.hashmap;

	s->maps[3].name = "bloom_fi.rodata";
	s->maps[3].map = &obj->maps.rodata;
	s->maps[3].mmaped = (void **)&obj->rodata;

	s->maps[4].name = "bloom_fi.bss";
	s->maps[4].map = &obj->maps.bss;
	s->maps[4].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bloom_lookup";
	s->progs[0].prog = &obj->progs.bloom_lookup;
	s->progs[0].link = &obj->links.bloom_lookup;

	s->progs[1].name = "bloom_update";
	s->progs[1].prog = &obj->progs.bloom_update;
	s->progs[1].link = &obj->links.bloom_update;

	s->progs[2].name = "bloom_hashmap_lookup";
	s->progs[2].prog = &obj->progs.bloom_hashmap_lookup;
	s->progs[2].link = &obj->links.bloom_hashmap_lookup;

	s->data = (void *)bloom_filter_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bloom_filter_bench__elf_bytes(size_t *sz)
{
	*sz = 7408;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x19\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\
\x67\x65\x74\x70\x67\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\
\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x62\x6c\x6f\x6f\x6d\x5f\
\x66\x69\x6c\x74\x65\x72\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x62\x6c\x6f\x6f\x6d\
\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\
\x31\x5f\x33\0\x4c\x42\x42\x31\x5f\x35\0\x4c\x42\x42\x31\x5f\x36\0\x4c\x42\x42\
\x33\x5f\x31\0\x4c\x42\x42\x33\x5f\x35\0\x4c\x42\x42\x33\x5f\x37\0\x4c\x42\x42\
\x33\x5f\x36\0\x4c\x42\x42\x33\x5f\x31\x31\0\x4c\x42\x42\x33\x5f\x31\x32\0\x4c\
\x42\x42\x33\x5f\x31\x30\0\x62\x6c\x6f\x6f\x6d\x5f\x6c\x6f\x6f\x6b\x75\x70\0\
\x62\x6c\x6f\x6f\x6d\x5f\x6d\x61\x70\0\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\0\
\x65\x72\x72\x6f\x72\0\x70\x65\x72\x63\x70\x75\x5f\x73\x74\x61\x74\x73\0\x62\
\x6c\x6f\x6f\x6d\x5f\x75\x70\x64\x61\x74\x65\0\x62\x6c\x6f\x6f\x6d\x5f\x68\x61\
\x73\x68\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\0\x68\x61\x73\x68\x6d\x61\x70\
\x5f\x75\x73\x65\x5f\x62\x6c\x6f\x6f\x6d\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\
\x65\0\x72\x61\x6e\x64\x5f\x76\x61\x6c\x73\0\x68\x61\x73\x68\x6d\x61\x70\0\x63\
\x6f\x75\x6e\x74\x5f\x66\x61\x6c\x73\x65\x5f\x68\x69\x74\x73\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x6e\x72\x5f\x72\x61\x6e\x64\x5f\x62\x79\x74\x65\x73\0\x68\
\x69\x74\x5f\x6b\x65\x79\0\x64\x72\x6f\x70\x5f\x6b\x65\x79\0\x66\x61\x6c\x73\
\x65\x5f\x68\x69\x74\x5f\x6b\x65\x79\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\
\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\
\x02\0\x03\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x6e\0\0\0\0\0\x03\0\x38\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\0\0\x03\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7c\0\0\0\0\0\x03\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\0\0\0\0\0\x03\0\xd0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\0\0\x04\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x91\0\0\0\0\0\x04\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\
\x04\0\x68\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\0\0\0\0\0\x04\0\x68\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\0\0\x04\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xae\0\0\0\0\0\x04\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb6\0\0\0\0\0\x04\0\
\xe0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbe\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x78\
\0\0\0\0\0\0\0\xcb\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd5\0\0\
\0\x11\0\x08\0\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdf\0\0\0\x11\0\x07\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe5\0\0\0\x11\0\x07\0\0\x26\x26\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\xf2\0\0\0\x12\0\x04\0\x78\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\xff\0\0\0\
\x12\0\x04\0\xf0\0\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\x14\x01\0\0\x11\0\x06\0\x10\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x26\x01\0\0\x11\0\x07\0\xa4\x25\x26\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x31\x01\0\0\x11\0\x07\0\x04\0\0\0\0\0\0\0\xa0\x25\x26\0\0\0\
\0\0\x3b\x01\0\0\x11\0\x08\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x43\x01\0\0\
\x11\0\x06\0\x11\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x54\x01\0\0\x11\0\x05\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x5d\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x6b\x01\0\0\x11\0\x06\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x73\x01\0\
\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x7c\x01\0\0\x11\0\x06\0\x0c\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x32\0\0\0\0\0\0\x79\x41\0\0\0\0\0\0\x71\
\x43\x08\0\0\0\0\0\x16\x03\x03\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x57\0\0\
\0\x05\0\x01\0\0\0\0\0\x85\0\0\0\x59\0\0\0\x16\0\x07\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x44\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\
\0\0\xb7\0\0\0\x01\0\0\0\x05\0\x0a\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\
\0\0\0\x67\0\0\0\x08\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\
\0\0\x61\x12\0\0\0\0\0\0\x04\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\
\0\0\0\xb4\x01\0\0\0\0\0\0\x73\x1a\xf8\xff\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\
\0\0\xf0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa4\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x73\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf0\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa4\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb4\x07\0\0\0\x04\0\0\x85\0\0\0\x07\0\0\0\xbc\x06\0\0\0\0\0\0\x18\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x16\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x62\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x20\0\0\0\0\0\x85\0\0\0\x08\0\0\0\
\x54\0\0\0\xff\0\0\0\x67\0\0\0\x08\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\x01\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x04\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\
\0\0\x71\x91\0\0\0\0\0\0\x0c\x16\0\0\0\0\0\0\x04\x07\0\0\xff\xff\xff\xff\x56\
\x07\x02\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x54\x06\0\0\xff\xff\x1f\
\0\x71\x81\0\0\0\0\0\0\x16\x01\xe7\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0f\x62\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x59\0\0\
\0\x16\0\xe7\xff\xfe\xff\xff\xff\x16\0\xdf\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x44\x02\0\0\x02\0\0\0\x63\x21\0\0\0\0\0\0\x05\
\0\xed\xff\0\0\0\0\x71\x81\0\0\0\0\0\0\x16\x01\x0d\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x09\0\0\0\0\0\x85\0\0\0\x08\0\0\
\0\x54\0\0\0\xff\0\0\0\x67\0\0\0\x08\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\x01\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\x04\x02\0\0\x01\0\0\0\x63\x21\x08\0\
\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\x67\0\0\0\x08\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\x61\x12\x04\0\0\0\0\0\x04\x02\0\
\0\x01\0\0\0\x63\x21\x04\0\0\0\0\0\x05\0\xd0\xff\0\0\0\0\x47\x50\x4c\0\xa0\x25\
\x26\0\0\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x01\0\
\0\0\x13\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x11\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\
\x12\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\
\x17\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\x30\x01\0\0\0\0\0\0\x01\0\0\
\0\x19\0\0\0\x48\x01\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\
\0\0\x14\0\0\0\xf8\x01\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x10\x02\0\0\0\0\0\0\x01\
\0\0\0\x11\0\0\0\x38\x02\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x78\x02\0\0\0\0\0\0\
\x01\0\0\0\x1b\0\0\0\xb0\x02\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\xf8\x02\0\0\0\0\0\
\0\x01\0\0\0\x14\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xcc\x04\0\0\xcc\x04\0\0\
\xab\x05\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1e\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x19\0\0\0\x01\0\0\
\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x28\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x04\0\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x32\
\0\0\0\x0b\0\0\0\x40\0\0\0\x3b\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\
\0\x01\0\0\x04\x08\0\0\0\x19\0\0\0\x0f\0\0\0\0\0\0\0\x45\0\0\0\0\0\0\x0e\x11\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x4d\0\0\
\0\x13\0\0\0\x51\0\0\0\x01\0\0\x0c\x14\0\0\0\0\0\0\0\0\0\0\x02\x17\0\0\0\x5e\0\
\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\x02\x19\0\0\0\x66\0\0\0\0\0\0\x08\x1a\0\0\
\0\x6c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x1c\0\0\0\x79\0\0\
\0\x02\0\0\x04\x10\0\0\0\x86\0\0\0\x16\0\0\0\0\0\0\0\x8a\0\0\0\x1d\0\0\0\x40\0\
\0\0\x91\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\x04\0\0\x0d\x1f\0\0\0\
\x86\0\0\0\x16\0\0\0\x97\0\0\0\x18\0\0\0\x9b\0\0\0\x13\0\0\0\x9f\0\0\0\x1b\0\0\
\0\xa4\0\0\0\0\0\0\x08\x20\0\0\0\xaa\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xbd\0\
\0\0\0\0\0\x0c\x1e\0\0\0\xcc\0\0\0\x01\0\0\x0c\x14\0\0\0\xd9\0\0\0\x01\0\0\x0c\
\x14\0\0\0\xee\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x24\0\0\0\x04\0\0\0\x04\0\0\0\xf3\0\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x0a\x19\0\0\0\xfc\0\0\0\0\0\0\x0e\x27\0\0\0\x01\0\0\0\x0a\x01\0\0\0\0\0\
\x0e\x27\0\0\0\x01\0\0\0\x12\x01\0\0\0\0\0\x0e\x27\0\0\0\x01\0\0\0\x1b\x01\0\0\
\0\0\0\x0e\x27\0\0\0\x01\0\0\0\x29\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x0a\x2e\0\0\0\0\0\0\0\0\0\0\x09\x1d\0\0\0\x2f\x01\0\0\0\0\0\x0e\x2d\0\
\0\0\x01\0\0\0\x41\x01\0\0\0\0\0\x08\x31\0\0\0\x46\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x30\0\0\0\x04\0\0\0\xa0\x25\x26\0\x54\x01\
\0\0\0\0\0\x0e\x32\0\0\0\x01\0\0\0\x5e\x01\0\0\0\0\0\x0e\x2d\0\0\0\x01\0\0\0\
\x6f\x01\0\0\0\0\0\x0e\x30\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\x04\0\x01\0\0\x7a\
\x01\0\0\x37\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\x04\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x36\0\0\0\x04\0\0\0\0\x01\0\0\x80\x01\0\0\0\0\0\
\x0e\x38\0\0\0\x01\0\0\0\x72\x05\0\0\x01\0\0\x0f\x04\0\0\0\x26\0\0\0\0\0\0\0\
\x04\0\0\0\x7a\x05\0\0\x06\0\0\x0f\x12\0\0\0\x28\0\0\0\0\0\0\0\x04\0\0\0\x29\0\
\0\0\x04\0\0\0\x04\0\0\0\x2a\0\0\0\x08\0\0\0\x04\0\0\0\x2b\0\0\0\x0c\0\0\0\x04\
\0\0\0\x2f\0\0\0\x10\0\0\0\x01\0\0\0\x34\0\0\0\x11\0\0\0\x01\0\0\0\x82\x05\0\0\
\x04\0\0\x0f\0\x26\x27\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\x33\0\0\0\x04\0\0\0\xa0\
\x25\x26\0\x35\0\0\0\xa4\x25\x26\0\x01\0\0\0\x39\0\0\0\0\x26\x26\0\0\0\x01\0\
\x87\x05\0\0\x03\0\0\x0f\x28\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x0e\0\0\0\x10\0\
\0\0\x10\0\0\0\x12\0\0\0\x20\0\0\0\x08\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\
\0\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x62\x6c\x6f\x6f\x6d\x5f\x6d\x61\x70\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\0\x68\
\x61\x73\x68\x6d\x61\x70\0\x63\x74\x78\0\x62\x6c\x6f\x6f\x6d\x5f\x6c\x6f\x6f\
\x6b\x75\x70\0\x62\x70\x66\x5f\x6d\x61\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x63\
\x74\x78\0\x6d\x61\x70\0\x75\x70\x64\x61\x74\x65\0\x5f\x42\x6f\x6f\x6c\0\x6b\
\x65\x79\0\x76\x61\x6c\0\x64\x61\x74\x61\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x6c\x6f\x6f\
\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x62\x6c\x6f\x6f\x6d\x5f\x75\x70\x64\
\x61\x74\x65\0\x62\x6c\x6f\x6f\x6d\x5f\x68\x61\x73\x68\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\x72\
\x5f\x72\x61\x6e\x64\x5f\x62\x79\x74\x65\x73\0\x68\x69\x74\x5f\x6b\x65\x79\0\
\x64\x72\x6f\x70\x5f\x6b\x65\x79\0\x66\x61\x6c\x73\x65\x5f\x68\x69\x74\x5f\x6b\
\x65\x79\0\x65\x72\x72\x6f\x72\0\x68\x61\x73\x68\x6d\x61\x70\x5f\x75\x73\x65\
\x5f\x62\x6c\x6f\x6f\x6d\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x63\x68\x61\x72\0\x72\x61\x6e\x64\x5f\x76\x61\x6c\x73\0\x63\x6f\x75\x6e\
\x74\x5f\x66\x61\x6c\x73\x65\x5f\x68\x69\x74\x73\0\x76\x61\x6c\x75\x65\x5f\x73\
\x69\x7a\x65\0\x73\x74\x61\x74\x73\0\x70\x65\x72\x63\x70\x75\x5f\x73\x74\x61\
\x74\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x6c\x6f\x6f\x6d\
\x5f\x66\x69\x6c\x74\x65\x72\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x62\x6c\x6f\x6f\
\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x20\x2a\x6d\x61\x70\x2c\x20\x5f\x5f\x75\x33\x32\x20\
\x2a\x6b\x65\x79\x2c\x20\x76\x6f\x69\x64\x20\x2a\x76\x61\x6c\x2c\0\x09\x69\x66\
\x20\x28\x64\x61\x74\x61\x2d\x3e\x75\x70\x64\x61\x74\x65\x29\0\x09\x09\x65\x72\
\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\x75\x73\x68\x5f\x65\x6c\
\x65\x6d\x28\x64\x61\x74\x61\x2d\x3e\x6d\x61\x70\x2c\x20\x76\x61\x6c\x2c\x20\
\x30\x29\x3b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x70\x65\x65\x6b\x5f\x65\x6c\x65\x6d\x28\x64\x61\x74\x61\x2d\x3e\x6d\x61\x70\
\x2c\x20\x76\x61\x6c\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\x29\x20\x7b\0\
\x09\x09\x65\x72\x72\x6f\x72\x20\x7c\x3d\x20\x31\x3b\0\x09\x5f\x5f\x75\x33\x32\
\x20\x63\x70\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\
\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x70\x65\x72\
\x63\x70\x75\x5f\x73\x74\x61\x74\x73\x5b\x63\x70\x75\x20\x26\x20\x32\x35\x35\
\x5d\x2e\x73\x74\x61\x74\x73\x5b\x6b\x65\x79\x5d\x2b\x2b\x3b\0\x7d\0\x09\x64\
\x61\x74\x61\x2e\x6d\x61\x70\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x20\x2a\x29\x26\x62\x6c\x6f\x6f\x6d\x5f\x6d\x61\x70\
\x3b\0\x09\x64\x61\x74\x61\x2e\x75\x70\x64\x61\x74\x65\x20\x3d\x20\x66\x61\x6c\
\x73\x65\x3b\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x2c\x20\
\x62\x6c\x6f\x6f\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x2c\x20\x26\x64\x61\
\x74\x61\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\
\x6e\x74\x20\x62\x6c\x6f\x6f\x6d\x5f\x75\x70\x64\x61\x74\x65\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x09\x64\x61\x74\x61\x2e\x75\x70\x64\x61\x74\x65\
\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x69\x6e\x74\x20\x62\x6c\x6f\x6f\x6d\x5f\x68\
\x61\x73\x68\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x28\x76\x6f\x69\x64\x20\
\x2a\x63\x74\x78\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x69\x6e\x64\x65\x78\x20\x3d\
\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\
\x32\x28\x29\x3b\0\x09\x09\x09\x09\x09\x20\x20\x20\x20\x20\x72\x61\x6e\x64\x5f\
\x76\x61\x6c\x73\x20\x2b\x20\x69\x6e\x64\x65\x78\x29\x3b\0\x09\x09\x72\x65\x73\
\x75\x6c\x74\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x6d\x61\x70\x2c\0\x09\x09\x69\
\x66\x20\x28\x72\x65\x73\x75\x6c\x74\x29\x20\x7b\0\x09\x66\x6f\x72\x20\x28\x69\
\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x31\x30\x32\x34\x3b\x20\x69\x2b\x2b\
\x2c\x20\x69\x6e\x64\x65\x78\x20\x2b\x3d\x20\x76\x61\x6c\x75\x65\x5f\x73\x69\
\x7a\x65\x29\x20\x7b\0\x09\x09\x69\x6e\x64\x65\x78\x20\x3d\x20\x69\x6e\x64\x65\
\x78\x20\x26\x20\x62\x69\x74\x6d\x61\x73\x6b\x3b\0\x09\x09\x69\x66\x20\x28\x68\
\x61\x73\x68\x6d\x61\x70\x5f\x75\x73\x65\x5f\x62\x6c\x6f\x6f\x6d\x29\x20\x7b\0\
\x09\x09\x09\x09\x09\x09\x72\x61\x6e\x64\x5f\x76\x61\x6c\x73\x20\x2b\x20\x69\
\x6e\x64\x65\x78\x29\x3b\0\x09\x09\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x70\x65\x65\x6b\x5f\x65\x6c\x65\x6d\x28\x26\x62\x6c\x6f\x6f\
\x6d\x5f\x6d\x61\x70\x2c\0\x09\x09\x09\x69\x66\x20\x28\x65\x72\x72\x29\x20\x7b\
\0\x09\x09\x09\x09\x09\x65\x72\x72\x6f\x72\x20\x7c\x3d\x20\x32\x3b\0\x09\x09\
\x09\x69\x66\x20\x28\x68\x61\x73\x68\x6d\x61\x70\x5f\x75\x73\x65\x5f\x62\x6c\
\x6f\x6f\x6d\x20\x26\x26\x20\x63\x6f\x75\x6e\x74\x5f\x66\x61\x6c\x73\x65\x5f\
\x68\x69\x74\x73\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\
\x69\x64\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x74\x03\0\0\
\xa8\x03\0\0\0\0\0\0\x08\0\0\0\x8d\x05\0\0\x01\0\0\0\0\0\0\0\x21\0\0\0\x93\x05\
\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\x78\0\0\0\x22\0\0\0\xf0\0\0\0\x23\0\0\0\x10\0\
\0\0\x8d\x05\0\0\x0d\0\0\0\0\0\0\0\x8d\x01\0\0\x0d\x02\0\0\0\x1c\x01\0\x08\0\0\
\0\x8d\x01\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x8d\x01\0\0\x48\x02\0\0\x0c\x30\x01\0\
\x18\0\0\0\x8d\x01\0\0\x48\x02\0\0\x06\x30\x01\0\x20\0\0\0\x8d\x01\0\0\x5b\x02\
\0\0\x09\x34\x01\0\x38\0\0\0\x8d\x01\0\0\x89\x02\0\0\x09\x3c\x01\0\x40\0\0\0\
\x8d\x01\0\0\xb4\x02\0\0\x06\x44\x01\0\x48\0\0\0\x8d\x01\0\0\xc0\x02\0\0\x09\
\x48\x01\0\x80\0\0\0\x8d\x01\0\0\xce\x02\0\0\x0e\x04\x01\0\x88\0\0\0\x8d\x01\0\
\0\xf7\x02\0\0\x13\x0c\x01\0\x90\0\0\0\x8d\x01\0\0\xf7\x02\0\0\x02\x0c\x01\0\
\xb0\0\0\0\x8d\x01\0\0\xf7\x02\0\0\x24\x0c\x01\0\xd0\0\0\0\x8d\x01\0\0\x1e\x03\
\0\0\x01\x64\x01\0\x93\x05\0\0\x29\0\0\0\0\0\0\0\x8d\x01\0\0\x20\x03\0\0\x0b\
\x80\x01\0\x20\0\0\0\x8d\x01\0\0\x4a\x03\0\0\x0e\x84\x01\0\x30\0\0\0\x8d\x01\0\
\0\0\0\0\0\0\0\0\0\x38\0\0\0\x8d\x01\0\0\x60\x03\0\0\x02\x8c\x01\0\x68\0\0\0\
\x8d\x01\0\0\x9e\x03\0\0\x02\x94\x01\0\x78\0\0\0\x8d\x01\0\0\xa9\x03\0\0\0\xa4\
\x01\0\x80\0\0\0\x8d\x01\0\0\xc5\x03\0\0\x0e\xb8\x01\0\x88\0\0\0\x8d\x01\0\0\
\x20\x03\0\0\x0b\xb4\x01\0\xa8\0\0\0\x8d\x01\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\x8d\
\x01\0\0\x60\x03\0\0\x02\xc0\x01\0\xe0\0\0\0\x8d\x01\0\0\x9e\x03\0\0\x02\xc8\
\x01\0\xf0\0\0\0\x8d\x01\0\0\xda\x03\0\0\0\xd8\x01\0\xf8\0\0\0\x8d\x01\0\0\xfe\
\x03\0\0\x10\xec\x01\0\x30\x01\0\0\x8d\x01\0\0\x24\x04\0\0\x15\x3c\x02\0\x48\
\x01\0\0\x8d\x01\0\0\x42\x04\0\0\x0c\x38\x02\0\x60\x01\0\0\x8d\x01\0\0\x6b\x04\
\0\0\x07\x40\x02\0\x68\x01\0\0\x8d\x01\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\x8d\x01\
\0\0\x7b\x04\0\0\x26\xf8\x01\0\xb8\x01\0\0\x8d\x01\0\0\x7b\x04\0\0\x23\xf8\x01\
\0\xc0\x01\0\0\x8d\x01\0\0\x7b\x04\0\0\x10\xf8\x01\0\xc8\x01\0\0\x8d\x01\0\0\
\x7b\x04\0\0\x02\xf8\x01\0\xd0\x01\0\0\x8d\x01\0\0\x1e\x03\0\0\x01\x68\x02\0\
\xe0\x01\0\0\x8d\x01\0\0\xae\x04\0\0\x11\xfc\x01\0\xe8\x01\0\0\x8d\x01\0\0\xc9\
\x04\0\0\x07\x04\x02\0\xf0\x01\0\0\x8d\x01\0\0\xc9\x04\0\0\x07\x04\x02\0\xf8\
\x01\0\0\x8d\x01\0\0\xe4\x04\0\0\x11\x0c\x02\0\x10\x02\0\0\x8d\x01\0\0\xfe\x04\
\0\0\x0a\x08\x02\0\x28\x02\0\0\x8d\x01\0\0\x25\x05\0\0\x08\x10\x02\0\x38\x02\0\
\0\x8d\x01\0\0\x33\x05\0\0\x0c\x18\x02\0\x68\x02\0\0\x8d\x01\0\0\x44\x05\0\0\
\x08\x4c\x02\0\x70\x02\0\0\x8d\x01\0\0\x44\x05\0\0\x1a\x4c\x02\0\x78\x02\0\0\
\x8d\x01\0\0\x44\x05\0\0\x1d\x4c\x02\0\x90\x02\0\0\x8d\x01\0\0\x44\x05\0\0\x08\
\x4c\x02\0\x98\x02\0\0\x8d\x01\0\0\xce\x02\0\0\x0e\x04\x01\0\xa0\x02\0\0\x8d\
\x01\0\0\xf7\x02\0\0\x13\x0c\x01\0\xa8\x02\0\0\x8d\x01\0\0\xf7\x02\0\0\x02\x0c\
\x01\0\xc8\x02\0\0\x8d\x01\0\0\xf7\x02\0\0\x24\x0c\x01\0\xe0\x02\0\0\x8d\x01\0\
\0\xce\x02\0\0\x0e\x04\x01\0\xe8\x02\0\0\x8d\x01\0\0\xf7\x02\0\0\x13\x0c\x01\0\
\xf0\x02\0\0\x8d\x01\0\0\xf7\x02\0\0\x02\x0c\x01\0\x10\x03\0\0\x8d\x01\0\0\xf7\
\x02\0\0\x24\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xbe\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x05\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf0\x05\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x09\0\0\0\
\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\
\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\x26\x27\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\x01\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x0a\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x94\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x48\x0a\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb0\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x58\x0b\0\0\0\0\0\0\x8f\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb5\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe8\x15\0\0\0\0\0\0\xc8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct bloom_filter_bench *bloom_filter_bench::open(const struct bpf_object_open_opts *opts) { return bloom_filter_bench__open_opts(opts); }
struct bloom_filter_bench *bloom_filter_bench::open_and_load() { return bloom_filter_bench__open_and_load(); }
int bloom_filter_bench::load(struct bloom_filter_bench *skel) { return bloom_filter_bench__load(skel); }
int bloom_filter_bench::attach(struct bloom_filter_bench *skel) { return bloom_filter_bench__attach(skel); }
void bloom_filter_bench::detach(struct bloom_filter_bench *skel) { bloom_filter_bench__detach(skel); }
void bloom_filter_bench::destroy(struct bloom_filter_bench *skel) { bloom_filter_bench__destroy(skel); }
const void *bloom_filter_bench::elf_bytes(size_t *sz) { return bloom_filter_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bloom_filter_bench__assert(struct bloom_filter_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->nr_rand_bytes) == 4, "unexpected size of 'nr_rand_bytes'");
	_Static_assert(sizeof(s->rodata->hit_key) == 4, "unexpected size of 'hit_key'");
	_Static_assert(sizeof(s->rodata->drop_key) == 4, "unexpected size of 'drop_key'");
	_Static_assert(sizeof(s->rodata->false_hit_key) == 4, "unexpected size of 'false_hit_key'");
	_Static_assert(sizeof(s->rodata->hashmap_use_bloom) == 1, "unexpected size of 'hashmap_use_bloom'");
	_Static_assert(sizeof(s->rodata->count_false_hits) == 1, "unexpected size of 'count_false_hits'");
	_Static_assert(sizeof(s->bss->error) == 4, "unexpected size of 'error'");
	_Static_assert(sizeof(s->bss->rand_vals) == 2500000, "unexpected size of 'rand_vals'");
	_Static_assert(sizeof(s->bss->value_size) == 1, "unexpected size of 'value_size'");
	_Static_assert(sizeof(s->bss->percpu_stats) == 65536, "unexpected size of 'percpu_stats'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BLOOM_FILTER_BENCH_SKEL_H__ */
