/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPF_HASHMAP_FULL_UPDATE_BENCH_SKEL_H__
#define __BPF_HASHMAP_FULL_UPDATE_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_hashmap_full_update_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hash_map_bench;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *benchmark;
	} progs;
	struct {
		struct bpf_link *benchmark;
	} links;
	struct bpf_hashmap_full_update_bench__bss {
		u64 nr_loops;
		char __pad0[248];
		u64 percpu_time[256];
	} *bss;

#ifdef __cplusplus
	static inline struct bpf_hashmap_full_update_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_hashmap_full_update_bench *open_and_load();
	static inline int load(struct bpf_hashmap_full_update_bench *skel);
	static inline int attach(struct bpf_hashmap_full_update_bench *skel);
	static inline void detach(struct bpf_hashmap_full_update_bench *skel);
	static inline void destroy(struct bpf_hashmap_full_update_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_hashmap_full_update_bench__destroy(struct bpf_hashmap_full_update_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_hashmap_full_update_bench__create_skeleton(struct bpf_hashmap_full_update_bench *obj);

static inline struct bpf_hashmap_full_update_bench *
bpf_hashmap_full_update_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_hashmap_full_update_bench *obj;
	int err;

	obj = (struct bpf_hashmap_full_update_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_hashmap_full_update_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_hashmap_full_update_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_hashmap_full_update_bench *
bpf_hashmap_full_update_bench__open(void)
{
	return bpf_hashmap_full_update_bench__open_opts(NULL);
}

static inline int
bpf_hashmap_full_update_bench__load(struct bpf_hashmap_full_update_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_hashmap_full_update_bench *
bpf_hashmap_full_update_bench__open_and_load(void)
{
	struct bpf_hashmap_full_update_bench *obj;
	int err;

	obj = bpf_hashmap_full_update_bench__open();
	if (!obj)
		return NULL;
	err = bpf_hashmap_full_update_bench__load(obj);
	if (err) {
		bpf_hashmap_full_update_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_hashmap_full_update_bench__attach(struct bpf_hashmap_full_update_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_hashmap_full_update_bench__detach(struct bpf_hashmap_full_update_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_hashmap_full_update_bench__elf_bytes(size_t *sz);

static inline int
bpf_hashmap_full_update_bench__create_skeleton(struct bpf_hashmap_full_update_bench *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_hashmap_full_update_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "hash_map_bench";
	s->maps[0].map = &obj->maps.hash_map_bench;

	s->maps[1].name = "bpf_hash.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "benchmark";
	s->progs[0].prog = &obj->progs.benchmark;
	s->progs[0].link = &obj->links.benchmark;

	s->data = (void *)bpf_hashmap_full_update_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_hashmap_full_update_bench__elf_bytes(size_t *sz)
{
	*sz = 3608;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\
\x67\x65\x74\x70\x67\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x6d\x61\x70\x73\0\x62\x70\x66\x5f\x68\x61\x73\x68\x6d\x61\x70\x5f\x66\x75\
\x6c\x6c\x5f\x75\x70\x64\x61\x74\x65\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x6c\x6f\
\x6f\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x62\
\x65\x6e\x63\x68\x6d\x61\x72\x6b\0\x6e\x72\x5f\x6c\x6f\x6f\x70\x73\0\x70\x65\
\x72\x63\x70\x75\x5f\x74\x69\x6d\x65\0\x68\x61\x73\x68\x5f\x6d\x61\x70\x5f\x62\
\x65\x6e\x63\x68\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\
\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x42\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x62\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x77\0\0\0\x12\
\0\x04\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x81\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x8a\0\0\0\x11\0\x06\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\x96\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xa5\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x7b\x1a\xf8\xff\0\0\0\
\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x85\0\0\0\x08\0\0\0\xbc\x06\0\0\0\0\0\0\xbc\x61\0\0\0\0\0\0\x04\x01\0\0\
\xe8\x03\0\0\x63\x1a\xfc\xff\0\0\0\0\x85\0\0\0\x05\0\0\0\xbf\x07\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\
\x07\x03\0\0\xfc\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\
\0\0\0\x85\0\0\0\xb5\0\0\0\x54\x06\0\0\xff\0\0\0\x67\x06\0\0\x03\0\0\0\x18\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x68\0\0\0\0\0\0\x85\0\0\0\x05\0\0\0\x1f\x70\0\
\0\0\0\0\0\x7b\x08\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x01\0\0\0\x08\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x60\0\0\0\0\
\0\0\0\x01\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x34\x02\0\0\x34\x02\0\0\xee\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x06\0\0\0\x19\0\0\0\0\0\0\x08\x07\0\0\0\x1d\0\0\0\0\0\0\x08\x08\0\0\0\x23\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\x30\0\0\0\0\0\
\0\x08\x0b\0\0\0\x34\0\0\0\0\0\0\x08\x0c\0\0\0\x3a\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x4d\0\0\0\x01\0\0\0\0\0\0\0\
\x52\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\x09\0\0\0\x80\0\0\0\x5c\0\0\0\x0d\0\0\
\0\xc0\0\0\0\x68\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x77\0\0\0\x11\0\0\0\x7b\0\0\0\x01\0\0\x0c\x12\0\
\0\0\0\0\0\0\x02\0\0\x0d\x02\0\0\0\x85\0\0\0\x07\0\0\0\x52\0\0\0\x05\0\0\0\x8b\
\0\0\0\0\0\0\x0c\x14\0\0\0\xa0\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\x16\0\0\0\x04\0\0\0\x04\0\0\0\xa5\0\0\0\0\0\0\x0e\x17\0\0\0\
\x01\0\0\0\xae\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0a\0\0\0\x04\0\0\0\0\x01\0\0\xb7\0\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\xbd\x02\
\0\0\x01\0\0\x0f\x04\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\xc5\x02\0\0\x02\0\0\x0f\
\0\x09\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\x1b\0\0\0\0\x01\0\0\0\x08\0\0\xca\x02\0\
\0\x01\0\0\x0f\x20\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x75\x33\
\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x68\x61\x73\x68\x5f\
\x6d\x61\x70\x5f\x62\x65\x6e\x63\x68\0\x63\x74\x78\0\x62\x65\x6e\x63\x68\x6d\
\x61\x72\x6b\0\x69\x6e\x64\x65\x78\0\x6c\x6f\x6f\x70\x5f\x75\x70\x64\x61\x74\
\x65\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x6e\x72\x5f\x6c\x6f\x6f\x70\x73\0\x70\x65\x72\x63\x70\x75\
\x5f\x74\x69\x6d\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\
\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\
\x66\x5f\x68\x61\x73\x68\x6d\x61\x70\x5f\x66\x75\x6c\x6c\x5f\x75\x70\x64\x61\
\x74\x65\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\
\x74\x20\x6c\x6f\x6f\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x28\x5f\x5f\x75\x33\x32\x20\x69\x6e\x64\x65\x78\x2c\x20\x75\x33\
\x32\x20\x2a\x6b\x65\x79\x29\0\x09\x75\x36\x34\x20\x69\x6e\x69\x74\x5f\x76\x61\
\x6c\x20\x3d\x20\x31\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\
\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x5f\x6d\x61\x70\x5f\x62\
\x65\x6e\x63\x68\x2c\x20\x6b\x65\x79\x2c\x20\x26\x69\x6e\x69\x74\x5f\x76\x61\
\x6c\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x09\x75\x33\x32\x20\x63\x70\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\
\x28\x29\x3b\0\x09\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x63\x70\x75\x20\x2b\
\x20\x4d\x41\x58\x5f\x45\x4e\x54\x52\x49\x45\x53\x3b\0\x09\x75\x36\x34\x20\x73\
\x74\x61\x72\x74\x5f\x74\x69\x6d\x65\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\
\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x62\x70\x66\x5f\x6c\x6f\
\x6f\x70\x28\x6e\x72\x5f\x6c\x6f\x6f\x70\x73\x2c\x20\x6c\x6f\x6f\x70\x5f\x75\
\x70\x64\x61\x74\x65\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x2c\x20\x26\x6b\x65\
\x79\x2c\x20\x30\x29\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x74\x69\x6d\x65\x5b\
\x63\x70\x75\x20\x26\x20\x32\x35\x35\x5d\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\
\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x20\x2d\x20\x73\x74\x61\x72\
\x74\x5f\x74\x69\x6d\x65\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\
\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x34\x01\0\0\x58\x01\0\0\0\0\0\
\0\x08\0\0\0\xd0\x02\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\xd6\x02\0\0\x01\0\0\0\0\0\
\0\0\x13\0\0\0\x10\0\0\0\xd0\x02\0\0\x05\0\0\0\0\0\0\0\xc3\0\0\0\x4e\x01\0\0\0\
\x58\0\0\x08\0\0\0\xc3\0\0\0\x85\x01\0\0\x06\x60\0\0\x18\0\0\0\xc3\0\0\0\0\0\0\
\0\0\0\0\0\x20\0\0\0\xc3\0\0\0\x98\x01\0\0\x02\x68\0\0\x40\0\0\0\xc3\0\0\0\xd8\
\x01\0\0\x02\x6c\0\0\xd6\x02\0\0\x0d\0\0\0\0\0\0\0\xc3\0\0\0\xe3\x01\0\0\x0c\
\x84\0\0\x10\0\0\0\xc3\0\0\0\x0a\x02\0\0\x10\x88\0\0\x20\0\0\0\xc3\0\0\0\x0a\
\x02\0\0\x06\x88\0\0\x28\0\0\0\xc3\0\0\0\x28\x02\0\0\x13\x8c\0\0\x38\0\0\0\xc3\
\0\0\0\x4e\x02\0\0\x0b\x94\0\0\x58\0\0\0\xc3\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\
\xc3\0\0\0\x4e\x02\0\0\x02\x94\0\0\x80\0\0\0\xc3\0\0\0\x82\x02\0\0\x12\x98\0\0\
\x88\0\0\0\xc3\0\0\0\x82\x02\0\0\x02\x98\0\0\xa8\0\0\0\xc3\0\0\0\x82\x02\0\0\
\x1b\x98\0\0\xb0\0\0\0\xc3\0\0\0\x82\x02\0\0\x2e\x98\0\0\xb8\0\0\0\xc3\0\0\0\
\x82\x02\0\0\x19\x98\0\0\xc0\0\0\0\xc3\0\0\0\xd8\x01\0\0\x02\x9c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x28\x01\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\0\0\0\0\xd0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x08\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xae\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xb8\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x04\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\xd4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x04\0\0\0\0\0\0\
\x3a\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd9\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x09\0\0\0\0\0\0\x78\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct bpf_hashmap_full_update_bench *bpf_hashmap_full_update_bench::open(const struct bpf_object_open_opts *opts) { return bpf_hashmap_full_update_bench__open_opts(opts); }
struct bpf_hashmap_full_update_bench *bpf_hashmap_full_update_bench::open_and_load() { return bpf_hashmap_full_update_bench__open_and_load(); }
int bpf_hashmap_full_update_bench::load(struct bpf_hashmap_full_update_bench *skel) { return bpf_hashmap_full_update_bench__load(skel); }
int bpf_hashmap_full_update_bench::attach(struct bpf_hashmap_full_update_bench *skel) { return bpf_hashmap_full_update_bench__attach(skel); }
void bpf_hashmap_full_update_bench::detach(struct bpf_hashmap_full_update_bench *skel) { bpf_hashmap_full_update_bench__detach(skel); }
void bpf_hashmap_full_update_bench::destroy(struct bpf_hashmap_full_update_bench *skel) { bpf_hashmap_full_update_bench__destroy(skel); }
const void *bpf_hashmap_full_update_bench::elf_bytes(size_t *sz) { return bpf_hashmap_full_update_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_hashmap_full_update_bench__assert(struct bpf_hashmap_full_update_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->nr_loops) == 8, "unexpected size of 'nr_loops'");
	_Static_assert(sizeof(s->bss->percpu_time) == 2048, "unexpected size of 'percpu_time'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_HASHMAP_FULL_UPDATE_BENCH_SKEL_H__ */
