/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CGROUP_SKB_SK_LOOKUP_KERN_SKEL_H__
#define __CGROUP_SKB_SK_LOOKUP_KERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct cgroup_skb_sk_lookup_kern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *ingress_lookup;
	} progs;
	struct {
		struct bpf_link *ingress_lookup;
	} links;
	struct cgroup_skb_sk_lookup_kern__bss {
		__u16 g_serv_port;
	} *bss;

#ifdef __cplusplus
	static inline struct cgroup_skb_sk_lookup_kern *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct cgroup_skb_sk_lookup_kern *open_and_load();
	static inline int load(struct cgroup_skb_sk_lookup_kern *skel);
	static inline int attach(struct cgroup_skb_sk_lookup_kern *skel);
	static inline void detach(struct cgroup_skb_sk_lookup_kern *skel);
	static inline void destroy(struct cgroup_skb_sk_lookup_kern *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
cgroup_skb_sk_lookup_kern__destroy(struct cgroup_skb_sk_lookup_kern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cgroup_skb_sk_lookup_kern__create_skeleton(struct cgroup_skb_sk_lookup_kern *obj);

static inline struct cgroup_skb_sk_lookup_kern *
cgroup_skb_sk_lookup_kern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cgroup_skb_sk_lookup_kern *obj;
	int err;

	obj = (struct cgroup_skb_sk_lookup_kern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = cgroup_skb_sk_lookup_kern__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	cgroup_skb_sk_lookup_kern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct cgroup_skb_sk_lookup_kern *
cgroup_skb_sk_lookup_kern__open(void)
{
	return cgroup_skb_sk_lookup_kern__open_opts(NULL);
}

static inline int
cgroup_skb_sk_lookup_kern__load(struct cgroup_skb_sk_lookup_kern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cgroup_skb_sk_lookup_kern *
cgroup_skb_sk_lookup_kern__open_and_load(void)
{
	struct cgroup_skb_sk_lookup_kern *obj;
	int err;

	obj = cgroup_skb_sk_lookup_kern__open();
	if (!obj)
		return NULL;
	err = cgroup_skb_sk_lookup_kern__load(obj);
	if (err) {
		cgroup_skb_sk_lookup_kern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
cgroup_skb_sk_lookup_kern__attach(struct cgroup_skb_sk_lookup_kern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cgroup_skb_sk_lookup_kern__detach(struct cgroup_skb_sk_lookup_kern *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *cgroup_skb_sk_lookup_kern__elf_bytes(size_t *sz);

static inline int
cgroup_skb_sk_lookup_kern__create_skeleton(struct cgroup_skb_sk_lookup_kern *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "cgroup_skb_sk_lookup_kern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "cgroup_s.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "ingress_lookup";
	s->progs[0].prog = &obj->progs.ingress_lookup;
	s->progs[0].link = &obj->links.ingress_lookup;

	s->data = (void *)cgroup_skb_sk_lookup_kern__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *cgroup_skb_sk_lookup_kern__elf_bytes(size_t *sz)
{
	*sz = 4488;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\
\x5f\x73\x6b\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x6b\x65\x72\x6e\x2e\x63\0\x4c\x42\
\x42\x30\x5f\x31\x32\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x6c\x6f\x6f\x6b\x75\x70\
\0\x67\x5f\x73\x65\x72\x76\x5f\x70\x6f\x72\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\
\x72\x65\x73\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\
\0\0\0\0\0\x03\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x64\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x02\0\0\
\0\0\0\0\0\x70\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\
\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x61\x61\x10\0\0\0\0\0\x56\x01\x45\0\x86\xdd\0\0\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xb0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\
\0\0\0\0\0\xb4\x04\0\0\x28\0\0\0\x85\0\0\0\x1a\0\0\0\x55\0\x3e\0\0\0\0\0\x71\
\xa1\xb6\xff\0\0\0\0\x56\x01\x3c\0\x06\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\
\x98\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x28\0\0\0\xb4\x04\0\0\x14\0\0\
\0\x85\0\0\0\x1a\0\0\0\x55\0\x35\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x69\x11\0\0\0\0\0\0\x16\x01\x30\0\0\0\0\0\x69\xa2\x9a\xff\
\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x5e\x12\x2d\0\0\0\0\0\x79\xa2\xc8\xff\0\0\0\0\
\x7b\x2a\xd8\xff\0\0\0\0\x79\xa2\xd0\xff\0\0\0\0\x7b\x2a\xe0\xff\0\0\0\0\x79\
\xa2\xb8\xff\0\0\0\0\x7b\x2a\xe8\xff\0\0\0\0\x6b\x1a\xf8\xff\0\0\0\0\x79\xa1\
\xc0\xff\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x69\xa1\x98\xff\0\0\0\0\x6b\x1a\xfa\
\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xd8\xff\xff\xff\xbf\x61\0\0\0\0\0\
\0\xb4\x03\0\0\x24\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\0\
\0\0\x54\0\0\0\xbf\x08\0\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x15\x08\x18\0\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x4f\0\0\0\xbf\x09\0\0\0\0\0\0\xbf\x81\0\0\0\0\0\
\0\x85\0\0\0\x80\0\0\0\x7b\x0a\x90\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\
\x02\0\0\0\x85\0\0\0\x53\0\0\0\xbf\x06\0\0\0\0\0\0\xbf\x81\0\0\0\0\0\0\xb4\x02\
\0\0\x02\0\0\0\x85\0\0\0\x81\0\0\0\x7b\x0a\x88\xff\0\0\0\0\xbf\x81\0\0\0\0\0\0\
\x85\0\0\0\x56\0\0\0\x15\x09\x07\0\0\0\0\0\x79\xa1\x90\xff\0\0\0\0\x5d\x19\x05\
\0\0\0\0\0\x15\x06\x04\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x79\xa1\x88\xff\0\0\0\0\
\x1d\x16\x01\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x68\x03\0\0\x68\x03\0\0\x6c\x05\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\
\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\
\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\
\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\
\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\
\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\
\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\
\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\
\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\
\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\
\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\
\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\
\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\
\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\
\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\
\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\
\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\x19\0\0\0\x62\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\x7e\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\
\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\
\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\
\0\0\0\xa8\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x13\0\0\0\x06\0\0\0\x04\0\0\0\xad\x01\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\xb6\
\x01\0\0\0\0\0\x08\x17\0\0\0\xbc\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xcb\x01\
\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\xd7\x01\0\0\0\0\0\x07\0\0\0\0\xe5\x01\0\0\0\
\0\0\x07\0\0\0\0\x4c\x05\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\0\0\0\x04\0\0\0\
\x54\x05\0\0\x01\0\0\x0f\x02\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\0\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\
\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\
\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\
\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\
\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\
\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\
\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\
\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\
\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\
\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\
\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\
\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\
\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x69\
\x6e\x67\x72\x65\x73\x73\x5f\x6c\x6f\x6f\x6b\x75\x70\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x73\x68\x6f\x72\x74\0\x67\x5f\x73\x65\x72\x76\x5f\x70\x6f\x72\x74\
\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\
\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x6b\x62\x5f\x73\x6b\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x6b\x65\
\x72\x6e\x2e\x63\0\x69\x6e\x74\x20\x69\x6e\x67\x72\x65\x73\x73\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\
\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x69\x66\x20\x28\x73\x6b\x62\x2d\x3e\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\
\x28\x45\x54\x48\x5f\x50\x5f\x49\x50\x56\x36\x29\x29\0\x09\x69\x66\x20\x28\x62\
\x70\x66\x5f\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x28\x73\
\x6b\x62\x2c\x20\x30\x2c\x20\x26\x69\x70\x36\x68\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x69\x70\x36\x68\x29\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\
\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x28\x73\x6b\x62\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x69\x70\x36\x68\x29\x2c\x20\x26\x74\x63\x70\x68\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x63\x70\x68\x29\x29\x29\0\x09\x69\x66\
\x20\x28\x21\x67\x5f\x73\x65\x72\x76\x5f\x70\x6f\x72\x74\x29\0\x09\x69\x66\x20\
\x28\x74\x63\x70\x68\x2e\x64\x65\x73\x74\x20\x21\x3d\x20\x67\x5f\x73\x65\x72\
\x76\x5f\x70\x6f\x72\x74\x29\0\x09\x64\x73\x74\x5b\x30\x5d\x20\x3d\x20\x73\x72\
\x63\x2d\x3e\x69\x6e\x36\x5f\x75\x2e\x75\x36\x5f\x61\x64\x64\x72\x33\x32\x5b\
\x30\x5d\x3b\0\x09\x64\x73\x74\x5b\x32\x5d\x20\x3d\x20\x73\x72\x63\x2d\x3e\x69\
\x6e\x36\x5f\x75\x2e\x75\x36\x5f\x61\x64\x64\x72\x33\x32\x5b\x32\x5d\x3b\0\x09\
\x74\x75\x70\x6c\x65\x2d\x3e\x69\x70\x76\x36\x2e\x73\x70\x6f\x72\x74\x20\x3d\
\x20\x74\x63\x70\x68\x2d\x3e\x64\x65\x73\x74\x3b\0\x09\x74\x75\x70\x6c\x65\x2d\
\x3e\x69\x70\x76\x36\x2e\x64\x70\x6f\x72\x74\x20\x3d\x20\x74\x63\x70\x68\x2d\
\x3e\x73\x6f\x75\x72\x63\x65\x3b\0\x09\x70\x65\x65\x72\x5f\x73\x6b\x20\x3d\x20\
\x62\x70\x66\x5f\x73\x6b\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x74\x63\x70\x28\x73\
\x6b\x62\x2c\x20\x26\x74\x75\x70\x6c\x65\x2c\x20\x74\x75\x70\x6c\x65\x5f\x6c\
\x65\x6e\x2c\0\x09\x69\x66\x20\x28\x21\x70\x65\x65\x72\x5f\x73\x6b\x29\0\x09\
\x63\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x62\x5f\x63\x67\x72\x6f\
\x75\x70\x5f\x69\x64\x28\x73\x6b\x62\x29\x3b\0\x09\x70\x65\x65\x72\x5f\x63\x67\
\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x63\x67\x72\x6f\x75\x70\x5f\
\x69\x64\x28\x70\x65\x65\x72\x5f\x73\x6b\x29\x3b\0\x09\x61\x63\x67\x69\x64\x20\
\x3d\x20\x62\x70\x66\x5f\x73\x6b\x62\x5f\x61\x6e\x63\x65\x73\x74\x6f\x72\x5f\
\x63\x67\x72\x6f\x75\x70\x5f\x69\x64\x28\x73\x6b\x62\x2c\x20\x32\x29\x3b\0\x09\
\x70\x65\x65\x72\x5f\x61\x63\x67\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\
\x5f\x61\x6e\x63\x65\x73\x74\x6f\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x69\x64\
\x28\x70\x65\x65\x72\x5f\x73\x6b\x2c\x20\x32\x29\x3b\0\x09\x62\x70\x66\x5f\x73\
\x6b\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x70\x65\x65\x72\x5f\x73\x6b\x29\x3b\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x67\x69\x64\x20\x26\x26\x20\x63\x67\x69\
\x64\x20\x3d\x3d\x20\x70\x65\x65\x72\x5f\x63\x67\x69\x64\x20\x26\x26\x20\x61\
\x63\x67\x69\x64\x20\x26\x26\x20\x61\x63\x67\x69\x64\x20\x3d\x3d\x20\x70\x65\
\x65\x72\x5f\x61\x63\x67\x69\x64\x3b\0\x7d\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\
\x73\x73\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\x02\
\0\0\x40\x02\0\0\0\0\0\0\x08\0\0\0\x59\x05\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\
\0\0\0\x59\x05\0\0\x22\0\0\0\0\0\0\0\xee\x01\0\0\x75\x02\0\0\0\x0c\x01\0\x10\0\
\0\0\xee\x01\0\0\x9f\x02\0\0\x0b\x24\x01\0\x18\0\0\0\xee\x01\0\0\x9f\x02\0\0\
\x06\x24\x01\0\x28\0\0\0\xee\x01\0\0\xcc\x02\0\0\x06\x40\x01\0\x50\0\0\0\xee\
\x01\0\0\xcc\x02\0\0\x06\x40\x01\0\x70\0\0\0\xee\x01\0\0\x02\x03\0\0\x06\x58\
\x01\0\x98\0\0\0\xee\x01\0\0\x02\x03\0\0\x06\x58\x01\0\xa8\0\0\0\xee\x01\0\0\
\x43\x03\0\0\x07\x64\x01\0\xc0\0\0\0\xee\x01\0\0\x43\x03\0\0\x06\x64\x01\0\xc8\
\0\0\0\xee\x01\0\0\x56\x03\0\0\x0b\x70\x01\0\xd8\0\0\0\xee\x01\0\0\x56\x03\0\0\
\x06\x70\x01\0\xe0\0\0\0\xee\x01\0\0\x75\x03\0\0\x0b\x5c\0\0\xe8\0\0\0\xee\x01\
\0\0\x75\x03\0\0\x09\x5c\0\0\xf0\0\0\0\xee\x01\0\0\x98\x03\0\0\x0b\x64\0\0\xf8\
\0\0\0\xee\x01\0\0\x98\x03\0\0\x09\x64\0\0\0\x01\0\0\xee\x01\0\0\x75\x03\0\0\
\x0b\x5c\0\0\x08\x01\0\0\xee\x01\0\0\x75\x03\0\0\x09\x5c\0\0\x10\x01\0\0\xee\
\x01\0\0\xbb\x03\0\0\x14\x8c\0\0\x18\x01\0\0\xee\x01\0\0\x98\x03\0\0\x0b\x64\0\
\0\x20\x01\0\0\xee\x01\0\0\x98\x03\0\0\x09\x64\0\0\x28\x01\0\0\xee\x01\0\0\xdc\
\x03\0\0\x1c\x90\0\0\x30\x01\0\0\xee\x01\0\0\xdc\x03\0\0\x14\x90\0\0\x40\x01\0\
\0\xee\x01\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\xee\x01\0\0\xff\x03\0\0\x0c\xc8\0\0\
\x80\x01\0\0\xee\x01\0\0\x34\x04\0\0\x06\xd0\0\0\x88\x01\0\0\xee\x01\0\0\x43\
\x04\0\0\x09\xdc\0\0\xa0\x01\0\0\xee\x01\0\0\x63\x04\0\0\x0e\xe0\0\0\xb8\x01\0\
\0\xee\x01\0\0\x8b\x04\0\0\x0a\xe8\0\0\xd8\x01\0\0\xee\x01\0\0\xb8\x04\0\0\x0f\
\xec\0\0\xf8\x01\0\0\xee\x01\0\0\xed\x04\0\0\x02\xf4\0\0\x08\x02\0\0\xee\x01\0\
\0\x07\x05\0\0\x0e\xfc\0\0\x10\x02\0\0\xee\x01\0\0\x07\x05\0\0\x23\xfc\0\0\x30\
\x02\0\0\xee\x01\0\0\x07\x05\0\0\x35\xfc\0\0\x48\x02\0\0\xee\x01\0\0\x4a\x05\0\
\0\x01\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x9e\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xe0\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x2c\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\x03\0\0\
\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x79\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x03\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x90\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\xec\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0c\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct cgroup_skb_sk_lookup_kern *cgroup_skb_sk_lookup_kern::open(const struct bpf_object_open_opts *opts) { return cgroup_skb_sk_lookup_kern__open_opts(opts); }
struct cgroup_skb_sk_lookup_kern *cgroup_skb_sk_lookup_kern::open_and_load() { return cgroup_skb_sk_lookup_kern__open_and_load(); }
int cgroup_skb_sk_lookup_kern::load(struct cgroup_skb_sk_lookup_kern *skel) { return cgroup_skb_sk_lookup_kern__load(skel); }
int cgroup_skb_sk_lookup_kern::attach(struct cgroup_skb_sk_lookup_kern *skel) { return cgroup_skb_sk_lookup_kern__attach(skel); }
void cgroup_skb_sk_lookup_kern::detach(struct cgroup_skb_sk_lookup_kern *skel) { cgroup_skb_sk_lookup_kern__detach(skel); }
void cgroup_skb_sk_lookup_kern::destroy(struct cgroup_skb_sk_lookup_kern *skel) { cgroup_skb_sk_lookup_kern__destroy(skel); }
const void *cgroup_skb_sk_lookup_kern::elf_bytes(size_t *sz) { return cgroup_skb_sk_lookup_kern__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
cgroup_skb_sk_lookup_kern__assert(struct cgroup_skb_sk_lookup_kern *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->g_serv_port) == 2, "unexpected size of 'g_serv_port'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CGROUP_SKB_SK_LOOKUP_KERN_SKEL_H__ */
