/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __GET_FUNC_ARGS_TEST_SKEL_H__
#define __GET_FUNC_ARGS_TEST_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct get_func_args_test {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *fmod_ret_test;
		struct bpf_program *fexit_test;
	} progs;
	struct {
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *fmod_ret_test;
		struct bpf_link *fexit_test;
	} links;
	struct get_func_args_test__bss {
		__u64 test1_result;
		__u64 test2_result;
		__u64 test3_result;
		__u64 test4_result;
	} *bss;

#ifdef __cplusplus
	static inline struct get_func_args_test *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct get_func_args_test *open_and_load();
	static inline int load(struct get_func_args_test *skel);
	static inline int attach(struct get_func_args_test *skel);
	static inline void detach(struct get_func_args_test *skel);
	static inline void destroy(struct get_func_args_test *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
get_func_args_test__destroy(struct get_func_args_test *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
get_func_args_test__create_skeleton(struct get_func_args_test *obj);

static inline struct get_func_args_test *
get_func_args_test__open_opts(const struct bpf_object_open_opts *opts)
{
	struct get_func_args_test *obj;
	int err;

	obj = (struct get_func_args_test *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = get_func_args_test__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	get_func_args_test__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct get_func_args_test *
get_func_args_test__open(void)
{
	return get_func_args_test__open_opts(NULL);
}

static inline int
get_func_args_test__load(struct get_func_args_test *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct get_func_args_test *
get_func_args_test__open_and_load(void)
{
	struct get_func_args_test *obj;
	int err;

	obj = get_func_args_test__open();
	if (!obj)
		return NULL;
	err = get_func_args_test__load(obj);
	if (err) {
		get_func_args_test__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
get_func_args_test__attach(struct get_func_args_test *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
get_func_args_test__detach(struct get_func_args_test *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *get_func_args_test__elf_bytes(size_t *sz);

static inline int
get_func_args_test__create_skeleton(struct get_func_args_test *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "get_func_args_test";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "get_func.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test1";
	s->progs[0].prog = &obj->progs.test1;
	s->progs[0].link = &obj->links.test1;

	s->progs[1].name = "test2";
	s->progs[1].prog = &obj->progs.test2;
	s->progs[1].link = &obj->links.test2;

	s->progs[2].name = "fmod_ret_test";
	s->progs[2].prog = &obj->progs.fmod_ret_test;
	s->progs[2].link = &obj->links.fmod_ret_test;

	s->progs[3].name = "fexit_test";
	s->progs[3].prog = &obj->progs.fexit_test;
	s->progs[3].link = &obj->links.fexit_test;

	s->data = (void *)get_func_args_test__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *get_func_args_test__elf_bytes(size_t *sz)
{
	*sz = 8672;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x1e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\
\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x65\
\x78\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\
\x72\x6e\x5f\x74\x65\x73\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\x73\x5f\x74\x65\x73\x74\x2e\
\x63\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\
\x36\0\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x31\x30\0\x4c\x42\x42\x31\
\x5f\x32\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x31\x5f\x36\0\x4c\x42\x42\x31\
\x5f\x38\0\x4c\x42\x42\x31\x5f\x31\x30\0\x4c\x42\x42\x31\x5f\x31\x32\0\x4c\x42\
\x42\x31\x5f\x31\x34\0\x4c\x42\x42\x31\x5f\x31\x36\0\x4c\x42\x42\x32\x5f\x32\0\
\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x32\x5f\x36\0\x4c\x42\x42\x32\x5f\x38\0\
\x4c\x42\x42\x32\x5f\x31\x30\0\x4c\x42\x42\x32\x5f\x31\x32\0\x4c\x42\x42\x32\
\x5f\x31\x34\0\x4c\x42\x42\x33\x5f\x32\0\x4c\x42\x42\x33\x5f\x34\0\x4c\x42\x42\
\x33\x5f\x36\0\x4c\x42\x42\x33\x5f\x38\0\x4c\x42\x42\x33\x5f\x31\x30\0\x4c\x42\
\x42\x33\x5f\x31\x32\0\x4c\x42\x42\x33\x5f\x31\x34\0\x4c\x42\x42\x33\x5f\x31\
\x36\0\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\0\
\x74\x65\x73\x74\x32\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x66\
\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\0\x74\x65\x73\x74\x33\x5f\x72\
\x65\x73\x75\x6c\x74\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\0\x74\x65\x73\
\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x2e\x72\x65\x6c\x66\
\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\
\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x2e\x72\x65\x6c\x66\x65\x78\x69\
\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\
\x5f\x74\x65\x73\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x9f\0\0\0\0\0\x03\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\0\0\x03\
\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\0\0\x03\0\xc8\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb4\0\0\0\0\0\x03\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\
\0\0\x03\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\0\0\x04\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xca\
\0\0\0\0\0\x04\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd1\0\0\0\0\0\x04\0\xd0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\x04\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xdf\0\0\0\0\0\x04\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe7\0\0\0\0\0\x04\
\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\0\0\x04\0\x08\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xf7\0\0\0\0\0\x04\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\0\0\x05\0\x38\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x06\x01\0\0\0\0\x05\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0d\x01\0\0\0\0\x05\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x01\0\0\0\0\x05\0\
\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x01\0\0\0\0\x05\0\x58\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x23\x01\0\0\0\0\x05\0\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\
\x01\0\0\0\0\x05\0\x10\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x01\0\0\0\0\x06\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x3a\x01\0\0\0\0\x06\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\x01\0\0\0\0\
\x06\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\x06\0\x40\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x4f\x01\0\0\0\0\x06\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x57\x01\0\0\0\0\x06\0\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x01\0\0\0\0\x06\
\0\x10\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\x01\0\0\0\0\x06\0\x20\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x6f\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\
\x75\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x82\x01\0\0\x12\0\
\x04\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\x88\x01\0\0\x11\0\x08\0\x08\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x95\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\
\0\0\0\xa3\x01\0\0\x11\0\x08\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb0\x01\0\0\
\x12\0\x06\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\xbb\x01\0\0\x11\0\x08\0\x18\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc8\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\xb9\0\0\0\xb4\x07\0\0\x01\0\0\0\xb4\
\x01\0\0\x01\0\0\0\x15\0\x01\0\x01\0\0\0\xb4\x01\0\0\0\0\0\0\x18\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7b\x18\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\
\0\0\x7b\x1a\xf0\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\
\x03\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\0\0\0\xb7\
\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x79\xa3\
\xf8\xff\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x16\x03\x01\0\x01\0\0\0\xb4\x02\0\0\0\0\
\0\0\x5c\x21\0\0\0\0\0\0\x79\x82\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\x7b\x28\0\0\0\
\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\x85\0\0\0\xb7\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\xea\
\xff\xff\xff\xb4\x01\0\0\0\0\0\0\x79\x82\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\x7b\
\x28\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe8\xff\xff\xff\xbf\x61\0\0\0\
\0\0\0\x85\0\0\0\xb8\0\0\0\x15\0\x01\0\xa1\xff\xff\xff\xb4\x07\0\0\0\0\0\0\x79\
\x81\0\0\0\0\0\0\x5f\x71\0\0\0\0\0\0\x7b\x18\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\xb9\0\0\0\xb4\x07\0\0\x01\0\0\0\
\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\x02\0\0\0\xb4\x01\0\0\0\0\0\0\x18\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x18\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\
\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\
\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\
\0\0\0\0\0\0\x85\0\0\0\xb7\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\0\0\0\0\xb4\
\x01\0\0\0\0\0\0\x79\xa3\xf8\xff\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x16\x03\x01\0\
\x02\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x21\0\0\0\0\0\0\x79\x82\0\0\0\0\0\0\x5f\x12\
\0\0\0\0\0\0\x7b\x28\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf0\xff\xff\
\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x85\0\0\0\xb7\0\0\0\xb4\x01\0\0\
\x01\0\0\0\x15\0\x01\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x79\xa3\xf0\xff\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\x15\x03\x01\0\x03\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x21\0\0\0\0\
\0\0\x79\x82\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\x7b\x28\0\0\0\0\0\0\xbf\xa3\0\0\0\
\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x02\0\0\0\
\x85\0\0\0\xb7\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\xea\xff\xff\xff\xb4\x01\
\0\0\0\0\0\0\x79\x82\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\x7b\x28\0\0\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xb8\
\0\0\0\x79\xa2\xe0\xff\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\x02\x01\0\x05\0\0\0\
\xb4\x01\0\0\0\0\0\0\x15\0\x01\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x5c\x17\0\0\0\0\0\
\0\x79\x81\0\0\0\0\0\0\x5f\x71\0\0\0\0\0\0\x7b\x18\0\0\0\0\0\0\xb4\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x79\x69\x08\0\0\0\0\0\x85\0\0\0\xb9\0\
\0\0\xb4\x07\0\0\x01\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\x02\0\0\0\xb4\x01\
\0\0\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x18\0\0\0\0\0\0\xb7\x01\0\
\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\
\0\0\x7b\x1a\xe0\xff\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\
\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\0\0\0\xb7\0\0\0\xb4\x01\0\0\x01\0\
\0\0\x15\0\x01\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x79\xa3\xf8\xff\0\0\0\0\xb4\x02\0\
\0\x01\0\0\0\x16\x03\x01\0\x01\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x21\0\0\0\0\0\0\
\x79\x82\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\x7b\x28\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\
\0\x07\x03\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x85\0\
\0\0\xb7\0\0\0\x79\xa2\xf0\xff\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x1d\x92\x01\0\0\0\
\0\0\xb4\x01\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x15\0\x01\0\0\0\0\0\xb4\x02\0\0\
\0\0\0\0\x5c\x12\0\0\0\0\0\0\x79\x81\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\x7b\x18\0\
\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\
\xb4\x02\0\0\x02\0\0\0\x85\0\0\0\xb7\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\
\xea\xff\xff\xff\xb4\x01\0\0\0\0\0\0\x79\x82\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\
\x7b\x28\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe0\xff\xff\xff\xbf\x61\0\
\0\0\0\0\0\x85\0\0\0\xb8\0\0\0\x79\xa1\xe0\xff\0\0\0\0\x4f\x10\0\0\0\0\0\0\x15\
\0\x01\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x79\x81\0\0\0\0\0\0\x5f\x71\0\0\0\0\0\0\
\x7b\x18\0\0\0\0\0\0\xb4\0\0\0\xd2\x04\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\
\0\x79\x69\x08\0\0\0\0\0\x85\0\0\0\xb9\0\0\0\xb4\x07\0\0\x01\0\0\0\xb4\x01\0\0\
\x01\0\0\0\x15\0\x01\0\x02\0\0\0\xb4\x01\0\0\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x7b\x18\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x7b\
\x1a\xf0\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\xbf\xa3\0\
\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\
\x85\0\0\0\xb7\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\0\0\0\0\xb4\x01\0\0\0\0\
\0\0\x79\xa3\xf8\xff\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x16\x03\x01\0\x01\0\0\0\xb4\
\x02\0\0\0\0\0\0\x5c\x21\0\0\0\0\0\0\x79\x82\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\
\x7b\x28\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf0\xff\xff\xff\xbf\x61\0\
\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x85\0\0\0\xb7\0\0\0\x79\xa2\xf0\xff\0\0\0\0\
\xb4\x01\0\0\x01\0\0\0\x1d\x92\x01\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\xb4\x02\0\0\
\x01\0\0\0\x15\0\x01\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x12\0\0\0\0\0\0\x79\x81\
\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\x7b\x18\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\
\x03\0\0\xe8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x02\0\0\0\x85\0\0\0\
\xb7\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\0\x01\0\xea\xff\xff\xff\xb4\x01\0\0\0\0\0\
\0\x79\x82\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\x7b\x28\0\0\0\0\0\0\xbf\xa2\0\0\0\0\
\0\0\x07\x02\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xb8\0\0\0\x79\
\xa2\xe0\xff\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\x02\x01\0\xd2\x04\0\0\xb4\x01\0\
\0\0\0\0\0\x15\0\x01\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x5c\x17\0\0\0\0\0\0\x79\x81\
\0\0\0\0\0\0\x5f\x71\0\0\0\0\0\0\x7b\x18\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\x30\0\0\
\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\x38\0\0\0\
\0\0\0\0\x01\0\0\0\x29\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x58\x01\0\0\x58\
\x01\0\0\x0c\x06\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x22\0\0\0\x01\0\0\
\x0c\x03\0\0\0\x28\0\0\0\x01\0\0\x0c\x03\0\0\0\x36\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x41\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\
\x0b\0\0\0\x04\0\0\0\x46\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x5a\0\0\0\0\0\0\
\x0e\x0a\0\0\0\x01\0\0\0\x63\0\0\0\0\0\0\x08\x02\0\0\0\x69\0\0\0\0\0\0\x0e\x0d\
\0\0\0\x01\0\0\0\x76\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\x83\0\0\0\0\0\0\x0e\
\x0d\0\0\0\x01\0\0\0\x90\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\x93\x05\0\0\x01\0\
\0\x0f\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\x9b\x05\0\0\x04\0\0\x0f\x20\0\0\0\
\x0e\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\x08\0\0\0\x08\0\0\0\x10\0\0\0\x10\0\0\0\
\x08\0\0\0\x11\0\0\0\x18\0\0\0\x08\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\
\x74\x31\0\x74\x65\x73\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\
\x73\x74\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\0\x63\x68\x61\x72\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\x36\x34\0\x74\x65\x73\x74\x31\x5f\x72\
\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x74\
\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x34\x5f\x72\x65\
\x73\x75\x6c\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\x65\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x67\x65\x74\
\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\x73\x5f\x74\x65\x73\x74\x2e\x63\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x31\x29\0\x09\x5f\
\x5f\x75\x36\x34\x20\x63\x6e\x74\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x66\x75\x6e\x63\x5f\x61\x72\x67\x5f\x63\x6e\x74\x28\x63\x74\x78\x29\x3b\0\x09\
\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x63\x6e\x74\x20\
\x3d\x3d\x20\x31\x3b\0\x09\x5f\x5f\x75\x36\x34\x20\x61\x20\x3d\x20\x30\x2c\x20\
\x7a\x20\x3d\x20\x30\x2c\x20\x72\x65\x74\x20\x3d\x20\x30\x3b\0\x09\x65\x72\x72\
\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\
\x28\x63\x74\x78\x2c\x20\x30\x2c\x20\x26\x61\x29\x3b\0\x09\x74\x65\x73\x74\x31\
\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\
\x20\x26\x26\x20\x28\x28\x69\x6e\x74\x29\x20\x61\x20\x3d\x3d\x20\x31\x29\x3b\0\
\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\
\x5f\x61\x72\x67\x28\x63\x74\x78\x2c\x20\x31\x2c\x20\x26\x7a\x29\x3b\0\x09\x74\
\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\
\x3d\x3d\x20\x2d\x45\x49\x4e\x56\x41\x4c\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x72\x65\x74\x28\x63\x74\x78\
\x2c\x20\x26\x72\x65\x74\x29\x3b\0\x09\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\
\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x2d\x45\x4f\x50\x4e\x4f\
\x54\x53\x55\x50\x50\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x74\x65\x73\x74\x32\x29\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\
\x20\x3d\x20\x63\x6e\x74\x20\x3d\x3d\x20\x32\x3b\0\x09\x5f\x5f\x75\x36\x34\x20\
\x61\x20\x3d\x20\x30\x2c\x20\x62\x20\x3d\x20\x30\x2c\x20\x7a\x20\x3d\x20\x30\
\x2c\x20\x72\x65\x74\x20\x3d\x20\x30\x3b\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\
\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\
\x20\x28\x69\x6e\x74\x29\x20\x61\x20\x3d\x3d\x20\x32\x3b\0\x09\x65\x72\x72\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\x28\
\x63\x74\x78\x2c\x20\x31\x2c\x20\x26\x62\x29\x3b\0\x09\x74\x65\x73\x74\x32\x5f\
\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\
\x26\x26\x20\x62\x20\x3d\x3d\x20\x33\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\x28\x63\x74\x78\x2c\
\x20\x32\x2c\x20\x26\x7a\x29\x3b\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\
\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x2d\x45\x49\x4e\x56\x41\
\x4c\x3b\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\
\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\
\x35\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x6d\x6f\x64\
\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\x2c\x20\x69\x6e\x74\x20\x5f\x61\x2c\x20\
\x69\x6e\x74\x20\x2a\x5f\x62\x2c\x20\x69\x6e\x74\x20\x5f\x72\x65\x74\x29\0\x09\
\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x63\x6e\x74\x20\
\x3d\x3d\x20\x32\x3b\0\x09\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\
\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x28\x28\x69\x6e\
\x74\x29\x20\x61\x20\x3d\x3d\x20\x31\x29\x3b\0\x09\x74\x65\x73\x74\x33\x5f\x72\
\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\
\x26\x20\x28\x28\x69\x6e\x74\x20\x2a\x29\x20\x62\x20\x3d\x3d\x20\x5f\x62\x29\
\x3b\0\x09\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\
\x72\x72\x20\x3d\x3d\x20\x2d\x45\x49\x4e\x56\x41\x4c\x3b\0\x09\x74\x65\x73\x74\
\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\
\x30\x20\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\x30\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x2c\
\x20\x69\x6e\x74\x20\x5f\x61\x2c\x20\x69\x6e\x74\x20\x2a\x5f\x62\x2c\x20\x69\
\x6e\x74\x20\x5f\x72\x65\x74\x29\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\
\x6c\x74\x20\x3d\x20\x63\x6e\x74\x20\x3d\x3d\x20\x32\x3b\0\x09\x74\x65\x73\x74\
\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\
\x30\x20\x26\x26\x20\x28\x28\x69\x6e\x74\x29\x20\x61\x20\x3d\x3d\x20\x31\x29\
\x3b\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\
\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x28\x28\x69\x6e\x74\x20\x2a\x29\
\x20\x62\x20\x3d\x3d\x20\x5f\x62\x29\x3b\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\
\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x2d\x45\x49\x4e\
\x56\x41\x4c\x3b\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\
\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x72\x65\x74\x20\x3d\
\x3d\x20\x31\x32\x33\x34\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x31\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\
\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\
\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\
\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x44\0\0\0\x44\0\0\0\xe4\x06\0\0\x28\x07\0\0\0\0\0\0\x08\0\0\0\xa0\x05\0\0\x01\
\0\0\0\0\0\0\0\x05\0\0\0\xb8\x05\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\xcf\x05\0\0\
\x01\0\0\0\0\0\0\0\x07\0\0\0\xef\x05\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x10\0\0\0\
\xa0\x05\0\0\x14\0\0\0\0\0\0\0\x9d\0\0\0\x1d\x01\0\0\0\x2c\0\0\x08\0\0\0\x9d\0\
\0\0\x31\x01\0\0\x0e\x34\0\0\x20\0\0\0\x9d\0\0\0\x59\x01\0\0\x15\x44\0\0\x30\0\
\0\0\x9d\0\0\0\x59\x01\0\0\x0f\x44\0\0\x50\0\0\0\x9d\0\0\0\x73\x01\0\0\x08\x38\
\0\0\x58\0\0\0\x9d\0\0\0\x73\x01\0\0\x0f\x38\0\0\x60\0\0\0\x9d\0\0\0\x73\x01\0\
\0\x16\x38\0\0\x70\0\0\0\x9d\0\0\0\x59\x01\0\0\x0f\x44\0\0\x78\0\0\0\x9d\0\0\0\
\x91\x01\0\0\x08\x50\0\0\x98\0\0\0\x9d\0\0\0\xb6\x01\0\0\x16\x78\0\0\xa8\0\0\0\
\x9d\0\0\0\xb6\x01\0\0\x1b\x78\0\0\xd0\0\0\0\x9d\0\0\0\xb6\x01\0\0\x0f\x78\0\0\
\xf0\0\0\0\x9d\0\0\0\xb6\x01\0\0\x1b\x78\0\0\xf8\0\0\0\x9d\0\0\0\xe3\x01\0\0\
\x08\x84\0\0\x18\x01\0\0\x9d\0\0\0\x08\x02\0\0\x16\x88\0\0\x28\x01\0\0\x9d\0\0\
\0\x08\x02\0\0\x0f\x88\0\0\x50\x01\0\0\x9d\0\0\0\x29\x02\0\0\x08\x94\0\0\x60\
\x01\0\0\x9d\0\0\0\x4d\x02\0\0\x16\x98\0\0\x70\x01\0\0\x9d\0\0\0\x4d\x02\0\0\
\x0f\x98\0\0\x88\x01\0\0\x9d\0\0\0\x1d\x01\0\0\x05\x2c\0\0\xb8\x05\0\0\x1c\0\0\
\0\0\0\0\0\x9d\0\0\0\x72\x02\0\0\0\xb0\0\0\x08\0\0\0\x9d\0\0\0\x31\x01\0\0\x0e\
\xb8\0\0\x20\0\0\0\x9d\0\0\0\x86\x02\0\0\x15\xc8\0\0\x30\0\0\0\x9d\0\0\0\x86\
\x02\0\0\x0f\xc8\0\0\x50\0\0\0\x9d\0\0\0\xa0\x02\0\0\x08\xbc\0\0\x58\0\0\0\x9d\
\0\0\0\xa0\x02\0\0\x0f\xbc\0\0\x60\0\0\0\x9d\0\0\0\xa0\x02\0\0\x16\xbc\0\0\x68\
\0\0\0\x9d\0\0\0\xa0\x02\0\0\x1d\xbc\0\0\x78\0\0\0\x9d\0\0\0\x86\x02\0\0\x0f\
\xc8\0\0\x80\0\0\0\x9d\0\0\0\x91\x01\0\0\x08\xd4\0\0\xa0\0\0\0\x9d\0\0\0\xc5\
\x02\0\0\x16\xd8\0\0\xb0\0\0\0\x9d\0\0\0\xc5\x02\0\0\x1b\xd8\0\0\xd8\0\0\0\x9d\
\0\0\0\xc5\x02\0\0\x0f\xd8\0\0\xf8\0\0\0\x9d\0\0\0\xc5\x02\0\0\x1b\xd8\0\0\0\
\x01\0\0\x9d\0\0\0\xf0\x02\0\0\x08\xe0\0\0\x20\x01\0\0\x9d\0\0\0\x15\x03\0\0\
\x16\xe4\0\0\x30\x01\0\0\x9d\0\0\0\x15\x03\0\0\x1b\xe4\0\0\x58\x01\0\0\x9d\0\0\
\0\x15\x03\0\0\x0f\xe4\0\0\x78\x01\0\0\x9d\0\0\0\x15\x03\0\0\x1b\xe4\0\0\x80\
\x01\0\0\x9d\0\0\0\x3a\x03\0\0\x08\xf0\0\0\xa0\x01\0\0\x9d\0\0\0\x5f\x03\0\0\
\x16\xf4\0\0\xb0\x01\0\0\x9d\0\0\0\x5f\x03\0\0\x0f\xf4\0\0\xd8\x01\0\0\x9d\0\0\
\0\x29\x02\0\0\x08\0\x01\0\xe8\x01\0\0\x9d\0\0\0\x80\x03\0\0\x1b\x04\x01\0\x08\
\x02\0\0\x9d\0\0\0\x80\x03\0\0\x16\x04\x01\0\x18\x02\0\0\x9d\0\0\0\x80\x03\0\0\
\x1b\x04\x01\0\x20\x02\0\0\x9d\0\0\0\x80\x03\0\0\x0f\x04\x01\0\x38\x02\0\0\x9d\
\0\0\0\x72\x02\0\0\x05\xb0\0\0\xcf\x05\0\0\x1e\0\0\0\0\0\0\0\x9d\0\0\0\xa7\x03\
\0\0\0\x1c\x01\0\x08\0\0\0\x9d\0\0\0\xa7\x03\0\0\x05\x1c\x01\0\x10\0\0\0\x9d\0\
\0\0\x31\x01\0\0\x0e\x24\x01\0\x28\0\0\0\x9d\0\0\0\xde\x03\0\0\x15\x34\x01\0\
\x38\0\0\0\x9d\0\0\0\xde\x03\0\0\x0f\x34\x01\0\x58\0\0\0\x9d\0\0\0\xa0\x02\0\0\
\x08\x28\x01\0\x60\0\0\0\x9d\0\0\0\xa0\x02\0\0\x0f\x28\x01\0\x68\0\0\0\x9d\0\0\
\0\xa0\x02\0\0\x16\x28\x01\0\x70\0\0\0\x9d\0\0\0\xa0\x02\0\0\x1d\x28\x01\0\x80\
\0\0\0\x9d\0\0\0\xde\x03\0\0\x0f\x34\x01\0\x88\0\0\0\x9d\0\0\0\x91\x01\0\0\x08\
\x40\x01\0\xa8\0\0\0\x9d\0\0\0\xf8\x03\0\0\x16\x44\x01\0\xb8\0\0\0\x9d\0\0\0\
\xf8\x03\0\0\x1b\x44\x01\0\xe0\0\0\0\x9d\0\0\0\xf8\x03\0\0\x0f\x44\x01\0\0\x01\
\0\0\x9d\0\0\0\xf8\x03\0\0\x1b\x44\x01\0\x08\x01\0\0\x9d\0\0\0\xf0\x02\0\0\x08\
\x4c\x01\0\x20\x01\0\0\x9d\0\0\0\x25\x04\0\0\x1b\x50\x01\0\x48\x01\0\0\x9d\0\0\
\0\x25\x04\0\0\x16\x50\x01\0\x58\x01\0\0\x9d\0\0\0\x25\x04\0\0\x1b\x50\x01\0\
\x60\x01\0\0\x9d\0\0\0\x25\x04\0\0\x0f\x50\x01\0\x80\x01\0\0\x9d\0\0\0\x25\x04\
\0\0\x1b\x50\x01\0\x88\x01\0\0\x9d\0\0\0\x3a\x03\0\0\x08\x5c\x01\0\xa8\x01\0\0\
\x9d\0\0\0\x55\x04\0\0\x16\x60\x01\0\xb8\x01\0\0\x9d\0\0\0\x55\x04\0\0\x0f\x60\
\x01\0\xe0\x01\0\0\x9d\0\0\0\x29\x02\0\0\x08\x6c\x01\0\xf0\x01\0\0\x9d\0\0\0\
\x76\x04\0\0\x1b\x70\x01\0\xf8\x01\0\0\x9d\0\0\0\x76\x04\0\0\x16\x70\x01\0\0\
\x02\0\0\x9d\0\0\0\x76\x04\0\0\x1b\x70\x01\0\x10\x02\0\0\x9d\0\0\0\x76\x04\0\0\
\x0f\x70\x01\0\x28\x02\0\0\x9d\0\0\0\xa7\x03\0\0\x05\x1c\x01\0\xef\x05\0\0\x1e\
\0\0\0\0\0\0\0\x9d\0\0\0\x9d\x04\0\0\0\x90\x01\0\x08\0\0\0\x9d\0\0\0\x9d\x04\0\
\0\x05\x90\x01\0\x10\0\0\0\x9d\0\0\0\x31\x01\0\0\x0e\x98\x01\0\x28\0\0\0\x9d\0\
\0\0\xd1\x04\0\0\x15\xa8\x01\0\x38\0\0\0\x9d\0\0\0\xd1\x04\0\0\x0f\xa8\x01\0\
\x58\0\0\0\x9d\0\0\0\xa0\x02\0\0\x08\x9c\x01\0\x60\0\0\0\x9d\0\0\0\xa0\x02\0\0\
\x0f\x9c\x01\0\x68\0\0\0\x9d\0\0\0\xa0\x02\0\0\x16\x9c\x01\0\x70\0\0\0\x9d\0\0\
\0\xa0\x02\0\0\x1d\x9c\x01\0\x80\0\0\0\x9d\0\0\0\xd1\x04\0\0\x0f\xa8\x01\0\x88\
\0\0\0\x9d\0\0\0\x91\x01\0\0\x08\xb4\x01\0\xa8\0\0\0\x9d\0\0\0\xeb\x04\0\0\x16\
\xb8\x01\0\xb8\0\0\0\x9d\0\0\0\xeb\x04\0\0\x1b\xb8\x01\0\xe0\0\0\0\x9d\0\0\0\
\xeb\x04\0\0\x0f\xb8\x01\0\0\x01\0\0\x9d\0\0\0\xeb\x04\0\0\x1b\xb8\x01\0\x08\
\x01\0\0\x9d\0\0\0\xf0\x02\0\0\x08\xc0\x01\0\x20\x01\0\0\x9d\0\0\0\x18\x05\0\0\
\x1b\xc4\x01\0\x48\x01\0\0\x9d\0\0\0\x18\x05\0\0\x16\xc4\x01\0\x58\x01\0\0\x9d\
\0\0\0\x18\x05\0\0\x1b\xc4\x01\0\x60\x01\0\0\x9d\0\0\0\x18\x05\0\0\x0f\xc4\x01\
\0\x80\x01\0\0\x9d\0\0\0\x18\x05\0\0\x1b\xc4\x01\0\x88\x01\0\0\x9d\0\0\0\x3a\
\x03\0\0\x08\xd0\x01\0\xa8\x01\0\0\x9d\0\0\0\x48\x05\0\0\x16\xd4\x01\0\xb8\x01\
\0\0\x9d\0\0\0\x48\x05\0\0\x0f\xd4\x01\0\xe0\x01\0\0\x9d\0\0\0\x29\x02\0\0\x08\
\xe0\x01\0\xf0\x01\0\0\x9d\0\0\0\x69\x05\0\0\x1b\xe4\x01\0\x10\x02\0\0\x9d\0\0\
\0\x69\x05\0\0\x16\xe4\x01\0\x20\x02\0\0\x9d\0\0\0\x69\x05\0\0\x1b\xe4\x01\0\
\x28\x02\0\0\x9d\0\0\0\x69\x05\0\0\x0f\xe4\x01\0\x40\x02\0\0\x9d\0\0\0\x9d\x04\
\0\0\x05\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x5b\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x02\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa8\x06\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\x08\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x88\x0a\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x60\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0c\0\0\
\0\0\0\0\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0f\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x08\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0f\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd1\x01\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xed\x01\0\0\x09\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x38\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2c\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x48\x0f\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x4d\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x58\x0f\0\0\0\0\0\0\x7c\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x52\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x16\0\0\0\0\0\0\x48\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";
}

#ifdef __cplusplus
struct get_func_args_test *get_func_args_test::open(const struct bpf_object_open_opts *opts) { return get_func_args_test__open_opts(opts); }
struct get_func_args_test *get_func_args_test::open_and_load() { return get_func_args_test__open_and_load(); }
int get_func_args_test::load(struct get_func_args_test *skel) { return get_func_args_test__load(skel); }
int get_func_args_test::attach(struct get_func_args_test *skel) { return get_func_args_test__attach(skel); }
void get_func_args_test::detach(struct get_func_args_test *skel) { get_func_args_test__detach(skel); }
void get_func_args_test::destroy(struct get_func_args_test *skel) { get_func_args_test__destroy(skel); }
const void *get_func_args_test::elf_bytes(size_t *sz) { return get_func_args_test__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
get_func_args_test__assert(struct get_func_args_test *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test1_result) == 8, "unexpected size of 'test1_result'");
	_Static_assert(sizeof(s->bss->test2_result) == 8, "unexpected size of 'test2_result'");
	_Static_assert(sizeof(s->bss->test3_result) == 8, "unexpected size of 'test3_result'");
	_Static_assert(sizeof(s->bss->test4_result) == 8, "unexpected size of 'test4_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __GET_FUNC_ARGS_TEST_SKEL_H__ */
