/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __HTAB_REUSE_SKEL_H__
#define __HTAB_REUSE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct htab_reuse {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *htab;
	} maps;

#ifdef __cplusplus
	static inline struct htab_reuse *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct htab_reuse *open_and_load();
	static inline int load(struct htab_reuse *skel);
	static inline int attach(struct htab_reuse *skel);
	static inline void detach(struct htab_reuse *skel);
	static inline void destroy(struct htab_reuse *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
htab_reuse__destroy(struct htab_reuse *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
htab_reuse__create_skeleton(struct htab_reuse *obj);

static inline struct htab_reuse *
htab_reuse__open_opts(const struct bpf_object_open_opts *opts)
{
	struct htab_reuse *obj;
	int err;

	obj = (struct htab_reuse *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = htab_reuse__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	htab_reuse__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct htab_reuse *
htab_reuse__open(void)
{
	return htab_reuse__open_opts(NULL);
}

static inline int
htab_reuse__load(struct htab_reuse *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct htab_reuse *
htab_reuse__open_and_load(void)
{
	struct htab_reuse *obj;
	int err;

	obj = htab_reuse__open();
	if (!obj)
		return NULL;
	err = htab_reuse__load(obj);
	if (err) {
		htab_reuse__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
htab_reuse__attach(struct htab_reuse *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
htab_reuse__detach(struct htab_reuse *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *htab_reuse__elf_bytes(size_t *sz);

static inline int
htab_reuse__create_skeleton(struct htab_reuse *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "htab_reuse";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "htab";
	s->maps[0].map = &obj->maps.htab;

	s->data = (void *)htab_reuse__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *htab_reuse__elf_bytes(size_t *sz)
{
	*sz = 1240;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x06\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x68\x74\x61\x62\x5f\x72\x65\x75\
\x73\x65\x2e\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x68\x74\x61\x62\0\x2e\x42\
\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x11\0\x03\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x35\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x98\x01\0\0\x98\x01\0\0\
\x97\0\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\x26\0\0\0\x02\0\0\x04\x08\0\0\
\0\x2f\0\0\0\x0b\0\0\0\0\0\0\0\x34\0\0\0\x08\0\0\0\x20\0\0\0\x39\0\0\0\x01\0\0\
\x04\x04\0\0\0\x47\0\0\0\x0c\0\0\0\0\0\0\0\x4b\0\0\0\0\0\0\x08\x08\0\0\0\0\0\0\
\0\x05\0\0\x04\x28\0\0\0\x51\0\0\0\x01\0\0\0\0\0\0\0\x56\0\0\0\x05\0\0\0\x40\0\
\0\0\x62\0\0\0\x07\0\0\0\x80\0\0\0\x66\0\0\0\x09\0\0\0\xc0\0\0\0\x6c\0\0\0\x01\
\0\0\0\0\x01\0\0\x76\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\x7b\0\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0f\0\0\0\x04\0\0\0\x04\0\0\0\
\x80\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x89\0\0\0\x01\0\0\x0f\x04\0\0\0\x11\0\
\0\0\0\0\0\0\x04\0\0\0\x91\0\0\0\x01\0\0\x0f\x28\0\0\0\x0e\0\0\0\0\0\0\0\x28\0\
\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x68\
\x74\x61\x62\x5f\x76\x61\x6c\0\x6c\x6f\x63\x6b\0\x64\x61\x74\x61\0\x62\x70\x66\
\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x5f\x5f\x75\x33\x32\0\
\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\
\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x68\x74\x61\x62\0\
\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x6d\x61\x70\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x3f\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\
\0\0\0\0\0\0\x47\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0";
}

#ifdef __cplusplus
struct htab_reuse *htab_reuse::open(const struct bpf_object_open_opts *opts) { return htab_reuse__open_opts(opts); }
struct htab_reuse *htab_reuse::open_and_load() { return htab_reuse__open_and_load(); }
int htab_reuse::load(struct htab_reuse *skel) { return htab_reuse__load(skel); }
int htab_reuse::attach(struct htab_reuse *skel) { return htab_reuse__attach(skel); }
void htab_reuse::detach(struct htab_reuse *skel) { htab_reuse__detach(skel); }
void htab_reuse::destroy(struct htab_reuse *skel) { htab_reuse__destroy(skel); }
const void *htab_reuse::elf_bytes(size_t *sz) { return htab_reuse__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
htab_reuse__assert(struct htab_reuse *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __HTAB_REUSE_SKEL_H__ */
