/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __KFUNC_CALL_DESTRUCTIVE_SKEL_H__
#define __KFUNC_CALL_DESTRUCTIVE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct kfunc_call_destructive {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *kfunc_destructive_test;
	} progs;
	struct {
		struct bpf_link *kfunc_destructive_test;
	} links;

#ifdef __cplusplus
	static inline struct kfunc_call_destructive *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kfunc_call_destructive *open_and_load();
	static inline int load(struct kfunc_call_destructive *skel);
	static inline int attach(struct kfunc_call_destructive *skel);
	static inline void detach(struct kfunc_call_destructive *skel);
	static inline void destroy(struct kfunc_call_destructive *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kfunc_call_destructive__destroy(struct kfunc_call_destructive *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kfunc_call_destructive__create_skeleton(struct kfunc_call_destructive *obj);

static inline struct kfunc_call_destructive *
kfunc_call_destructive__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kfunc_call_destructive *obj;
	int err;

	obj = (struct kfunc_call_destructive *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kfunc_call_destructive__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kfunc_call_destructive__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kfunc_call_destructive *
kfunc_call_destructive__open(void)
{
	return kfunc_call_destructive__open_opts(NULL);
}

static inline int
kfunc_call_destructive__load(struct kfunc_call_destructive *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kfunc_call_destructive *
kfunc_call_destructive__open_and_load(void)
{
	struct kfunc_call_destructive *obj;
	int err;

	obj = kfunc_call_destructive__open();
	if (!obj)
		return NULL;
	err = kfunc_call_destructive__load(obj);
	if (err) {
		kfunc_call_destructive__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kfunc_call_destructive__attach(struct kfunc_call_destructive *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kfunc_call_destructive__detach(struct kfunc_call_destructive *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kfunc_call_destructive__elf_bytes(size_t *sz);

static inline int
kfunc_call_destructive__create_skeleton(struct kfunc_call_destructive *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kfunc_call_destructive";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kfunc_destructive_test";
	s->progs[0].prog = &obj->progs.kfunc_destructive_test;
	s->progs[0].link = &obj->links.kfunc_destructive_test;

	s->data = (void *)kfunc_call_destructive__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kfunc_call_destructive__elf_bytes(size_t *sz)
{
	*sz = 1512;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x64\
\x65\x73\x74\x72\x75\x63\x74\x69\x76\x65\x2e\x63\0\x6b\x66\x75\x6e\x63\x5f\x64\
\x65\x73\x74\x72\x75\x63\x74\x69\x76\x65\x5f\x74\x65\x73\x74\0\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x64\x65\x73\
\x74\x72\x75\x63\x74\x69\x76\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x04\0\xf1\xff\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x35\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x4c\0\0\0\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\xb8\0\0\0\xb8\0\0\0\x23\x01\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x01\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\0\0\0\0\0\
\0\0\x0d\0\0\0\0\x1c\0\0\0\x02\0\0\x0c\x04\0\0\0\x3c\0\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x06\0\0\0\x08\0\0\0\x04\0\0\0\x41\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\x55\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x11\x01\
\0\0\x01\0\0\x0f\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\x19\x01\0\0\x01\0\0\x0f\
\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x6b\x66\x75\x6e\x63\x5f\x64\
\x65\x73\x74\x72\x75\x63\x74\x69\x76\x65\x5f\x74\x65\x73\x74\0\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x64\x65\x73\
\x74\x72\x75\x63\x74\x69\x76\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6b\x66\x75\x6e\x63\
\x5f\x63\x61\x6c\x6c\x5f\x64\x65\x73\x74\x72\x75\x63\x74\x69\x76\x65\x2e\x63\0\
\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x64\x65\x73\x74\x72\x75\x63\x74\x69\x76\x65\x28\x29\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\
\x6d\x73\0\x74\x63\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\
\0\0\x2c\0\0\0\x40\0\0\0\0\0\0\0\x08\0\0\0\x20\x01\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\x10\0\0\0\x20\x01\0\0\x02\0\0\0\0\0\0\0\x5e\0\0\0\xe2\0\0\0\x02\x28\0\0\
\x08\0\0\0\x5e\0\0\0\x06\x01\0\0\x02\x2c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\x8a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x90\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x90\x01\0\0\0\0\0\0\xf3\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x81\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x03\0\0\
\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct kfunc_call_destructive *kfunc_call_destructive::open(const struct bpf_object_open_opts *opts) { return kfunc_call_destructive__open_opts(opts); }
struct kfunc_call_destructive *kfunc_call_destructive::open_and_load() { return kfunc_call_destructive__open_and_load(); }
int kfunc_call_destructive::load(struct kfunc_call_destructive *skel) { return kfunc_call_destructive__load(skel); }
int kfunc_call_destructive::attach(struct kfunc_call_destructive *skel) { return kfunc_call_destructive__attach(skel); }
void kfunc_call_destructive::detach(struct kfunc_call_destructive *skel) { kfunc_call_destructive__detach(skel); }
void kfunc_call_destructive::destroy(struct kfunc_call_destructive *skel) { kfunc_call_destructive__destroy(skel); }
const void *kfunc_call_destructive::elf_bytes(size_t *sz) { return kfunc_call_destructive__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kfunc_call_destructive__assert(struct kfunc_call_destructive *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KFUNC_CALL_DESTRUCTIVE_SKEL_H__ */
