/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __KFUNC_CALL_FAIL_SKEL_H__
#define __KFUNC_CALL_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct kfunc_call_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *kfunc_syscall_test_fail;
		struct bpf_program *kfunc_syscall_test_null_fail;
		struct bpf_program *kfunc_call_test_get_mem_fail_rdonly;
		struct bpf_program *kfunc_call_test_get_mem_fail_use_after_free;
		struct bpf_program *kfunc_call_test_get_mem_fail_oob;
		struct bpf_program *kfunc_call_test_get_mem_fail_not_const;
		struct bpf_program *kfunc_call_test_mem_acquire_fail;
	} progs;
	struct {
		struct bpf_link *kfunc_syscall_test_fail;
		struct bpf_link *kfunc_syscall_test_null_fail;
		struct bpf_link *kfunc_call_test_get_mem_fail_rdonly;
		struct bpf_link *kfunc_call_test_get_mem_fail_use_after_free;
		struct bpf_link *kfunc_call_test_get_mem_fail_oob;
		struct bpf_link *kfunc_call_test_get_mem_fail_not_const;
		struct bpf_link *kfunc_call_test_mem_acquire_fail;
	} links;
	struct kfunc_call_fail__data {
		int not_const_size;
	} *data;

#ifdef __cplusplus
	static inline struct kfunc_call_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kfunc_call_fail *open_and_load();
	static inline int load(struct kfunc_call_fail *skel);
	static inline int attach(struct kfunc_call_fail *skel);
	static inline void detach(struct kfunc_call_fail *skel);
	static inline void destroy(struct kfunc_call_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kfunc_call_fail__destroy(struct kfunc_call_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kfunc_call_fail__create_skeleton(struct kfunc_call_fail *obj);

static inline struct kfunc_call_fail *
kfunc_call_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kfunc_call_fail *obj;
	int err;

	obj = (struct kfunc_call_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kfunc_call_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kfunc_call_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kfunc_call_fail *
kfunc_call_fail__open(void)
{
	return kfunc_call_fail__open_opts(NULL);
}

static inline int
kfunc_call_fail__load(struct kfunc_call_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kfunc_call_fail *
kfunc_call_fail__open_and_load(void)
{
	struct kfunc_call_fail *obj;
	int err;

	obj = kfunc_call_fail__open();
	if (!obj)
		return NULL;
	err = kfunc_call_fail__load(obj);
	if (err) {
		kfunc_call_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kfunc_call_fail__attach(struct kfunc_call_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kfunc_call_fail__detach(struct kfunc_call_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kfunc_call_fail__elf_bytes(size_t *sz);

static inline int
kfunc_call_fail__create_skeleton(struct kfunc_call_fail *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kfunc_call_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "kfunc_ca.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kfunc_syscall_test_fail";
	s->progs[0].prog = &obj->progs.kfunc_syscall_test_fail;
	s->progs[0].link = &obj->links.kfunc_syscall_test_fail;

	s->progs[1].name = "kfunc_syscall_test_null_fail";
	s->progs[1].prog = &obj->progs.kfunc_syscall_test_null_fail;
	s->progs[1].link = &obj->links.kfunc_syscall_test_null_fail;

	s->progs[2].name = "kfunc_call_test_get_mem_fail_rdonly";
	s->progs[2].prog = &obj->progs.kfunc_call_test_get_mem_fail_rdonly;
	s->progs[2].link = &obj->links.kfunc_call_test_get_mem_fail_rdonly;

	s->progs[3].name = "kfunc_call_test_get_mem_fail_use_after_free";
	s->progs[3].prog = &obj->progs.kfunc_call_test_get_mem_fail_use_after_free;
	s->progs[3].link = &obj->links.kfunc_call_test_get_mem_fail_use_after_free;

	s->progs[4].name = "kfunc_call_test_get_mem_fail_oob";
	s->progs[4].prog = &obj->progs.kfunc_call_test_get_mem_fail_oob;
	s->progs[4].link = &obj->links.kfunc_call_test_get_mem_fail_oob;

	s->progs[5].name = "kfunc_call_test_get_mem_fail_not_const";
	s->progs[5].prog = &obj->progs.kfunc_call_test_get_mem_fail_not_const;
	s->progs[5].link = &obj->links.kfunc_call_test_get_mem_fail_not_const;

	s->progs[6].name = "kfunc_call_test_mem_acquire_fail";
	s->progs[6].prog = &obj->progs.kfunc_call_test_mem_acquire_fail;
	s->progs[6].link = &obj->links.kfunc_call_test_mem_acquire_fail;

	s->data = (void *)kfunc_call_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kfunc_call_fail__elf_bytes(size_t *sz)
{
	*sz = 8440;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x1e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x73\
\x79\x73\x63\x61\x6c\x6c\0\x3f\x74\x63\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x66\x61\x69\x6c\x2e\
\x63\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x32\x5f\x33\0\x4c\x42\x42\x33\x5f\
\x34\0\x4c\x42\x42\x33\x5f\x33\0\x4c\x42\x42\x34\x5f\x34\0\x4c\x42\x42\x34\x5f\
\x33\0\x4c\x42\x42\x35\x5f\x34\0\x4c\x42\x42\x35\x5f\x33\0\x4c\x42\x42\x36\x5f\
\x34\0\x4c\x42\x42\x36\x5f\x33\0\x6b\x66\x75\x6e\x63\x5f\x73\x79\x73\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x66\x61\x69\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\
\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x6c\x65\
\x6e\x5f\x70\x61\x73\x73\x31\0\x6b\x66\x75\x6e\x63\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x6e\x75\x6c\x6c\x5f\x66\x61\x69\x6c\0\x6b\x66\x75\
\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\
\x6d\x5f\x66\x61\x69\x6c\x5f\x72\x64\x6f\x6e\x6c\x79\0\x62\x70\x66\x5f\x6b\x66\
\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x75\x69\
\x72\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\0\x62\x70\
\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\
\x65\x6c\x65\x61\x73\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x75\x73\x65\
\x5f\x61\x66\x74\x65\x72\x5f\x66\x72\x65\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\
\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x77\
\x72\x5f\x6d\x65\x6d\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x6f\x6f\x62\0\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\
\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\0\x6e\
\x6f\x74\x5f\x63\x6f\x6e\x73\x74\x5f\x73\x69\x7a\x65\0\x6b\x66\x75\x6e\x63\x5f\
\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x61\x63\x71\x75\x69\
\x72\x65\x5f\x66\x61\x69\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\
\x6d\x65\x6d\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x69\
\x6e\x74\x5f\x6d\x65\x6d\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x72\x65\
\x6c\x3f\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x04\0\xf1\xff\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\0\0\x04\0\x90\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\0\0\x04\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x4c\0\0\0\0\0\x04\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\0\0\x04\0\
\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\0\0\x04\0\xd8\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\0\0\0\0\0\x04\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\
\0\0\0\x04\0\x78\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\0\0\x04\0\x68\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\0\0\x04\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7d\0\0\0\0\0\x04\0\xf8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x9c\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xbe\0\0\0\x12\0\x03\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xdb\0\
\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\xff\0\0\0\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3e\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\x01\0\0\x12\0\x04\0\
\xa0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x86\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa7\x01\0\0\x12\0\x04\0\x58\x01\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xc8\
\x01\0\0\x12\0\x04\0\xe8\x01\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\xef\x01\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xfe\x01\0\0\x12\0\x04\0\x88\x02\0\0\0\
\0\0\0\xa0\0\0\0\0\0\0\0\x1f\x02\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x42\x02\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x02\0\0\x11\0\x06\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\x02\0\0\x19\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x02\0\0\x18\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\
\x1a\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\x85\x10\0\
\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x15\x06\x0a\0\0\0\0\
\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\
\x07\0\0\xff\xff\xff\xff\x15\0\x03\0\0\0\0\0\xb4\x01\0\0\x2a\0\0\0\x63\x10\0\0\
\0\0\0\0\xb4\x07\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\
\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\
\xff\xbf\x06\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x15\x06\x0e\0\0\0\0\0\xbf\x61\0\0\0\
\0\0\0\xb4\x02\0\0\x08\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x07\0\0\0\0\0\0\
\x55\x07\x04\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\
\0\xff\xff\xff\xff\x05\0\x05\0\0\0\0\0\xb4\x01\0\0\x2a\0\0\0\x63\x17\0\0\0\0\0\
\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x61\x70\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\xb4\
\x07\0\0\0\0\0\0\x15\x06\x08\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\
\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x07\0\0\xff\xff\xff\xff\x15\0\x01\0\0\0\0\0\
\x61\x07\x20\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x70\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\xbf\
\x06\0\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x15\x06\x0a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\xb4\x07\0\0\xff\xff\xff\xff\x15\0\x01\0\0\0\0\0\x61\x07\0\0\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x70\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\xb4\
\x07\0\0\0\0\0\0\x15\x06\x0a\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\
\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x07\0\0\xff\xff\xff\xff\x15\0\x01\0\0\0\0\0\
\x61\x07\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x08\0\0\0\x47\x50\x4c\0\x08\0\0\0\0\0\0\0\x0a\0\0\0\x0f\0\0\0\x28\0\0\0\0\0\0\
\0\x0a\0\0\0\x0f\0\0\0\x20\0\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x50\0\0\0\0\0\0\0\
\x0a\0\0\0\x13\0\0\0\x88\0\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\xc0\0\0\0\0\0\0\0\
\x0a\0\0\0\x12\0\0\0\xf0\0\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\x10\x01\0\0\0\0\0\0\
\x0a\0\0\0\x14\0\0\0\x40\x01\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x78\x01\0\0\0\0\0\
\0\x0a\0\0\0\x12\0\0\0\xa8\x01\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\xd0\x01\0\0\0\0\
\0\0\x0a\0\0\0\x14\0\0\0\x08\x02\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\x28\x02\0\0\0\
\0\0\0\x01\0\0\0\x19\0\0\0\x48\x02\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x70\x02\0\0\
\0\0\0\0\x0a\0\0\0\x14\0\0\0\xa8\x02\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\xd8\x02\0\
\0\0\0\0\0\x0a\0\0\0\x1b\0\0\0\0\x03\0\0\0\0\0\0\x0a\0\0\0\x1c\0\0\0\x10\x03\0\
\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x54\x06\0\0\x54\
\x06\0\0\x57\x09\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x02\0\0\x04\x18\0\0\
\0\x13\0\0\0\x05\0\0\0\0\0\0\0\x18\0\0\0\x07\0\0\0\x80\0\0\0\x1d\0\0\0\0\0\0\
\x08\x04\0\0\0\x22\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x03\0\0\0\x06\0\0\0\x10\0\0\0\x30\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x44\0\
\0\0\0\0\0\x08\x08\0\0\0\x4b\0\0\0\0\0\0\x08\x09\0\0\0\x5b\0\0\0\0\0\0\x08\x0a\
\0\0\0\x6c\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x0c\0\0\0\
\x7a\0\0\0\x01\0\0\0\x7f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x83\0\0\0\x01\0\
\0\x0c\x0b\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\0\x0c\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\0\x9b\0\0\0\x02\0\0\x0c\x0e\0\0\0\xbd\0\0\0\x01\0\0\
\x0c\x0b\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\xda\0\0\0\x22\0\0\x04\xc0\0\0\0\xe4\
\0\0\0\x14\0\0\0\0\0\0\0\xe8\0\0\0\x14\0\0\0\x20\0\0\0\xf1\0\0\0\x14\0\0\0\x40\
\0\0\0\xf6\0\0\0\x14\0\0\0\x60\0\0\0\x04\x01\0\0\x14\0\0\0\x80\0\0\0\x0d\x01\0\
\0\x14\0\0\0\xa0\0\0\0\x1a\x01\0\0\x14\0\0\0\xc0\0\0\0\x23\x01\0\0\x14\0\0\0\
\xe0\0\0\0\x2e\x01\0\0\x14\0\0\0\0\x01\0\0\x37\x01\0\0\x14\0\0\0\x20\x01\0\0\
\x47\x01\0\0\x14\0\0\0\x40\x01\0\0\x4f\x01\0\0\x14\0\0\0\x60\x01\0\0\x58\x01\0\
\0\x16\0\0\0\x80\x01\0\0\x5b\x01\0\0\x14\0\0\0\x20\x02\0\0\x60\x01\0\0\x14\0\0\
\0\x40\x02\0\0\x13\0\0\0\x14\0\0\0\x60\x02\0\0\x6b\x01\0\0\x14\0\0\0\x80\x02\0\
\0\x74\x01\0\0\x14\0\0\0\xa0\x02\0\0\x7c\x01\0\0\x14\0\0\0\xc0\x02\0\0\x83\x01\
\0\0\x14\0\0\0\xe0\x02\0\0\x8e\x01\0\0\x14\0\0\0\0\x03\0\0\x98\x01\0\0\x17\0\0\
\0\x20\x03\0\0\xa3\x01\0\0\x17\0\0\0\xa0\x03\0\0\xad\x01\0\0\x14\0\0\0\x20\x04\
\0\0\xb9\x01\0\0\x14\0\0\0\x40\x04\0\0\xc4\x01\0\0\x14\0\0\0\x60\x04\0\0\0\0\0\
\0\x18\0\0\0\x80\x04\0\0\xce\x01\0\0\x1a\0\0\0\xc0\x04\0\0\xd5\x01\0\0\x14\0\0\
\0\0\x05\0\0\xde\x01\0\0\x14\0\0\0\x20\x05\0\0\0\0\0\0\x1c\0\0\0\x40\x05\0\0\
\xe7\x01\0\0\x14\0\0\0\x80\x05\0\0\xf0\x01\0\0\x03\0\0\0\xa0\x05\0\0\xfc\x01\0\
\0\x1a\0\0\0\xc0\x05\0\0\x05\x02\0\0\0\0\0\x08\x15\0\0\0\x0b\x02\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x14\0\0\0\x06\0\0\0\x05\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x14\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\
\0\0\0\x18\x02\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x3d\0\0\0\x22\x02\0\0\0\
\0\0\x08\x1b\0\0\0\x28\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x05\x08\0\0\0\x3b\x02\0\0\x1d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x3e\0\0\0\0\0\0\
\0\x01\0\0\x0d\x0c\0\0\0\x3e\x02\0\0\x12\0\0\0\x42\x02\0\0\x01\0\0\x0c\x1e\0\0\
\0\0\0\0\0\x01\0\0\x0d\x21\0\0\0\0\0\0\0\x29\0\0\0\0\0\0\0\0\0\0\x02\x22\0\0\0\
\x66\x02\0\0\x05\0\0\x04\x20\0\0\0\x7a\x02\0\0\x0c\0\0\0\0\0\0\0\x7c\x02\0\0\
\x0c\0\0\0\x20\0\0\0\x7e\x02\0\0\x23\0\0\0\x40\0\0\0\x83\x02\0\0\x21\0\0\0\x80\
\0\0\0\x88\x02\0\0\x25\0\0\0\xc0\0\0\0\x8c\x02\0\0\x02\0\0\x04\x08\0\0\0\x9d\
\x02\0\0\x24\0\0\0\0\0\0\0\x9f\x02\0\0\x0c\0\0\0\x20\0\0\0\xa1\x02\0\0\x01\0\0\
\x04\x04\0\0\0\x7a\x02\0\0\x0c\0\0\0\0\0\0\0\xb3\x02\0\0\0\0\0\x08\x26\0\0\0\
\xbe\x02\0\0\x01\0\0\x04\x04\0\0\0\xce\x02\0\0\x27\0\0\0\0\0\0\0\xd3\x02\0\0\0\
\0\0\x08\x28\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\xdc\x02\0\0\x0c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\x0a\0\0\0\xe4\x02\0\0\x02\0\0\x0c\x20\0\0\0\0\0\0\0\x02\0\0\
\x0d\x2c\0\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\x2d\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\
\0\0\0\0\0\0\0\x0a\x0c\0\0\0\0\x03\0\0\x02\0\0\x0c\x2b\0\0\0\0\0\0\0\x01\0\0\
\x0d\0\0\0\0\0\0\0\0\x21\0\0\0\x23\x03\0\0\x02\0\0\x0c\x2f\0\0\0\x3f\x03\0\0\
\x01\0\0\x0c\x1e\0\0\0\x6b\x03\0\0\x02\0\0\x0c\x2b\0\0\0\x8c\x03\0\0\x01\0\0\
\x0c\x1e\0\0\0\xad\x03\0\0\x01\0\0\x0c\x1e\0\0\0\xd4\x03\0\0\x01\0\0\x0c\x1e\0\
\0\0\xf5\x03\0\0\x02\0\0\x0c\x2b\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x2c\
\0\0\0\x18\x04\0\0\x02\0\0\x0c\x37\0\0\0\x37\x04\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\
\0\0\x46\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x3a\
\0\0\0\x06\0\0\0\x04\0\0\0\x4b\x04\0\0\0\0\0\x0e\x3b\0\0\0\x01\0\0\0\x54\x04\0\
\0\0\0\0\x07\0\0\0\0\x62\x04\0\0\0\0\0\x07\0\0\0\0\x35\x09\0\0\x01\0\0\x0f\x04\
\0\0\0\x39\0\0\0\0\0\0\0\x04\0\0\0\x3b\x09\0\0\x01\0\0\x0f\x04\0\0\0\x3c\0\0\0\
\0\0\0\0\x04\0\0\0\x43\x09\0\0\x07\0\0\x0f\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\
\x2a\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\
\x32\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\
\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x72\x67\x73\0\x64\
\x61\x74\x61\0\x73\x69\x7a\x65\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x73\x69\x7a\x65\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\
\x65\x6c\x5f\x73\x69\x7a\x65\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x75\
\x6c\x6f\x6e\x67\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\
\0\x61\x72\x67\x73\0\x69\x6e\x74\0\x6b\x66\x75\x6e\x63\x5f\x73\x79\x73\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x66\x61\x69\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\
\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x6c\x65\
\x6e\x5f\x70\x61\x73\x73\x31\0\x6b\x66\x75\x6e\x63\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x6e\x75\x6c\x6c\x5f\x66\x61\x69\x6c\0\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\
\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\
\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\
\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\
\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\
\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\
\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\
\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\
\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\
\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\
\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\
\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x73\x6b\x62\0\x6b\x66\x75\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\
\x69\x6c\x5f\x72\x64\x6f\x6e\x6c\x79\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\x5f\
\x72\x65\x66\x5f\x6b\x66\x75\x6e\x63\0\x61\0\x62\0\x6d\x65\x6d\x62\0\x6e\x65\
\x78\x74\0\x63\x6e\x74\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\
\x62\x65\x72\0\x6d\0\x63\0\x70\x72\x6f\x67\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\
\x62\x65\x72\x31\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\x66\x63\
\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\0\x61\x74\x6f\
\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x62\x70\x66\x5f\x6b\x66\
\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x75\x69\
\x72\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\0\x62\x70\
\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\
\x65\x6c\x65\x61\x73\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x75\x73\x65\
\x5f\x61\x66\x74\x65\x72\x5f\x66\x72\x65\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\
\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x77\
\x72\x5f\x6d\x65\x6d\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x6f\x6f\x62\0\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\
\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\0\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\
\x61\x63\x71\x75\x69\x72\x65\x5f\x66\x61\x69\x6c\0\x62\x70\x66\x5f\x6b\x66\x75\
\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x5f\x72\x64\
\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x69\x6e\x74\x5f\x6d\x65\x6d\x5f\x72\x65\x6c\x65\x61\x73\x65\0\
\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\x5f\x73\x69\x7a\x65\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x66\x61\x69\x6c\
\x2e\x63\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\
\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x6c\x65\x6e\x5f\x70\x61\x73\x73\x31\x28\x26\
\x61\x72\x67\x73\x2d\x3e\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\
\x2a\x61\x72\x67\x73\x29\x20\x2b\x20\x31\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x6c\x65\x6e\x5f\x70\x61\x73\x73\x31\x28\
\x61\x72\x67\x73\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x61\x72\x67\x73\x29\
\x29\x3b\0\x69\x6e\x74\x20\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x72\x64\x6f\
\x6e\x6c\x79\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\
\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x73\x20\x3d\x20\x30\x3b\0\x09\x70\x74\x20\x3d\x20\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\
\x75\x69\x72\x65\x28\x26\x73\x29\x3b\0\x09\x69\x66\x20\x28\x70\x74\x29\x20\x7b\
\0\x09\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\
\x65\x6d\x28\x70\x74\x2c\x20\x32\x20\x2a\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\
\x6e\x74\x29\x29\x3b\0\x09\x09\x69\x66\x20\x28\x70\x29\0\x09\x09\x09\x70\x5b\
\x30\x5d\x20\x3d\x20\x34\x32\x3b\x20\x2f\x2a\x20\x74\x68\x69\x73\x20\x69\x73\
\x20\x61\x20\x72\x65\x61\x64\x2d\x6f\x6e\x6c\x79\x20\x62\x75\x66\x66\x65\x72\
\x2c\x20\x73\x6f\x20\x2d\x45\x41\x43\x43\x45\x53\x20\x2a\x2f\0\x09\x09\x62\x70\
\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\
\x65\x6c\x65\x61\x73\x65\x28\x70\x74\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x72\x65\x74\x3b\0\x69\x6e\x74\x20\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\x66\x61\x69\x6c\x5f\x75\
\x73\x65\x5f\x61\x66\x74\x65\x72\x5f\x66\x72\x65\x65\x28\x73\x74\x72\x75\x63\
\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x09\
\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x77\x72\x5f\x6d\x65\x6d\x28\x70\
\x74\x2c\x20\x32\x20\x2a\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x6e\x74\x29\x29\
\x3b\0\x09\x09\x69\x66\x20\x28\x70\x29\x20\x7b\0\x09\x09\x09\x70\x5b\x30\x5d\
\x20\x3d\x20\x34\x32\x3b\0\x09\x09\x72\x65\x74\x20\x3d\x20\x70\x5b\x30\x5d\x3b\
\x20\x2f\x2a\x20\x70\x20\x69\x73\x20\x6e\x6f\x74\x20\x76\x61\x6c\x69\x64\x20\
\x61\x6e\x79\x6d\x6f\x72\x65\x20\x2a\x2f\0\x69\x6e\x74\x20\x6b\x66\x75\x6e\x63\
\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\x6d\x5f\
\x66\x61\x69\x6c\x5f\x6f\x6f\x62\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x09\x09\x72\x65\x74\x20\
\x3d\x20\x70\x5b\x32\x20\x2a\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x6e\x74\x29\
\x5d\x3b\x20\x2f\x2a\x20\x6f\x6f\x62\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x73\
\x6f\x20\x2d\x45\x41\x43\x43\x45\x53\x20\x2a\x2f\0\x69\x6e\x74\x20\x6b\x66\x75\
\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x6d\x65\
\x6d\x5f\x66\x61\x69\x6c\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\x28\x73\x74\
\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\
\x29\0\x09\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x67\x65\x74\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\
\x6d\x65\x6d\x28\x70\x74\x2c\x20\x6e\x6f\x74\x5f\x63\x6f\x6e\x73\x74\x5f\x73\
\x69\x7a\x65\x29\x3b\x20\x2f\x2a\x20\x6e\x6f\x6e\x20\x63\x6f\x6e\x73\x74\x20\
\x73\x69\x7a\x65\x2c\x20\x2d\x45\x49\x4e\x56\x41\x4c\x20\x2a\x2f\0\x09\x09\x09\
\x72\x65\x74\x20\x3d\x20\x70\x5b\x30\x5d\x3b\0\x69\x6e\x74\x20\x6b\x66\x75\x6e\
\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x6d\x65\x6d\x5f\x61\x63\x71\
\x75\x69\x72\x65\x5f\x66\x61\x69\x6c\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\
\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x09\x70\x20\x3d\x20\
\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\
\x5f\x61\x63\x71\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\x28\x70\x74\x2c\
\x20\x32\x20\x2a\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x6e\x74\x29\x29\x3b\0\x09\
\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x69\x6e\x74\
\x5f\x6d\x65\x6d\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x70\x29\x3b\0\x2e\x64\x61\
\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x3f\x73\x79\
\x73\x63\x61\x6c\x6c\0\x3f\x74\x63\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x4c\0\0\0\x4c\0\0\0\xb4\x03\0\0\0\x04\0\0\0\0\0\0\x08\0\0\0\x4a\x09\0\0\x02\0\
\0\0\0\0\0\0\x0d\0\0\0\x20\0\0\0\x11\0\0\0\x53\x09\0\0\x05\0\0\0\0\0\0\0\x1f\0\
\0\0\xa0\0\0\0\x31\0\0\0\x58\x01\0\0\x33\0\0\0\xe8\x01\0\0\x34\0\0\0\x88\x02\0\
\0\x35\0\0\0\x10\0\0\0\x4a\x09\0\0\x04\0\0\0\0\0\0\0\x6b\x04\0\0\xe8\x04\0\0\
\x02\x58\0\0\x10\0\0\0\x6b\x04\0\0\x2c\x05\0\0\x02\x60\0\0\x20\0\0\0\x6b\x04\0\
\0\x37\x05\0\0\x02\xa0\0\0\x30\0\0\0\x6b\x04\0\0\x2c\x05\0\0\x02\xa8\0\0\x53\
\x09\0\0\x36\0\0\0\0\0\0\0\x6b\x04\0\0\x70\x05\0\0\0\xb8\0\0\x08\0\0\0\x6b\x04\
\0\0\xaf\x05\0\0\x10\xc4\0\0\x18\0\0\0\x6b\x04\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\x6b\x04\0\0\xc5\x05\0\0\x07\xd4\0\0\x38\0\0\0\x6b\x04\0\0\xec\x05\0\0\x06\xd8\
\0\0\x40\0\0\0\x6b\x04\0\0\xf7\x05\0\0\x07\xdc\0\0\x60\0\0\0\x6b\x04\0\0\x36\
\x06\0\0\x07\xe0\0\0\x70\0\0\0\x6b\x04\0\0\x3f\x06\0\0\x09\xe4\0\0\x80\0\0\0\
\x6b\x04\0\0\x7a\x06\0\0\x03\xf4\0\0\x90\0\0\0\x6b\x04\0\0\x9d\x06\0\0\x02\xfc\
\0\0\xa0\0\0\0\x6b\x04\0\0\xaa\x06\0\0\0\x0c\x01\0\xa8\0\0\0\x6b\x04\0\0\xaf\
\x05\0\0\x10\x18\x01\0\xb8\0\0\0\x6b\x04\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\x6b\x04\
\0\0\xc5\x05\0\0\x07\x28\x01\0\xd8\0\0\0\x6b\x04\0\0\xec\x05\0\0\x06\x2c\x01\0\
\xe0\0\0\0\x6b\x04\0\0\xf1\x06\0\0\x07\x30\x01\0\0\x01\0\0\x6b\x04\0\0\x2e\x07\
\0\0\x07\x34\x01\0\x08\x01\0\0\x6b\x04\0\0\x7a\x06\0\0\x03\x50\x01\0\x30\x01\0\
\0\x6b\x04\0\0\x39\x07\0\0\x09\x38\x01\0\x38\x01\0\0\x6b\x04\0\0\x7a\x06\0\0\
\x03\x50\x01\0\x48\x01\0\0\x6b\x04\0\0\x47\x07\0\0\x09\x5c\x01\0\x50\x01\0\0\
\x6b\x04\0\0\x9d\x06\0\0\x02\x64\x01\0\x58\x01\0\0\x6b\x04\0\0\x72\x07\0\0\0\
\x74\x01\0\x60\x01\0\0\x6b\x04\0\0\xaf\x05\0\0\x10\x80\x01\0\x70\x01\0\0\x6b\
\x04\0\0\0\0\0\0\0\0\0\0\x78\x01\0\0\x6b\x04\0\0\xc5\x05\0\0\x07\x90\x01\0\x90\
\x01\0\0\x6b\x04\0\0\xec\x05\0\0\x06\x94\x01\0\x98\x01\0\0\x6b\x04\0\0\xf7\x05\
\0\0\x07\x98\x01\0\xb8\x01\0\0\x6b\x04\0\0\x36\x06\0\0\x07\x9c\x01\0\xc0\x01\0\
\0\x6b\x04\0\0\xae\x07\0\0\x0a\xa0\x01\0\xc8\x01\0\0\x6b\x04\0\0\x7a\x06\0\0\
\x03\xb0\x01\0\xd8\x01\0\0\x6b\x04\0\0\x9d\x06\0\0\x02\xb8\x01\0\xe8\x01\0\0\
\x6b\x04\0\0\xe8\x07\0\0\0\xd0\x01\0\xf0\x01\0\0\x6b\x04\0\0\xaf\x05\0\0\x10\
\xdc\x01\0\0\x02\0\0\x6b\x04\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\x6b\x04\0\0\xc5\
\x05\0\0\x07\xec\x01\0\x20\x02\0\0\x6b\x04\0\0\xec\x05\0\0\x06\xf0\x01\0\x28\
\x02\0\0\x6b\x04\0\0\x2a\x08\0\0\x2e\xf4\x01\0\x40\x02\0\0\x6b\x04\0\0\x2a\x08\
\0\0\x07\xf4\x01\0\x58\x02\0\0\x6b\x04\0\0\x36\x06\0\0\x07\xf8\x01\0\x60\x02\0\
\0\x6b\x04\0\0\x86\x08\0\0\x0a\xfc\x01\0\x68\x02\0\0\x6b\x04\0\0\x7a\x06\0\0\
\x03\x0c\x02\0\x78\x02\0\0\x6b\x04\0\0\x9d\x06\0\0\x02\x14\x02\0\x88\x02\0\0\
\x6b\x04\0\0\x95\x08\0\0\0\x24\x02\0\x90\x02\0\0\x6b\x04\0\0\xaf\x05\0\0\x10\
\x30\x02\0\xa0\x02\0\0\x6b\x04\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\x6b\x04\0\0\xc5\
\x05\0\0\x07\x40\x02\0\xc0\x02\0\0\x6b\x04\0\0\xec\x05\0\0\x06\x44\x02\0\xc8\
\x02\0\0\x6b\x04\0\0\xd1\x08\0\0\x07\x4c\x02\0\xe8\x02\0\0\x6b\x04\0\0\x36\x06\
\0\0\x07\x50\x02\0\xf0\x02\0\0\x6b\x04\0\0\x86\x08\0\0\x0a\x54\x02\0\xf8\x02\0\
\0\x6b\x04\0\0\x10\x09\0\0\x03\x64\x02\0\x08\x03\0\0\x6b\x04\0\0\x7a\x06\0\0\
\x03\x6c\x02\0\x18\x03\0\0\x6b\x04\0\0\x9d\x06\0\0\x02\x74\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x8d\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\
\x02\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x05\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x1a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x05\0\0\0\0\0\0\x28\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x09\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\x09\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x77\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x30\x09\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7f\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x50\x0a\0\0\0\0\0\0\xc3\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x84\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x1a\0\0\0\0\0\0\x20\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";
}

#ifdef __cplusplus
struct kfunc_call_fail *kfunc_call_fail::open(const struct bpf_object_open_opts *opts) { return kfunc_call_fail__open_opts(opts); }
struct kfunc_call_fail *kfunc_call_fail::open_and_load() { return kfunc_call_fail__open_and_load(); }
int kfunc_call_fail::load(struct kfunc_call_fail *skel) { return kfunc_call_fail__load(skel); }
int kfunc_call_fail::attach(struct kfunc_call_fail *skel) { return kfunc_call_fail__attach(skel); }
void kfunc_call_fail::detach(struct kfunc_call_fail *skel) { kfunc_call_fail__detach(skel); }
void kfunc_call_fail::destroy(struct kfunc_call_fail *skel) { kfunc_call_fail__destroy(skel); }
const void *kfunc_call_fail::elf_bytes(size_t *sz) { return kfunc_call_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kfunc_call_fail__assert(struct kfunc_call_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->not_const_size) == 4, "unexpected size of 'not_const_size'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KFUNC_CALL_FAIL_SKEL_H__ */
