/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FOR_EACH_MAP_ELEM_WRITE_KEY_SKEL_H__
#define __FOR_EACH_MAP_ELEM_WRITE_KEY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct for_each_map_elem_write_key {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array_map;
	} maps;
	struct {
		struct bpf_program *test_map_key_write;
	} progs;
	struct {
		struct bpf_link *test_map_key_write;
	} links;

#ifdef __cplusplus
	static inline struct for_each_map_elem_write_key *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct for_each_map_elem_write_key *open_and_load();
	static inline int load(struct for_each_map_elem_write_key *skel);
	static inline int attach(struct for_each_map_elem_write_key *skel);
	static inline void detach(struct for_each_map_elem_write_key *skel);
	static inline void destroy(struct for_each_map_elem_write_key *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
for_each_map_elem_write_key__destroy(struct for_each_map_elem_write_key *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
for_each_map_elem_write_key__create_skeleton(struct for_each_map_elem_write_key *obj);

static inline struct for_each_map_elem_write_key *
for_each_map_elem_write_key__open_opts(const struct bpf_object_open_opts *opts)
{
	struct for_each_map_elem_write_key *obj;
	int err;

	obj = (struct for_each_map_elem_write_key *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = for_each_map_elem_write_key__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	for_each_map_elem_write_key__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct for_each_map_elem_write_key *
for_each_map_elem_write_key__open(void)
{
	return for_each_map_elem_write_key__open_opts(NULL);
}

static inline int
for_each_map_elem_write_key__load(struct for_each_map_elem_write_key *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct for_each_map_elem_write_key *
for_each_map_elem_write_key__open_and_load(void)
{
	struct for_each_map_elem_write_key *obj;
	int err;

	obj = for_each_map_elem_write_key__open();
	if (!obj)
		return NULL;
	err = for_each_map_elem_write_key__load(obj);
	if (err) {
		for_each_map_elem_write_key__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
for_each_map_elem_write_key__attach(struct for_each_map_elem_write_key *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
for_each_map_elem_write_key__detach(struct for_each_map_elem_write_key *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *for_each_map_elem_write_key__elf_bytes(size_t *sz);

static inline int
for_each_map_elem_write_key__create_skeleton(struct for_each_map_elem_write_key *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "for_each_map_elem_write_key";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "array_map";
	s->maps[0].map = &obj->maps.array_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_map_key_write";
	s->progs[0].prog = &obj->progs.test_map_key_write;
	s->progs[0].link = &obj->links.test_map_key_write;

	s->data = (void *)for_each_map_elem_write_key__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *for_each_map_elem_write_key__elf_bytes(size_t *sz)
{
	*sz = 6672;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\x17\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x6f\x72\x5f\x65\x61\
\x63\x68\x5f\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x5f\x77\x72\x69\x74\x65\x5f\x6b\
\x65\x79\x2e\x63\0\x63\x68\x65\x63\x6b\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\x65\
\x6d\0\x74\x65\x73\x74\x5f\x6d\x61\x70\x5f\x6b\x65\x79\x5f\x77\x72\x69\x74\x65\
\0\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\x65\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x78\0\0\0\x11\
\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x82\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x10\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\
\x85\0\0\0\xa4\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x06\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\x2c\x09\0\0\x2c\x09\0\0\x3b\x0b\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x2c\0\0\0\0\0\0\x08\x0c\0\0\0\x32\0\0\0\
\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x01\0\0\
\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\x07\0\0\0\x80\0\0\0\x5a\0\0\
\0\x0a\0\0\0\xc0\0\0\0\x60\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x10\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6a\0\0\
\0\x0f\0\0\0\x6e\0\0\0\x01\0\0\x0c\x11\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\x81\0\
\0\0\x1b\0\0\x04\0\x01\0\0\x89\0\0\0\x15\0\0\0\0\0\0\0\x8d\0\0\0\x13\0\0\0\x40\
\0\0\0\x9c\0\0\0\x17\0\0\0\x80\0\0\0\xa5\0\0\0\x18\0\0\0\xc0\0\0\0\xae\0\0\0\
\x19\0\0\0\xe0\0\0\0\xb7\0\0\0\x19\0\0\0\0\x01\0\0\x4a\0\0\0\x19\0\0\0\x20\x01\
\0\0\xc2\0\0\0\x1a\0\0\0\x40\x01\0\0\xcc\0\0\0\x19\0\0\0\x80\x01\0\0\xd6\0\0\0\
\x19\0\0\0\xa0\x01\0\0\xd9\0\0\0\x1b\0\0\0\xc0\x01\0\0\xe0\0\0\0\x02\0\0\0\0\
\x02\0\0\xea\0\0\0\x19\0\0\0\x20\x02\0\0\xfa\0\0\0\x19\0\0\0\x40\x02\0\0\x0c\
\x01\0\0\x19\0\0\0\x60\x02\0\0\x26\x01\0\0\x1c\0\0\0\x80\x02\0\0\x2a\x01\0\0\
\x1d\0\0\0\xc0\x02\0\0\x30\x01\0\0\x1f\0\0\0\0\x03\0\0\x35\x01\0\0\x20\0\0\0\
\x80\x03\0\0\x40\x01\0\0\x21\0\0\0\0\x04\0\0\x47\x01\0\0\x21\0\0\0\x40\x04\0\0\
\x4f\x01\0\0\x26\0\0\0\x80\x04\0\0\x54\x01\0\0\x2e\0\0\0\x80\x05\0\0\x61\x01\0\
\0\x21\0\0\0\x80\x06\0\0\x6a\x01\0\0\x3f\0\0\0\xc0\x06\0\0\x70\x01\0\0\x44\0\0\
\0\x20\x07\0\0\x7f\x01\0\0\x44\0\0\0\x28\x07\0\0\0\0\0\0\0\0\0\x02\x16\0\0\0\0\
\0\0\0\0\0\0\x0a\x4a\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x86\x01\0\0\x22\0\0\x06\
\x04\0\0\0\x93\x01\0\0\0\0\0\0\xa7\x01\0\0\x01\0\0\0\xb9\x01\0\0\x02\0\0\0\xcc\
\x01\0\0\x03\0\0\0\xe4\x01\0\0\x04\0\0\0\x02\x02\0\0\x05\0\0\0\x1b\x02\0\0\x06\
\0\0\0\x35\x02\0\0\x07\0\0\0\x4e\x02\0\0\x08\0\0\0\x68\x02\0\0\x09\0\0\0\x7e\
\x02\0\0\x0a\0\0\0\x9b\x02\0\0\x0b\0\0\0\xb1\x02\0\0\x0c\0\0\0\xcc\x02\0\0\x0d\
\0\0\0\xe6\x02\0\0\x0e\0\0\0\xfa\x02\0\0\x0f\0\0\0\x0f\x03\0\0\x10\0\0\0\x23\
\x03\0\0\x11\0\0\0\x37\x03\0\0\x12\0\0\0\x4d\x03\0\0\x13\0\0\0\x74\x03\0\0\x13\
\0\0\0\x90\x03\0\0\x14\0\0\0\xb1\x03\0\0\x15\0\0\0\xd4\x03\0\0\x16\0\0\0\xe7\
\x03\0\0\x17\0\0\0\xfa\x03\0\0\x18\0\0\0\x12\x04\0\0\x19\0\0\0\x2b\x04\0\0\x1a\
\0\0\0\x43\x04\0\0\x1b\0\0\0\x58\x04\0\0\x1c\0\0\0\x73\x04\0\0\x1d\0\0\0\x8d\
\x04\0\0\x1e\0\0\0\xa7\x04\0\0\x1f\0\0\0\xc1\x04\0\0\x20\0\0\0\xdb\x04\0\0\0\0\
\0\x08\x08\0\0\0\xdf\x04\0\0\0\0\0\x08\x0b\0\0\0\0\0\0\0\0\0\0\x02\x4c\0\0\0\0\
\0\0\0\0\0\0\x02\x4b\0\0\0\0\0\0\0\0\0\0\x02\x4e\0\0\0\xe3\x04\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1e\0\0\0\x04\0\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\x02\x4d\0\0\0\xe8\x04\0\0\0\0\0\x08\x22\0\0\0\0\0\0\0\x01\0\0\
\x04\x08\0\0\0\xf3\x04\0\0\x23\0\0\0\0\0\0\0\xfb\x04\0\0\0\0\0\x08\x24\0\0\0\
\xff\x04\0\0\0\0\0\x08\x25\0\0\0\x05\x05\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\
\x0f\x05\0\0\x03\0\0\x04\x20\0\0\0\x1b\x05\0\0\x27\0\0\0\0\0\0\0\x20\x05\0\0\
\x28\0\0\0\x40\0\0\0\x26\x05\0\0\x2a\0\0\0\xc0\0\0\0\x2b\x05\0\0\0\0\0\x08\x21\
\0\0\0\x39\x05\0\0\x02\0\0\x04\x10\0\0\0\x43\x05\0\0\x29\0\0\0\0\0\0\0\x48\x05\
\0\0\x29\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x28\0\0\0\x4d\x05\0\0\0\0\0\x08\x2b\
\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x2d\0\0\
\0\0\0\0\0\0\0\0\x02\x26\0\0\0\x59\x05\0\0\x04\0\0\x04\x20\0\0\0\x6a\x01\0\0\
\x27\0\0\0\0\0\0\0\x5f\x05\0\0\x2f\0\0\0\x40\0\0\0\x69\x05\0\0\x3e\0\0\0\x60\0\
\0\0\x6d\x05\0\0\x28\0\0\0\x80\0\0\0\x77\x05\0\0\0\0\0\x08\x30\0\0\0\x86\x05\0\
\0\x01\0\0\x04\x04\0\0\0\x93\x05\0\0\x31\0\0\0\0\0\0\0\x9c\x05\0\0\0\0\0\x08\
\x32\0\0\0\xac\x05\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x33\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x05\x04\0\0\0\xb6\x05\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\0\0\0\0\
\0\0\0\0\x3a\0\0\0\0\0\0\0\xba\x05\0\0\0\0\0\x08\x35\0\0\0\0\0\0\0\x01\0\0\x04\
\x04\0\0\0\xf3\x04\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x02\0\0\0\xc3\x05\
\0\0\x37\0\0\0\0\0\0\0\xca\x05\0\0\x37\0\0\0\x08\0\0\0\xd2\x05\0\0\0\0\0\x08\
\x38\0\0\0\xd5\x05\0\0\0\0\0\x08\x39\0\0\0\xda\x05\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\xe8\x05\0\0\x3b\0\0\0\0\0\0\0\xf7\x05\0\0\
\x3b\0\0\0\x10\0\0\0\xfc\x05\0\0\0\0\0\x08\x3c\0\0\0\0\x06\0\0\0\0\0\x08\x3d\0\
\0\0\x06\x06\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x15\x06\0\0\x01\0\0\x04\x04\0\0\
\0\xf7\x05\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x0c\0\0\0\x2b\x06\0\0\x40\
\0\0\0\0\0\0\0\x45\0\0\0\x43\0\0\0\x20\0\0\0\x30\x06\0\0\x44\0\0\0\x40\0\0\0\
\x36\x06\0\0\x44\0\0\0\x48\0\0\0\x44\x06\0\0\0\0\0\x08\x41\0\0\0\x4f\x06\0\0\
\x01\0\0\x04\x04\0\0\0\0\0\0\0\x42\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x05\x04\0\0\0\
\x58\x06\0\0\x30\0\0\0\0\0\0\0\x5e\x06\0\0\x20\0\0\x06\x04\0\0\0\x6c\x06\0\0\0\
\0\0\0\x81\x06\0\0\x01\0\0\0\x9d\x06\0\0\x02\0\0\0\xb2\x06\0\0\x03\0\0\0\xca\
\x06\0\0\x04\0\0\0\xe2\x06\0\0\x05\0\0\0\xfb\x06\0\0\x06\0\0\0\x0d\x07\0\0\x07\
\0\0\0\x26\x07\0\0\x08\0\0\0\x3f\x07\0\0\x09\0\0\0\x59\x07\0\0\x0a\0\0\0\x6e\
\x07\0\0\x0b\0\0\0\x84\x07\0\0\x0c\0\0\0\x9b\x07\0\0\x0d\0\0\0\xb2\x07\0\0\x0e\
\0\0\0\xc7\x07\0\0\x0f\0\0\0\xe3\x07\0\0\x10\0\0\0\xf8\x07\0\0\x11\0\0\0\x15\
\x08\0\0\x12\0\0\0\x34\x08\0\0\x13\0\0\0\x50\x08\0\0\x14\0\0\0\x69\x08\0\0\x15\
\0\0\0\x84\x08\0\0\x16\0\0\0\xa1\x08\0\0\x17\0\0\0\xbd\x08\0\0\x18\0\0\0\xe3\
\x08\0\0\x19\0\0\0\0\x09\0\0\x1a\0\0\0\x16\x09\0\0\x1b\0\0\0\x2f\x09\0\0\x1c\0\
\0\0\x41\x09\0\0\x1d\0\0\0\x53\x09\0\0\x1e\0\0\0\x6b\x09\0\0\x1f\0\0\0\x81\x09\
\0\0\0\0\0\x08\x45\0\0\0\x86\x09\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\
\x04\0\0\x0d\x0b\0\0\0\x8c\x09\0\0\x13\0\0\0\x56\0\0\0\x07\0\0\0\xb6\x05\0\0\
\x0a\0\0\0\x1b\x05\0\0\x17\0\0\0\x90\x09\0\0\0\0\0\x0c\x46\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x1e\0\0\0\x04\0\0\0\x04\0\0\0\xa1\x09\0\0\0\0\0\x0e\x48\0\0\0\x01\
\0\0\0\xaa\x09\0\0\0\0\0\x07\0\0\0\0\x26\x01\0\0\0\0\0\x07\0\0\0\0\xb6\x09\0\0\
\0\0\0\x07\0\0\0\0\xc1\x09\0\0\0\0\0\x07\0\0\0\0\xd0\x09\0\0\0\0\0\x07\0\0\0\0\
\x16\x0b\0\0\x01\0\0\x0f\x20\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\x1c\x0b\0\0\x01\
\0\0\x0f\x04\0\0\0\x49\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x33\
\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\
\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\0\x63\x74\x78\0\x74\x65\
\x73\x74\x5f\x6d\x61\x70\x5f\x6b\x65\x79\x5f\x77\x72\x69\x74\x65\0\x62\x70\x66\
\x5f\x6d\x61\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x6d\
\x65\x74\x61\0\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\x61\x70\x5f\x74\x79\x70\
\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\
\x65\0\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\
\x73\0\x69\x64\0\x72\x65\x63\x6f\x72\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\
\0\x62\x74\x66\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\
\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\
\x6d\x6c\x69\x6e\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\
\x64\0\x62\x74\x66\0\x6f\x62\x6a\x63\x67\0\x6e\x61\x6d\x65\0\x66\x69\x65\x6c\
\x64\x5f\x6f\x66\x66\x73\0\x72\x65\x66\x63\x6e\x74\0\x75\x73\x65\x72\x63\x6e\
\x74\0\x77\x6f\x72\x6b\0\x66\x72\x65\x65\x7a\x65\x5f\x6d\x75\x74\x65\x78\0\x77\
\x72\x69\x74\x65\x63\x6e\x74\0\x6f\x77\x6e\x65\x72\0\x62\x79\x70\x61\x73\x73\
\x5f\x73\x70\x65\x63\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\
\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\x5f\x41\x52\x52\x41\x59\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\
\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\
\x45\x52\x43\x50\x55\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\x5f\x54\x52\x41\x43\x45\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x41\x52\
\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x52\x55\
\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\
\x52\x55\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x50\x4d\x5f\x54\x52\x49\x45\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\x5f\x4f\x46\x5f\
\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x48\x41\
\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\
\x47\x45\x5f\x44\x45\x50\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\
\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\x45\x55\x53\
\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\x4b\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x43\x47\x52\
\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x51\x55\x45\x55\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\x5f\x48\x41\x53\x48\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\
\x4f\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\x49\x4e\
\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x49\x4e\
\x4f\x44\x45\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x54\x41\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x42\x4c\x4f\x4f\x4d\x5f\x46\x49\
\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x53\
\x45\x52\x5f\x52\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x43\x47\x52\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x75\x33\x32\
\0\x75\x36\x34\0\x63\x68\x61\x72\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\
\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x77\x6f\x72\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x64\
\x61\x74\x61\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x61\x74\x6f\x6d\x69\x63\
\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\
\x78\x74\0\x70\x72\x65\x76\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x6d\
\x75\x74\x65\x78\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\
\x69\x74\x5f\x6c\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\x5f\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\
\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\
\0\x71\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x61\x74\x6f\x6d\x69\x63\
\x5f\x74\0\x6c\x6f\x63\x6b\x65\x64\0\x70\x65\x6e\x64\x69\x6e\x67\0\x75\x38\0\
\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x6c\
\x6f\x63\x6b\x65\x64\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\x74\x61\x69\x6c\0\x75\
\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\
\x6f\x72\x74\0\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\
\x71\x75\x65\x75\x65\0\x6c\x6f\x63\x6b\0\x6a\x69\x74\x65\x64\0\x78\x64\x70\x5f\
\x68\x61\x73\x5f\x66\x72\x61\x67\x73\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\
\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x70\
\x72\x6f\x67\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x53\x4f\x43\x4b\x45\x54\x5f\x46\x49\x4c\x54\x45\x52\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4b\x50\x52\x4f\x42\x45\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\
\x43\x4c\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\
\x48\x45\x44\x5f\x41\x43\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x58\x44\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\
\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\
\x55\x50\x5f\x53\x4f\x43\x4b\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x4c\x57\x54\x5f\x49\x4e\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x4c\x57\x54\x5f\x4f\x55\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x58\x4d\x49\x54\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x5f\x4f\x50\x53\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x4b\x42\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\
\x44\x45\x56\x49\x43\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x53\x4b\x5f\x4d\x53\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\
\x4f\x43\x4b\x5f\x41\x44\x44\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x4c\x57\x54\x5f\x53\x45\x47\x36\x4c\x4f\x43\x41\x4c\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x49\x52\x43\x5f\x4d\x4f\x44\
\x45\x32\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\
\x52\x45\x55\x53\x45\x50\x4f\x52\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x46\x4c\x4f\x57\x5f\x44\x49\x53\x53\x45\x43\x54\x4f\x52\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\
\x5f\x53\x59\x53\x43\x54\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\x5f\x57\x52\
\x49\x54\x41\x42\x4c\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x4f\x50\x54\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x49\x4e\x47\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\
\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x45\x58\
\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x53\x4d\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4c\x4f\
\x4f\x4b\x55\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\
\x59\x53\x43\x41\x4c\x4c\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x6d\x61\x70\
\0\x63\x68\x65\x63\x6b\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\x65\x6d\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6f\x70\x73\0\x62\
\x74\x66\x5f\x72\x65\x63\x6f\x72\x64\0\x62\x74\x66\x5f\x66\x69\x65\x6c\x64\x5f\
\x6f\x66\x66\x73\0\x6f\x62\x6a\x5f\x63\x67\x72\x6f\x75\x70\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\
\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\
\x65\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\
\x70\x5f\x65\x6c\x65\x6d\x5f\x77\x72\x69\x74\x65\x5f\x6b\x65\x79\x2e\x63\0\x63\
\x68\x65\x63\x6b\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\x65\x6d\x28\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x6d\x61\x70\x20\x2a\x6d\x61\x70\x2c\x20\x5f\
\x5f\x75\x33\x32\x20\x2a\x6b\x65\x79\x2c\x20\x5f\x5f\x75\x36\x34\x20\x2a\x76\
\x61\x6c\x2c\0\x09\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\
\x5f\x63\x6f\x6d\x6d\x28\x6b\x65\x79\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\
\x6b\x65\x79\x29\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x62\
\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\x70\x5f\x65\x6c\x65\
\x6d\x28\x26\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x2c\x20\x63\x68\x65\x63\x6b\
\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\x65\x6d\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\
\x30\x29\x3b\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\
\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x64\0\0\0\x88\0\0\0\0\0\0\
\0\x08\0\0\0\x24\x0b\0\0\x01\0\0\0\0\0\0\0\x47\0\0\0\x2a\x0b\0\0\x01\0\0\0\0\0\
\0\0\x12\0\0\0\x10\0\0\0\x24\x0b\0\0\x03\0\0\0\0\0\0\0\xdb\x09\0\0\x64\x0a\0\0\
\0\x34\0\0\x08\0\0\0\xdb\x09\0\0\xa2\x0a\0\0\x02\x40\0\0\x18\0\0\0\xdb\x09\0\0\
\xcc\x0a\0\0\x02\x44\0\0\x2a\x0b\0\0\x02\0\0\0\0\0\0\0\xdb\x09\0\0\xd7\x0a\0\0\
\x02\x5c\0\0\x38\0\0\0\xdb\x09\0\0\xcc\x0a\0\0\x02\x60\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\xae\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\
\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x28\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x8b\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x48\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xa0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x02\
\0\0\0\0\0\0\x7f\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xa5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x16\0\0\0\0\0\0\
\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct for_each_map_elem_write_key *for_each_map_elem_write_key::open(const struct bpf_object_open_opts *opts) { return for_each_map_elem_write_key__open_opts(opts); }
struct for_each_map_elem_write_key *for_each_map_elem_write_key::open_and_load() { return for_each_map_elem_write_key__open_and_load(); }
int for_each_map_elem_write_key::load(struct for_each_map_elem_write_key *skel) { return for_each_map_elem_write_key__load(skel); }
int for_each_map_elem_write_key::attach(struct for_each_map_elem_write_key *skel) { return for_each_map_elem_write_key__attach(skel); }
void for_each_map_elem_write_key::detach(struct for_each_map_elem_write_key *skel) { for_each_map_elem_write_key__detach(skel); }
void for_each_map_elem_write_key::destroy(struct for_each_map_elem_write_key *skel) { for_each_map_elem_write_key__destroy(skel); }
const void *for_each_map_elem_write_key::elf_bytes(size_t *sz) { return for_each_map_elem_write_key__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
for_each_map_elem_write_key__assert(struct for_each_map_elem_write_key *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FOR_EACH_MAP_ELEM_WRITE_KEY_SKEL_H__ */
