/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FREPLACE_PROGMAP_SKEL_H__
#define __FREPLACE_PROGMAP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct freplace_progmap {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *cpu_map;
	} maps;
	struct {
		struct bpf_program *xdp_drop_prog;
		struct bpf_program *xdp_cpumap_prog;
	} progs;
	struct {
		struct bpf_link *xdp_drop_prog;
		struct bpf_link *xdp_cpumap_prog;
	} links;

#ifdef __cplusplus
	static inline struct freplace_progmap *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct freplace_progmap *open_and_load();
	static inline int load(struct freplace_progmap *skel);
	static inline int attach(struct freplace_progmap *skel);
	static inline void detach(struct freplace_progmap *skel);
	static inline void destroy(struct freplace_progmap *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
freplace_progmap__destroy(struct freplace_progmap *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
freplace_progmap__create_skeleton(struct freplace_progmap *obj);

static inline struct freplace_progmap *
freplace_progmap__open_opts(const struct bpf_object_open_opts *opts)
{
	struct freplace_progmap *obj;
	int err;

	obj = (struct freplace_progmap *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = freplace_progmap__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	freplace_progmap__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct freplace_progmap *
freplace_progmap__open(void)
{
	return freplace_progmap__open_opts(NULL);
}

static inline int
freplace_progmap__load(struct freplace_progmap *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct freplace_progmap *
freplace_progmap__open_and_load(void)
{
	struct freplace_progmap *obj;
	int err;

	obj = freplace_progmap__open();
	if (!obj)
		return NULL;
	err = freplace_progmap__load(obj);
	if (err) {
		freplace_progmap__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
freplace_progmap__attach(struct freplace_progmap *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
freplace_progmap__detach(struct freplace_progmap *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *freplace_progmap__elf_bytes(size_t *sz);

static inline int
freplace_progmap__create_skeleton(struct freplace_progmap *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "freplace_progmap";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "cpu_map";
	s->maps[0].map = &obj->maps.cpu_map;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_drop_prog";
	s->progs[0].prog = &obj->progs.xdp_drop_prog;
	s->progs[0].link = &obj->links.xdp_drop_prog;

	s->progs[1].name = "xdp_cpumap_prog";
	s->progs[1].prog = &obj->progs.xdp_cpumap_prog;
	s->progs[1].link = &obj->links.xdp_cpumap_prog;

	s->data = (void *)freplace_progmap__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *freplace_progmap__elf_bytes(size_t *sz)
{
	*sz = 2336;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\x2f\x63\x70\x75\x6d\x61\x70\0\x66\x72\x65\x70\x6c\x61\x63\x65\0\x2e\x6d\
\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x72\x65\x70\x6c\x61\x63\x65\
\x5f\x70\x72\x6f\x67\x6d\x61\x70\x2e\x63\0\x78\x64\x70\x5f\x64\x72\x6f\x70\x5f\
\x70\x72\x6f\x67\0\x78\x64\x70\x5f\x63\x70\x75\x6d\x61\x70\x5f\x70\x72\x6f\x67\
\0\x63\x70\x75\x5f\x6d\x61\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x66\x72\x65\x70\x6c\x61\x63\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x54\0\0\0\x12\0\x04\0\0\0\0\0\0\
\0\0\0\x30\0\0\0\0\0\0\0\x64\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\x6c\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\
\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\
\x03\0\0\x02\0\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x24\x02\0\0\x24\x02\0\0\
\xd3\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\0\0\0\0\0\0\x08\x07\0\
\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x2c\0\
\0\0\x02\0\0\x04\x08\0\0\0\x3b\0\0\0\x06\0\0\0\0\0\0\0\x41\0\0\0\x0a\0\0\0\x20\
\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x4a\0\0\0\x02\0\0\0\0\0\0\0\x4d\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x50\0\0\0\x01\0\0\0\0\0\0\0\
\x55\0\0\0\x05\0\0\0\x40\0\0\0\x59\0\0\0\x08\0\0\0\x80\0\0\0\x5f\0\0\0\x0b\0\0\
\0\xc0\0\0\0\x6b\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\
\0\x73\0\0\0\x06\0\0\x04\x18\0\0\0\x7a\0\0\0\x06\0\0\0\0\0\0\0\x7f\0\0\0\x06\0\
\0\0\x20\0\0\0\x88\0\0\0\x06\0\0\0\x40\0\0\0\x92\0\0\0\x06\0\0\0\x60\0\0\0\xa2\
\0\0\0\x06\0\0\0\x80\0\0\0\xb1\0\0\0\x06\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\xc0\0\0\0\x0f\0\0\0\xc4\0\0\0\x01\0\0\x0c\x11\0\0\0\xd2\0\0\0\x01\0\
\0\x0c\x11\0\0\0\xe2\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x14\0\0\0\x04\0\0\0\x04\0\0\0\xe7\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\
\xb1\x01\0\0\x01\0\0\x0f\x20\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\xb7\x01\0\0\x01\
\0\0\x0f\x04\0\0\0\x16\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x33\
\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x62\x70\x66\x5f\x63\
\x70\x75\x6d\x61\x70\x5f\x76\x61\x6c\0\x71\x73\x69\x7a\x65\0\x62\x70\x66\x5f\
\x70\x72\x6f\x67\0\x66\x64\0\x69\x64\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\
\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x63\x70\x75\x5f\
\x6d\x61\x70\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\
\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\
\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\
\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x63\x74\x78\0\x78\x64\x70\x5f\x64\x72\x6f\x70\x5f\x70\x72\x6f\x67\0\x78\x64\
\x70\x5f\x63\x70\x75\x6d\x61\x70\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\x70\x63\x36\
\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x66\x72\x65\x70\x6c\x61\x63\x65\x5f\x70\x72\x6f\x67\x6d\x61\x70\x2e\x63\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x58\x44\x50\x5f\x44\x52\x4f\x50\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\
\x61\x70\x28\x26\x63\x70\x75\x5f\x6d\x61\x70\x2c\x20\x30\x2c\x20\x58\x44\x50\
\x5f\x50\x41\x53\x53\x29\x3b\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x78\x64\x70\x2f\x63\x70\x75\x6d\x61\x70\0\x66\x72\x65\x70\x6c\x61\x63\
\x65\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x44\0\0\0\x68\0\0\
\0\0\0\0\0\x08\0\0\0\xbf\x01\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\xca\x01\0\0\x01\0\
\0\0\0\0\0\0\x13\0\0\0\x10\0\0\0\xbf\x01\0\0\x01\0\0\0\0\0\0\0\xf0\0\0\0\x6e\
\x01\0\0\x02\x3c\0\0\xca\x01\0\0\x02\0\0\0\0\0\0\0\xf0\0\0\0\x80\x01\0\0\x09\
\x54\0\0\x28\0\0\0\xf0\0\0\0\x80\x01\0\0\x02\x54\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\
\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xf0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x75\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x82\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\
\0\x0f\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\x88\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct freplace_progmap *freplace_progmap::open(const struct bpf_object_open_opts *opts) { return freplace_progmap__open_opts(opts); }
struct freplace_progmap *freplace_progmap::open_and_load() { return freplace_progmap__open_and_load(); }
int freplace_progmap::load(struct freplace_progmap *skel) { return freplace_progmap__load(skel); }
int freplace_progmap::attach(struct freplace_progmap *skel) { return freplace_progmap__attach(skel); }
void freplace_progmap::detach(struct freplace_progmap *skel) { freplace_progmap__detach(skel); }
void freplace_progmap::destroy(struct freplace_progmap *skel) { freplace_progmap__destroy(skel); }
const void *freplace_progmap::elf_bytes(size_t *sz) { return freplace_progmap__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
freplace_progmap__assert(struct freplace_progmap *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FREPLACE_PROGMAP_SKEL_H__ */
