/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __HTAB_UPDATE_SKEL_H__
#define __HTAB_UPDATE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct htab_update {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *htab;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *lookup_elem_raw;
	} progs;
	struct {
		struct bpf_link *lookup_elem_raw;
	} links;
	struct htab_update__bss {
		int pid;
		int update_err;
	} *bss;

#ifdef __cplusplus
	static inline struct htab_update *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct htab_update *open_and_load();
	static inline int load(struct htab_update *skel);
	static inline int attach(struct htab_update *skel);
	static inline void detach(struct htab_update *skel);
	static inline void destroy(struct htab_update *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
htab_update__destroy(struct htab_update *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
htab_update__create_skeleton(struct htab_update *obj);

static inline struct htab_update *
htab_update__open_opts(const struct bpf_object_open_opts *opts)
{
	struct htab_update *obj;
	int err;

	obj = (struct htab_update *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = htab_update__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	htab_update__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct htab_update *
htab_update__open(void)
{
	return htab_update__open_opts(NULL);
}

static inline int
htab_update__load(struct htab_update *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct htab_update *
htab_update__open_and_load(void)
{
	struct htab_update *obj;
	int err;

	obj = htab_update__open();
	if (!obj)
		return NULL;
	err = htab_update__load(obj);
	if (err) {
		htab_update__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
htab_update__attach(struct htab_update *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
htab_update__detach(struct htab_update *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *htab_update__elf_bytes(size_t *sz);

static inline int
htab_update__create_skeleton(struct htab_update *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "htab_update";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "htab";
	s->maps[0].map = &obj->maps.htab;

	s->maps[1].name = "htab_upd.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "lookup_elem_raw";
	s->progs[0].prog = &obj->progs.lookup_elem_raw;
	s->progs[0].link = &obj->links.lookup_elem_raw;

	s->data = (void *)htab_update__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *htab_update__elf_bytes(size_t *sz)
{
	*sz = 2488;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x66\
\x65\x6e\x74\x72\x79\x2f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x5f\x72\
\x61\x77\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\
\0\x68\x74\x61\x62\x5f\x75\x70\x64\x61\x74\x65\x2e\x63\0\x4c\x42\x42\x30\x5f\
\x32\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x5f\x72\x61\x77\0\x70\x69\
\x64\0\x68\x74\x61\x62\0\x75\x70\x64\x61\x74\x65\x5f\x65\x72\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x5f\x72\x61\x77\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\0\0\x03\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x51\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x61\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x65\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x6a\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x75\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x63\x1a\xf8\xff\0\0\0\0\x85\0\0\
\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\
\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x5d\x10\x0b\0\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\
\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\
\0\0\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\x80\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x8c\x01\0\0\x8c\x01\0\0\xbf\x01\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\
\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\
\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\x80\0\0\0\x33\0\0\0\x05\0\0\0\xc0\0\0\0\
\x3e\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\
\0\0\x0d\x02\0\0\0\x43\0\0\0\x09\0\0\0\x47\0\0\0\x01\0\0\x0c\x0a\0\0\0\x57\0\0\
\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\x04\0\0\
\0\x04\0\0\0\x5c\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\x65\0\0\0\0\0\0\x0e\x02\0\
\0\0\x01\0\0\0\x69\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x94\x01\0\0\x01\0\0\x0f\
\x04\0\0\0\x0e\0\0\0\0\0\0\0\x04\0\0\0\x9c\x01\0\0\x02\0\0\x0f\x08\0\0\0\x0f\0\
\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x04\0\0\0\x04\0\0\0\xa1\x01\0\0\x01\0\0\x0f\
\x20\0\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\
\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\
\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x68\x74\x61\x62\0\x63\x74\x78\0\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x5f\x72\x61\x77\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x75\x70\x64\x61\x74\x65\x5f\
\x65\x72\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x68\x74\x61\x62\
\x5f\x75\x70\x64\x61\x74\x65\x2e\x63\0\x69\x6e\x74\x20\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x65\x6c\x65\x6d\x5f\x72\x61\x77\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\
\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x2c\x20\x76\x61\
\x6c\x75\x65\x20\x3d\x20\x31\x3b\0\x09\x69\x66\x20\x28\x28\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\
\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x75\
\x70\x64\x61\x74\x65\x5f\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x74\x61\x62\x2c\
\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x75\x65\x2c\x20\x30\x29\x3b\0\x7d\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x3f\
\x66\x65\x6e\x74\x72\x79\x2f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x5f\
\x72\x61\x77\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\
\xbc\0\0\0\xd0\0\0\0\0\0\0\0\x08\0\0\0\xa7\x01\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\0\
\x10\0\0\0\xa7\x01\0\0\x0b\0\0\0\0\0\0\0\x74\0\0\0\xed\0\0\0\0\x50\0\0\x08\0\0\
\0\x74\0\0\0\x0c\x01\0\0\x08\x58\0\0\x18\0\0\0\x74\0\0\0\x0c\x01\0\0\x11\x58\0\
\0\x20\0\0\0\x74\0\0\0\x27\x01\0\0\x07\x60\0\0\x28\0\0\0\x74\0\0\0\x27\x01\0\0\
\x22\x60\0\0\x30\0\0\0\x74\0\0\0\x27\x01\0\0\x2c\x60\0\0\x58\0\0\0\x74\0\0\0\
\x27\x01\0\0\x06\x60\0\0\x68\0\0\0\x74\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\x74\0\0\
\0\x57\x01\0\0\x0f\x6c\0\0\xa0\0\0\0\x74\0\0\0\x57\x01\0\0\x0d\x6c\0\0\xb8\0\0\
\0\x74\0\0\0\x92\x01\0\0\x01\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x8c\x02\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x36\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x02\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7e\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9a\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\x63\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x06\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct htab_update *htab_update::open(const struct bpf_object_open_opts *opts) { return htab_update__open_opts(opts); }
struct htab_update *htab_update::open_and_load() { return htab_update__open_and_load(); }
int htab_update::load(struct htab_update *skel) { return htab_update__load(skel); }
int htab_update::attach(struct htab_update *skel) { return htab_update__attach(skel); }
void htab_update::detach(struct htab_update *skel) { htab_update__detach(skel); }
void htab_update::destroy(struct htab_update *skel) { htab_update__destroy(skel); }
const void *htab_update::elf_bytes(size_t *sz) { return htab_update__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
htab_update__assert(struct htab_update *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->update_err) == 4, "unexpected size of 'update_err'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __HTAB_UPDATE_SKEL_H__ */
