/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __JIT_PROBE_MEM_SKEL_H__
#define __JIT_PROBE_MEM_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct jit_probe_mem {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_jit_probe_mem;
	} progs;
	struct {
		struct bpf_link *test_jit_probe_mem;
	} links;
	struct jit_probe_mem__data {
		long total_sum;
	} *data;

#ifdef __cplusplus
	static inline struct jit_probe_mem *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct jit_probe_mem *open_and_load();
	static inline int load(struct jit_probe_mem *skel);
	static inline int attach(struct jit_probe_mem *skel);
	static inline void detach(struct jit_probe_mem *skel);
	static inline void destroy(struct jit_probe_mem *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
jit_probe_mem__destroy(struct jit_probe_mem *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
jit_probe_mem__create_skeleton(struct jit_probe_mem *obj);

static inline struct jit_probe_mem *
jit_probe_mem__open_opts(const struct bpf_object_open_opts *opts)
{
	struct jit_probe_mem *obj;
	int err;

	obj = (struct jit_probe_mem *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = jit_probe_mem__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	jit_probe_mem__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct jit_probe_mem *
jit_probe_mem__open(void)
{
	return jit_probe_mem__open_opts(NULL);
}

static inline int
jit_probe_mem__load(struct jit_probe_mem *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct jit_probe_mem *
jit_probe_mem__open_and_load(void)
{
	struct jit_probe_mem *obj;
	int err;

	obj = jit_probe_mem__open();
	if (!obj)
		return NULL;
	err = jit_probe_mem__load(obj);
	if (err) {
		jit_probe_mem__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
jit_probe_mem__attach(struct jit_probe_mem *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
jit_probe_mem__detach(struct jit_probe_mem *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *jit_probe_mem__elf_bytes(size_t *sz);

static inline int
jit_probe_mem__create_skeleton(struct jit_probe_mem *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "jit_probe_mem";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "jit_prob.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	s->maps[1].name = "jit_prob.bss";
	s->maps[1].map = &obj->maps.bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_jit_probe_mem";
	s->progs[0].prog = &obj->progs.test_jit_probe_mem;
	s->progs[0].link = &obj->links.test_jit_probe_mem;

	s->data = (void *)jit_probe_mem__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *jit_probe_mem__elf_bytes(size_t *sz)
{
	*sz = 4200;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x2e\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6a\x69\
\x74\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x65\x6d\x2e\x63\0\x4c\x42\x42\x30\x5f\x35\
\0\x76\0\x4c\x42\x42\x30\x5f\x34\0\x74\x65\x73\x74\x5f\x6a\x69\x74\x5f\x70\x72\
\x6f\x62\x65\x5f\x6d\x65\x6d\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x75\x69\x72\x65\0\x74\x6f\x74\x61\
\x6c\x5f\x73\x75\x6d\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\
\x5f\x74\x65\x73\x74\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\0\0\x03\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3e\0\0\0\x01\0\x05\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x40\0\0\0\0\0\x03\0\
\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x47\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x5a\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x80\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\0\
\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\
\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\x85\x10\0\0\
\xff\xff\xff\xff\xb7\x06\0\0\x01\0\0\0\x15\0\x19\0\0\0\0\0\x18\x07\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\x85\0\
\0\0\xc2\0\0\0\x55\0\x10\0\0\0\0\0\x79\x71\0\0\0\0\0\0\x15\x01\x10\0\0\0\0\0\
\xbf\x19\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x61\x98\0\0\0\0\0\0\x0f\x81\0\0\0\0\0\
\0\x61\x98\x04\0\0\0\0\0\x0f\x81\0\0\0\0\0\0\x07\x09\0\0\x08\0\0\0\x61\x99\xf8\
\xff\0\0\0\0\x0f\x91\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\
\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x05\0\x02\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\x10\
\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\
\xff\xff\xff\x47\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x38\0\
\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xc8\0\0\
\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xf8\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\xf4\x04\0\0\xf4\x04\0\0\x35\x04\0\0\0\0\0\0\0\0\0\x02\
\x02\0\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\
\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\
\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\
\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\
\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\
\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\
\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\
\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\
\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\
\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\
\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\
\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\
\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\
\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\
\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\
\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\
\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\x29\0\0\0\x62\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x2a\0\0\0\x7e\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\
\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\
\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\
\0\0\0\0\0\0\0\x01\0\0\x0d\x14\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\x02\x15\0\
\0\0\xac\x01\0\0\x05\0\0\x04\x20\0\0\0\xc0\x01\0\0\x11\0\0\0\0\0\0\0\xc2\x01\0\
\0\x11\0\0\0\x20\0\0\0\xc4\x01\0\0\x16\0\0\0\x40\0\0\0\xc9\x01\0\0\x14\0\0\0\
\x80\0\0\0\xce\x01\0\0\x18\0\0\0\xc0\0\0\0\xd2\x01\0\0\x02\0\0\x04\x08\0\0\0\
\xe3\x01\0\0\x17\0\0\0\0\0\0\0\xe5\x01\0\0\x11\0\0\0\x20\0\0\0\xe7\x01\0\0\x01\
\0\0\x04\x04\0\0\0\xc0\x01\0\0\x11\0\0\0\0\0\0\0\xf9\x01\0\0\0\0\0\x08\x19\0\0\
\0\x04\x02\0\0\x01\0\0\x04\x04\0\0\0\x14\x02\0\0\x1a\0\0\0\0\0\0\0\x19\x02\0\0\
\0\0\0\x08\x1b\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\x22\x02\0\0\x11\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\x2a\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x38\
\x02\0\0\x02\0\0\x0c\x13\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x14\0\0\0\
\x54\x02\0\0\x02\0\0\x0c\x1f\0\0\0\x70\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\
\x75\x02\0\0\0\0\0\x0e\x21\0\0\0\x01\0\0\0\x7f\x02\0\0\0\0\0\x12\x15\0\0\0\0\0\
\0\0\0\0\0\x02\x23\0\0\0\x88\x02\0\0\0\0\0\x0e\x24\0\0\0\0\0\0\0\x8a\x02\0\0\0\
\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x26\0\0\0\x06\0\0\0\
\x04\0\0\0\x8f\x02\0\0\0\0\0\x0e\x27\0\0\0\x01\0\0\0\x98\x02\0\0\0\0\0\x07\0\0\
\0\0\xa6\x02\0\0\0\0\0\x07\0\0\0\0\x18\x04\0\0\x01\0\0\x0f\x08\0\0\0\x22\0\0\0\
\0\0\0\0\x08\0\0\0\x1e\x04\0\0\x01\0\0\x0f\x08\0\0\0\x25\0\0\0\0\0\0\0\x08\0\0\
\0\x23\x04\0\0\x01\0\0\x0f\x04\0\0\0\x28\0\0\0\0\0\0\0\x04\0\0\0\x2b\x04\0\0\
\x02\0\0\x0f\0\0\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\
\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\
\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\
\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\
\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\
\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\
\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\
\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\
\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\
\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\
\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\
\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\
\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\
\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\
\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\
\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\
\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x63\x74\x78\0\x69\x6e\x74\0\
\x74\x65\x73\x74\x5f\x6a\x69\x74\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x65\x6d\0\x70\
\x72\x6f\x67\x5f\x74\x65\x73\x74\x5f\x72\x65\x66\x5f\x6b\x66\x75\x6e\x63\0\x61\
\0\x62\0\x6d\x65\x6d\x62\0\x6e\x65\x78\x74\0\x63\x6e\x74\0\x70\x72\x6f\x67\x5f\
\x74\x65\x73\x74\x5f\x6d\x65\x6d\x62\x65\x72\0\x6d\0\x63\0\x70\x72\x6f\x67\x5f\
\x74\x65\x73\x74\x5f\x6d\x65\x6d\x62\x65\x72\x31\0\x72\x65\x66\x63\x6f\x75\x6e\
\x74\x5f\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\
\x72\x65\x66\x73\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\
\x72\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\
\x75\x69\x72\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x74\x65\x73\x74\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x6c\x6f\x6e\x67\0\x74\x6f\
\x74\x61\x6c\x5f\x73\x75\x6d\0\x6b\x70\x74\x72\x5f\x72\x65\x66\0\x76\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\
\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x6a\x69\x74\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x65\
\x6d\x2e\x63\0\x69\x6e\x74\x20\x74\x65\x73\x74\x5f\x6a\x69\x74\x5f\x70\x72\x6f\
\x62\x65\x5f\x6d\x65\x6d\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\
\x62\x75\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x2c\x20\x73\x75\x6d\
\x3b\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x61\x63\x71\x75\x69\x72\x65\x28\x26\x7a\x65\x72\
\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x29\0\x09\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x76\x2c\x20\x70\x29\x3b\0\
\x09\x69\x66\x20\x28\x70\x29\0\x09\x70\x20\x3d\x20\x76\x3b\0\x09\x61\x73\x6d\
\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x09\x74\x6f\x74\x61\x6c\x5f\x73\
\x75\x6d\x20\x3d\x20\x73\x75\x6d\x3b\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\
\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\
\x70\x29\x3b\0\x7d\0\x2e\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x74\x63\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xdc\0\0\0\xf0\0\0\0\0\0\0\0\x08\0\0\0\
\x32\x04\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\x32\x04\0\0\x0d\0\0\0\0\0\0\
\0\xaf\x02\0\0\x2a\x03\0\0\0\x38\0\0\x08\0\0\0\xaf\x02\0\0\x58\x03\0\0\x10\x44\
\0\0\x18\0\0\0\xaf\x02\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xaf\x02\0\0\x76\x03\0\0\
\x06\x4c\0\0\x30\0\0\0\xaf\x02\0\0\x9f\x03\0\0\x06\x50\0\0\x38\0\0\0\xaf\x02\0\
\0\xa8\x03\0\0\x06\x5c\0\0\x68\0\0\0\xaf\x02\0\0\xc3\x03\0\0\x06\x60\0\0\x70\0\
\0\0\xaf\x02\0\0\xcb\x03\0\0\x06\x70\0\0\x78\0\0\0\xaf\x02\0\0\x9f\x03\0\0\x06\
\x74\0\0\x80\0\0\0\xaf\x02\0\0\xd3\x03\0\0\x02\x80\0\0\xc8\0\0\0\xaf\x02\0\0\
\xe3\x03\0\0\x0c\xd8\0\0\xf0\0\0\0\xaf\x02\0\0\xf5\x03\0\0\x02\xe4\0\0\0\x01\0\
\0\xaf\x02\0\0\x16\x04\0\0\x01\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\xba\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x20\x01\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x38\x03\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\
\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xa5\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x03\0\0\0\0\0\
\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xac\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x03\0\0\0\0\0\0\x41\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb1\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0c\0\0\0\0\0\0\x10\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct jit_probe_mem *jit_probe_mem::open(const struct bpf_object_open_opts *opts) { return jit_probe_mem__open_opts(opts); }
struct jit_probe_mem *jit_probe_mem::open_and_load() { return jit_probe_mem__open_and_load(); }
int jit_probe_mem::load(struct jit_probe_mem *skel) { return jit_probe_mem__load(skel); }
int jit_probe_mem::attach(struct jit_probe_mem *skel) { return jit_probe_mem__attach(skel); }
void jit_probe_mem::detach(struct jit_probe_mem *skel) { jit_probe_mem__detach(skel); }
void jit_probe_mem::destroy(struct jit_probe_mem *skel) { jit_probe_mem__destroy(skel); }
const void *jit_probe_mem::elf_bytes(size_t *sz) { return jit_probe_mem__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
jit_probe_mem__assert(struct jit_probe_mem *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->total_sum) == 8, "unexpected size of 'total_sum'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __JIT_PROBE_MEM_SKEL_H__ */
