/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LSM_CGROUP_NONVOID_SKEL_H__
#define __LSM_CGROUP_NONVOID_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct lsm_cgroup_nonvoid {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *nonvoid_socket_clone;
	} progs;
	struct {
		struct bpf_link *nonvoid_socket_clone;
	} links;

#ifdef __cplusplus
	static inline struct lsm_cgroup_nonvoid *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct lsm_cgroup_nonvoid *open_and_load();
	static inline int load(struct lsm_cgroup_nonvoid *skel);
	static inline int attach(struct lsm_cgroup_nonvoid *skel);
	static inline void detach(struct lsm_cgroup_nonvoid *skel);
	static inline void destroy(struct lsm_cgroup_nonvoid *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
lsm_cgroup_nonvoid__destroy(struct lsm_cgroup_nonvoid *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
lsm_cgroup_nonvoid__create_skeleton(struct lsm_cgroup_nonvoid *obj);

static inline struct lsm_cgroup_nonvoid *
lsm_cgroup_nonvoid__open_opts(const struct bpf_object_open_opts *opts)
{
	struct lsm_cgroup_nonvoid *obj;
	int err;

	obj = (struct lsm_cgroup_nonvoid *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = lsm_cgroup_nonvoid__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	lsm_cgroup_nonvoid__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct lsm_cgroup_nonvoid *
lsm_cgroup_nonvoid__open(void)
{
	return lsm_cgroup_nonvoid__open_opts(NULL);
}

static inline int
lsm_cgroup_nonvoid__load(struct lsm_cgroup_nonvoid *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct lsm_cgroup_nonvoid *
lsm_cgroup_nonvoid__open_and_load(void)
{
	struct lsm_cgroup_nonvoid *obj;
	int err;

	obj = lsm_cgroup_nonvoid__open();
	if (!obj)
		return NULL;
	err = lsm_cgroup_nonvoid__load(obj);
	if (err) {
		lsm_cgroup_nonvoid__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
lsm_cgroup_nonvoid__attach(struct lsm_cgroup_nonvoid *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
lsm_cgroup_nonvoid__detach(struct lsm_cgroup_nonvoid *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *lsm_cgroup_nonvoid__elf_bytes(size_t *sz);

static inline int
lsm_cgroup_nonvoid__create_skeleton(struct lsm_cgroup_nonvoid *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "lsm_cgroup_nonvoid";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "nonvoid_socket_clone";
	s->progs[0].prog = &obj->progs.nonvoid_socket_clone;
	s->progs[0].link = &obj->links.nonvoid_socket_clone;

	s->data = (void *)lsm_cgroup_nonvoid__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *lsm_cgroup_nonvoid__elf_bytes(size_t *sz)
{
	*sz = 1384;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x5f\x63\x67\x72\x6f\x75\x70\x2f\x69\x6e\x65\x74\x5f\x63\x73\x6b\x5f\x63\
\x6c\x6f\x6e\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x73\x6d\x5f\x63\x67\x72\
\x6f\x75\x70\x5f\x6e\x6f\x6e\x76\x6f\x69\x64\x2e\x63\0\x6e\x6f\x6e\x76\x6f\x69\
\x64\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6c\x6f\x6e\x65\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5d\0\0\0\x11\0\x04\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xac\0\0\0\xac\0\0\0\x4c\x01\0\0\0\0\
\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\
\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x31\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x06\0\0\0\x08\0\0\0\x04\0\0\0\x36\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\x4a\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x2a\x01\0\0\x01\0\0\x0f\
\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x6e\x6f\x6e\
\x76\x6f\x69\x64\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6c\x6f\x6e\x65\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x6c\x73\x6d\x5f\x63\x67\x72\x6f\x75\x70\x5f\x6e\x6f\x6e\x76\
\x6f\x69\x64\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6e\
\x6f\x6e\x76\x6f\x69\x64\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6c\x6f\x6e\x65\
\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x6e\x65\x77\x73\
\x6b\x2c\x20\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\x74\x20\x72\x65\x71\
\x75\x65\x73\x74\x5f\x73\x6f\x63\x6b\x20\x2a\x72\x65\x71\x29\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x6c\x73\x6d\x5f\x63\x67\x72\x6f\x75\x70\x2f\x69\x6e\x65\x74\x5f\
\x63\x73\x6b\x5f\x63\x6c\x6f\x6e\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\
\0\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x32\x01\0\0\x01\0\0\0\0\0\0\
\0\x05\0\0\0\x10\0\0\0\x32\x01\0\0\x01\0\0\0\0\0\0\0\x53\0\0\0\xd3\0\0\0\x05\
\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x30\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x01\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x66\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\x10\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x03\0\0\0\0\0\0\x50\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct lsm_cgroup_nonvoid *lsm_cgroup_nonvoid::open(const struct bpf_object_open_opts *opts) { return lsm_cgroup_nonvoid__open_opts(opts); }
struct lsm_cgroup_nonvoid *lsm_cgroup_nonvoid::open_and_load() { return lsm_cgroup_nonvoid__open_and_load(); }
int lsm_cgroup_nonvoid::load(struct lsm_cgroup_nonvoid *skel) { return lsm_cgroup_nonvoid__load(skel); }
int lsm_cgroup_nonvoid::attach(struct lsm_cgroup_nonvoid *skel) { return lsm_cgroup_nonvoid__attach(skel); }
void lsm_cgroup_nonvoid::detach(struct lsm_cgroup_nonvoid *skel) { lsm_cgroup_nonvoid__detach(skel); }
void lsm_cgroup_nonvoid::destroy(struct lsm_cgroup_nonvoid *skel) { lsm_cgroup_nonvoid__destroy(skel); }
const void *lsm_cgroup_nonvoid::elf_bytes(size_t *sz) { return lsm_cgroup_nonvoid__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
lsm_cgroup_nonvoid__assert(struct lsm_cgroup_nonvoid *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LSM_CGROUP_NONVOID_SKEL_H__ */
