/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_BPF_COOKIE_SKEL_H__
#define __TEST_BPF_COOKIE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_bpf_cookie {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_kprobe;
		struct bpf_program *handle_kretprobe;
		struct bpf_program *handle_uprobe;
		struct bpf_program *handle_uretprobe;
		struct bpf_program *handle_tp1;
		struct bpf_program *handle_tp2;
		struct bpf_program *handle_tp3;
		struct bpf_program *handle_pe;
		struct bpf_program *fentry_test1;
		struct bpf_program *fexit_test1;
		struct bpf_program *fmod_ret_test;
		struct bpf_program *test_int_hook;
	} progs;
	struct {
		struct bpf_link *handle_kprobe;
		struct bpf_link *handle_kretprobe;
		struct bpf_link *handle_uprobe;
		struct bpf_link *handle_uretprobe;
		struct bpf_link *handle_tp1;
		struct bpf_link *handle_tp2;
		struct bpf_link *handle_tp3;
		struct bpf_link *handle_pe;
		struct bpf_link *fentry_test1;
		struct bpf_link *fexit_test1;
		struct bpf_link *fmod_ret_test;
		struct bpf_link *test_int_hook;
	} links;
	struct test_bpf_cookie__bss {
		__u64 kprobe_res;
		__u64 kretprobe_res;
		__u64 uprobe_res;
		__u64 uretprobe_res;
		__u64 tp_res;
		__u64 pe_res;
		int my_tid;
		char __pad0[4];
		__u64 kprobe_multi_res;
		__u64 fentry_res;
		__u64 fexit_res;
		__u64 fmod_ret_res;
		__u64 lsm_res;
	} *bss;

#ifdef __cplusplus
	static inline struct test_bpf_cookie *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_bpf_cookie *open_and_load();
	static inline int load(struct test_bpf_cookie *skel);
	static inline int attach(struct test_bpf_cookie *skel);
	static inline void detach(struct test_bpf_cookie *skel);
	static inline void destroy(struct test_bpf_cookie *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_bpf_cookie__destroy(struct test_bpf_cookie *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_bpf_cookie__create_skeleton(struct test_bpf_cookie *obj);

static inline struct test_bpf_cookie *
test_bpf_cookie__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_bpf_cookie *obj;
	int err;

	obj = (struct test_bpf_cookie *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_bpf_cookie__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_bpf_cookie__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_bpf_cookie *
test_bpf_cookie__open(void)
{
	return test_bpf_cookie__open_opts(NULL);
}

static inline int
test_bpf_cookie__load(struct test_bpf_cookie *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_bpf_cookie *
test_bpf_cookie__open_and_load(void)
{
	struct test_bpf_cookie *obj;
	int err;

	obj = test_bpf_cookie__open();
	if (!obj)
		return NULL;
	err = test_bpf_cookie__load(obj);
	if (err) {
		test_bpf_cookie__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_bpf_cookie__attach(struct test_bpf_cookie *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_bpf_cookie__detach(struct test_bpf_cookie *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_bpf_cookie__elf_bytes(size_t *sz);

static inline int
test_bpf_cookie__create_skeleton(struct test_bpf_cookie *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_bpf_cookie";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_bpf.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 12;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_kprobe";
	s->progs[0].prog = &obj->progs.handle_kprobe;
	s->progs[0].link = &obj->links.handle_kprobe;

	s->progs[1].name = "handle_kretprobe";
	s->progs[1].prog = &obj->progs.handle_kretprobe;
	s->progs[1].link = &obj->links.handle_kretprobe;

	s->progs[2].name = "handle_uprobe";
	s->progs[2].prog = &obj->progs.handle_uprobe;
	s->progs[2].link = &obj->links.handle_uprobe;

	s->progs[3].name = "handle_uretprobe";
	s->progs[3].prog = &obj->progs.handle_uretprobe;
	s->progs[3].link = &obj->links.handle_uretprobe;

	s->progs[4].name = "handle_tp1";
	s->progs[4].prog = &obj->progs.handle_tp1;
	s->progs[4].link = &obj->links.handle_tp1;

	s->progs[5].name = "handle_tp2";
	s->progs[5].prog = &obj->progs.handle_tp2;
	s->progs[5].link = &obj->links.handle_tp2;

	s->progs[6].name = "handle_tp3";
	s->progs[6].prog = &obj->progs.handle_tp3;
	s->progs[6].link = &obj->links.handle_tp3;

	s->progs[7].name = "handle_pe";
	s->progs[7].prog = &obj->progs.handle_pe;
	s->progs[7].link = &obj->links.handle_pe;

	s->progs[8].name = "fentry_test1";
	s->progs[8].prog = &obj->progs.fentry_test1;
	s->progs[8].link = &obj->links.fentry_test1;

	s->progs[9].name = "fexit_test1";
	s->progs[9].prog = &obj->progs.fexit_test1;
	s->progs[9].link = &obj->links.fexit_test1;

	s->progs[10].name = "fmod_ret_test";
	s->progs[10].prog = &obj->progs.fmod_ret_test;
	s->progs[10].link = &obj->links.fmod_ret_test;

	s->progs[11].name = "test_int_hook";
	s->progs[11].prog = &obj->progs.test_int_hook;
	s->progs[11].link = &obj->links.test_int_hook;

	s->data = (void *)test_bpf_cookie__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_bpf_cookie__elf_bytes(size_t *sz)
{
	*sz = 10576;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\x22\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\
\x72\x6f\x62\x65\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\
\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x74\x70\x2f\x73\x79\x73\x63\x61\
\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\
\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x31\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\
\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x6c\x73\x6d\x2f\
\x66\x69\x6c\x65\x5f\x6d\x70\x72\x6f\x74\x65\x63\x74\0\x2e\x62\x73\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x62\x70\x66\x5f\x63\x6f\x6f\x6b\
\x69\x65\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\
\x42\x32\x5f\x32\0\x4c\x42\x42\x33\x5f\x32\0\x4c\x42\x42\x34\x5f\x32\0\x4c\x42\
\x42\x35\x5f\x32\0\x4c\x42\x42\x36\x5f\x32\0\x4c\x42\x42\x37\x5f\x32\0\x4c\x42\
\x42\x38\x5f\x32\0\x4c\x42\x42\x39\x5f\x32\0\x4c\x42\x42\x31\x30\x5f\x32\0\x4c\
\x42\x42\x31\x31\x5f\x33\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\
\0\x6d\x79\x5f\x74\x69\x64\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x6b\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\
\x62\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x74\x70\x31\0\x74\x70\x5f\x72\
\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x74\x70\x32\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x74\x70\x33\0\x68\x61\x6e\x64\x6c\x65\x5f\x70\x65\0\x70\x65\x5f\x72\x65\
\x73\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x66\x65\x6e\x74\x72\
\x79\x5f\x72\x65\x73\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x31\0\x66\x65\
\x78\x69\x74\x5f\x72\x65\x73\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\x73\
\x74\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x72\x65\x73\0\x74\x65\x73\x74\x5f\
\x69\x6e\x74\x5f\x68\x6f\x6f\x6b\0\x6c\x73\x6d\x5f\x72\x65\x73\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x72\
\x65\x73\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x6b\x72\
\x65\x74\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\0\x2e\
\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x74\x70\x2f\
\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\
\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x70\x65\x72\x66\x5f\x65\
\x76\x65\x6e\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x72\x65\x6c\x66\x65\x78\
\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\
\x2e\x72\x65\x6c\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\
\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x2e\x72\x65\
\x6c\x6c\x73\x6d\x2f\x66\x69\x6c\x65\x5f\x6d\x70\x72\x6f\x74\x65\x63\x74\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xde\0\0\0\0\0\
\x03\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xe5\0\0\0\0\0\x04\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xec\0\0\0\0\0\x05\0\x78\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\0\
\0\0\0\0\x06\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\0\0\x07\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x01\0\0\0\0\x07\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\x07\0\
\x88\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0f\x01\0\0\0\0\x08\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x01\0\0\0\0\x09\0\x78\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x01\
\0\0\0\0\x0a\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x24\x01\0\0\0\0\x0b\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\x01\0\0\0\0\x0c\0\xb8\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x88\0\0\
\0\0\0\0\0\x42\x01\0\0\x11\0\x0d\0\x30\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x49\x01\
\0\0\x11\0\x0d\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x54\x01\0\0\x12\0\x04\0\0\0\
\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x65\x01\0\0\x11\0\x0d\0\x08\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x73\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x81\x01\
\0\0\x11\0\x0d\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8c\x01\0\0\x12\0\x06\0\0\
\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x9d\x01\0\0\x11\0\x0d\0\x18\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\xab\x01\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xb6\
\x01\0\0\x11\0\x0d\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xbd\x01\0\0\x12\0\x07\
\0\x88\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xc8\x01\0\0\x12\0\x07\0\x10\x01\0\0\0\0\
\0\0\x88\0\0\0\0\0\0\0\xd3\x01\0\0\x12\0\x08\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\
\0\xdd\x01\0\0\x11\0\x0d\0\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xe4\x01\0\0\x12\
\0\x09\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xf1\x01\0\0\x11\0\x0d\0\x40\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\xfc\x01\0\0\x12\0\x0a\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\
\0\0\x08\x02\0\0\x11\0\x0d\0\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x12\x02\0\0\
\x12\0\x0b\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x20\x02\0\0\x11\0\x0d\0\x50\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x2d\x02\0\0\x12\0\x0c\0\0\0\0\0\0\0\0\0\xc8\0\0\0\
\0\0\0\0\x3b\x02\0\0\x11\0\x0d\0\x58\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x43\x02\0\
\0\x11\0\x0e\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x4c\x02\0\0\x11\0\x0d\0\x38\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\
\x20\0\0\0\x5d\x07\x07\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\0\x7b\
\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x67\0\
\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x07\x07\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\x85\0\0\0\xae\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\
\x4f\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\
\x85\0\0\0\x0e\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x07\x07\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\
\0\x5d\x07\x07\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x67\0\0\0\x20\0\0\0\
\x77\0\0\0\x20\0\0\0\x5d\x07\x07\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xae\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\
\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\
\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x07\x07\0\0\0\0\0\xbf\x61\0\0\0\0\
\0\0\x85\0\0\0\xae\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\
\0\x4f\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\
\x85\0\0\0\x0e\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x07\x07\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\x01\0\
\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\
\0\x5d\x07\x07\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x67\0\0\0\x20\0\0\0\
\x77\0\0\0\x20\0\0\0\x5d\x07\x07\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xae\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\
\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\
\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x07\x07\0\0\0\0\0\xbf\x61\0\0\0\0\
\0\0\x85\0\0\0\xae\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\
\0\x4f\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\
\x85\0\0\0\x0e\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x07\x07\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\xd2\
\x04\0\0\x95\0\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x79\x76\x18\0\0\0\0\0\x18\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x89\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x67\0\0\0\
\x20\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x09\x0e\0\0\0\0\0\x61\x88\0\0\0\0\0\0\x85\0\
\0\0\x0e\0\0\0\x18\x06\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x67\0\0\0\x20\0\0\0\
\x77\0\0\0\x20\0\0\0\x5d\x08\x07\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\xae\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x4f\x02\0\0\0\0\0\
\0\x7b\x21\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\
\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\
\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\
\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\
\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\
\x90\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\
\x18\x01\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x22\0\0\
\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x26\0\0\0\
\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x28\0\0\0\
\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\
\x08\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x2c\0\0\0\
\x10\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x2e\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x34\x05\0\0\x34\x05\0\0\x7d\x05\0\0\0\0\0\0\0\
\0\0\x02\x02\0\0\0\x01\0\0\0\x02\0\0\x04\x80\x01\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\0\x0b\0\0\0\0\0\0\x02\0\0\x05\x60\x01\0\0\x09\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x13\0\0\0\x0d\0\0\x04\x60\x01\0\0\x20\0\0\
\0\x06\0\0\0\0\0\0\0\x24\0\0\0\x05\0\0\0\0\x08\0\0\x28\0\0\0\x05\0\0\0\x40\x08\
\0\0\x2c\0\0\0\x05\0\0\0\x80\x08\0\0\x36\0\0\0\x05\0\0\0\xc0\x08\0\0\x3a\0\0\0\
\x05\0\0\0\0\x09\0\0\x3f\0\0\0\x05\0\0\0\x40\x09\0\0\x43\0\0\0\x05\0\0\0\x80\
\x09\0\0\x47\0\0\0\x05\0\0\0\xc0\x09\0\0\x4d\0\0\0\x05\0\0\0\0\x0a\0\0\x52\0\0\
\0\x05\0\0\0\x40\x0a\0\0\x56\0\0\0\x05\0\0\0\x80\x0a\0\0\x5c\0\0\0\x05\0\0\0\
\xc0\x0a\0\0\x63\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x05\0\0\0\x07\0\0\0\x20\0\0\0\x71\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\x0d\0\0\x04\x60\x01\0\0\x20\0\0\0\x06\0\0\0\0\0\0\0\x24\0\0\0\x05\0\0\0\0\x08\
\0\0\x28\0\0\0\x05\0\0\0\x40\x08\0\0\x2c\0\0\0\x05\0\0\0\x80\x08\0\0\x36\0\0\0\
\x05\0\0\0\xc0\x08\0\0\x3a\0\0\0\x05\0\0\0\0\x09\0\0\x3f\0\0\0\x05\0\0\0\x40\
\x09\0\0\x43\0\0\0\x05\0\0\0\x80\x09\0\0\x47\0\0\0\x05\0\0\0\xc0\x09\0\0\x4d\0\
\0\0\x05\0\0\0\0\x0a\0\0\x52\0\0\0\x05\0\0\0\x40\x0a\0\0\x56\0\0\0\x05\0\0\0\
\x80\x0a\0\0\x5c\0\0\0\x05\0\0\0\xc0\x0a\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\0\0\
\0\0\x0a\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\
\0\x8b\0\0\0\x05\0\0\0\0\0\0\0\x8f\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\x0b\0\0\0\
\x80\0\0\0\x9b\0\0\0\x05\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\xa0\0\0\
\0\x05\0\0\0\0\0\0\0\xa5\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x05\
\0\0\0\x07\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x0d\x0e\0\0\0\xa9\0\0\0\x01\0\0\0\
\xad\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\xb1\0\0\0\x01\0\0\x0c\x0d\0\0\0\xbf\
\0\0\0\x01\0\0\x0c\x0d\0\0\0\xd0\0\0\0\x01\0\0\x0c\x0d\0\0\0\xde\0\0\0\x01\0\0\
\x0c\x0d\0\0\0\xef\0\0\0\x01\0\0\x0c\x0d\0\0\0\xfa\0\0\0\x01\0\0\x0c\x0d\0\0\0\
\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x0e\0\0\0\xa9\0\0\0\x15\0\0\0\
\x05\x01\0\0\x01\0\0\x0c\x16\0\0\0\x10\x01\0\0\x01\0\0\x0c\x0d\0\0\0\0\0\0\0\0\
\0\0\x02\x1a\0\0\0\x1a\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x0d\x0e\0\0\0\xa9\0\0\0\x19\0\0\0\x2d\x01\0\0\x01\0\0\x0c\x1b\0\0\0\x3a\x01\0\
\0\x01\0\0\x0c\x1b\0\0\0\x46\x01\0\0\x01\0\0\x0c\x1b\0\0\0\x54\x01\0\0\x01\0\0\
\x0c\x1b\0\0\0\x62\x01\0\0\0\0\0\x08\x1a\0\0\0\x68\x01\0\0\0\0\0\x0e\x20\0\0\0\
\x01\0\0\0\x73\x01\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\x81\x01\0\0\0\0\0\x0e\x20\
\0\0\0\x01\0\0\0\x8c\x01\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\x9a\x01\0\0\0\0\0\
\x0e\x20\0\0\0\x01\0\0\0\xa1\x01\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\xa8\x01\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x27\0\0\0\x07\0\0\0\
\x04\0\0\0\xad\x01\0\0\0\0\0\x0e\x28\0\0\0\x01\0\0\0\xb6\x01\0\0\0\0\0\x0e\x0e\
\0\0\0\x01\0\0\0\xbd\x01\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\xce\x01\0\0\0\0\0\
\x0e\x20\0\0\0\x01\0\0\0\xd9\x01\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\xe3\x01\0\0\
\0\0\0\x0e\x20\0\0\0\x01\0\0\0\xf0\x01\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\xc2\
\x04\0\0\x0c\0\0\x0f\x60\0\0\0\x21\0\0\0\0\0\0\0\x08\0\0\0\x22\0\0\0\x08\0\0\0\
\x08\0\0\0\x23\0\0\0\x10\0\0\0\x08\0\0\0\x24\0\0\0\x18\0\0\0\x08\0\0\0\x25\0\0\
\0\x20\0\0\0\x08\0\0\0\x26\0\0\0\x28\0\0\0\x08\0\0\0\x2a\0\0\0\x30\0\0\0\x04\0\
\0\0\x2b\0\0\0\x38\0\0\0\x08\0\0\0\x2c\0\0\0\x40\0\0\0\x08\0\0\0\x2d\0\0\0\x48\
\0\0\0\x08\0\0\0\x2e\0\0\0\x50\0\0\0\x08\0\0\0\x2f\0\0\0\x58\0\0\0\x08\0\0\0\
\xc7\x04\0\0\x01\0\0\x0f\x04\0\0\0\x29\0\0\0\0\0\0\0\x04\0\0\0\0\x70\x74\x5f\
\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\
\x70\x74\x5f\x72\x65\x67\x73\0\x67\x70\x72\0\x6e\x69\x70\0\x6d\x73\x72\0\x6f\
\x72\x69\x67\x5f\x67\x70\x72\x33\0\x63\x74\x72\0\x6c\x69\x6e\x6b\0\x78\x65\x72\
\0\x63\x63\x72\0\x73\x6f\x66\x74\x65\0\x74\x72\x61\x70\0\x64\x61\x72\0\x64\x73\
\x69\x73\x72\0\x72\x65\x73\x75\x6c\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x5f\x5f\x70\x61\x64\0\x70\x70\x72\0\x65\x78\x69\x74\x5f\x72\
\x65\x73\x75\x6c\x74\0\x69\x61\x6d\x72\0\x6b\x75\x61\x70\0\x61\x6d\x72\0\x63\
\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\
\x65\x74\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x74\x70\x31\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x74\x70\x32\0\x68\x61\x6e\x64\x6c\x65\x5f\x74\x70\x33\
\0\x68\x61\x6e\x64\x6c\x65\x5f\x70\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x31\0\x66\x6d\x6f\x64\x5f\
\x72\x65\x74\x5f\x74\x65\x73\x74\0\x74\x65\x73\x74\x5f\x69\x6e\x74\x5f\x68\x6f\
\x6f\x6b\0\x5f\x5f\x75\x36\x34\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x6b\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\
\x72\x65\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x74\x70\
\x5f\x72\x65\x73\0\x70\x65\x5f\x72\x65\x73\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x6d\x79\x5f\x74\x69\x64\0\x6b\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x72\x65\x73\0\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\x73\0\
\x66\x65\x78\x69\x74\x5f\x72\x65\x73\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x72\
\x65\x73\0\x6c\x73\x6d\x5f\x72\x65\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\
\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x62\x70\x66\x5f\x63\x6f\x6f\x6b\x69\x65\x2e\
\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\x28\
\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\
\x29\0\x09\x69\x66\x20\x28\x6d\x79\x5f\x74\x69\x64\x20\x21\x3d\x20\x28\x75\x33\
\x32\x29\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\
\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x29\0\x09\x2a\x72\x65\x73\x20\x7c\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x61\x74\x74\x61\x63\x68\x5f\x63\x6f\x6f\x6b\
\x69\x65\x28\x63\x74\x78\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\
\x65\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\
\x74\x78\x29\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\
\x65\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\
\x74\x78\x29\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\
\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x74\x70\
\x31\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\
\x74\x78\x29\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x74\x70\x32\x28\x73\
\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\x29\0\
\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x74\x70\x33\x28\x76\x6f\x69\x64\
\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x31\x3b\0\x69\x6e\
\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x70\x65\x28\x73\x74\x72\x75\x63\x74\x20\
\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\
\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x31\x2c\x20\x69\x6e\x74\x20\
\x61\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\x2c\
\x20\x69\x6e\x74\x20\x5f\x61\x2c\x20\x69\x6e\x74\x20\x2a\x5f\x62\x2c\x20\x69\
\x6e\x74\x20\x5f\x72\x65\x74\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x74\x65\x73\x74\x5f\x69\x6e\x74\x5f\x68\x6f\x6f\x6b\x2c\x20\x73\x74\
\x72\x75\x63\x74\x20\x76\x6d\x5f\x61\x72\x65\x61\x5f\x73\x74\x72\x75\x63\x74\
\x20\x2a\x76\x6d\x61\x2c\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\
\x70\x72\x6f\x62\x65\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\
\x62\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x74\x70\x2f\x73\x79\x73\x63\
\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\
\x73\x6c\x65\x65\x70\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x31\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\
\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x6c\x73\x6d\
\x2f\x66\x69\x6c\x65\x5f\x6d\x70\x72\x6f\x74\x65\x63\x74\0\0\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\xb4\0\0\0\xb4\0\0\0\xa4\x06\0\0\x58\x07\0\0\0\0\0\
\0\x08\0\0\0\xcf\x04\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\0\xd6\x04\0\0\x01\0\0\0\0\0\
\0\0\x10\0\0\0\xe0\x04\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\xe7\x04\0\0\x01\0\0\0\0\
\0\0\0\x12\0\0\0\xf1\x04\0\0\x03\0\0\0\0\0\0\0\x13\0\0\0\x88\0\0\0\x14\0\0\0\
\x10\x01\0\0\x17\0\0\0\x11\x05\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x1c\x05\0\0\x01\
\0\0\0\0\0\0\0\x1c\0\0\0\x34\x05\0\0\x01\0\0\0\0\0\0\0\x1d\0\0\0\x4b\x05\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x6b\x05\0\0\x01\0\0\0\0\0\0\0\x1f\0\0\0\x10\0\0\0\
\xcf\x04\0\0\x08\0\0\0\0\0\0\0\xf8\x01\0\0\x75\x02\0\0\0\x80\0\0\x08\0\0\0\xf8\
\x01\0\0\x9c\x02\0\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\
\x28\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\
\0\x06\x64\0\0\x40\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\
\0\0\xcc\x02\0\0\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\xf1\x02\0\0\x02\x8c\0\0\xd6\
\x04\0\0\x08\0\0\0\0\0\0\0\xf8\x01\0\0\xfc\x02\0\0\0\x9c\0\0\x08\0\0\0\xf8\x01\
\0\0\x9c\x02\0\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\x28\
\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\0\
\x06\x64\0\0\x40\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\0\
\0\xcc\x02\0\0\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\xf1\x02\0\0\x02\xa8\0\0\xe0\
\x04\0\0\x08\0\0\0\0\0\0\0\xf8\x01\0\0\x26\x03\0\0\0\xb8\0\0\x08\0\0\0\xf8\x01\
\0\0\x9c\x02\0\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\x28\
\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\0\
\x06\x64\0\0\x40\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\0\
\0\xcc\x02\0\0\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\xf1\x02\0\0\x02\xc4\0\0\xe7\
\x04\0\0\x08\0\0\0\0\0\0\0\xf8\x01\0\0\x4d\x03\0\0\0\xd4\0\0\x08\0\0\0\xf8\x01\
\0\0\x9c\x02\0\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\x28\
\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\0\
\x06\x64\0\0\x40\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\0\
\0\xcc\x02\0\0\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\xf1\x02\0\0\x02\xe0\0\0\xf1\
\x04\0\0\x18\0\0\0\0\0\0\0\xf8\x01\0\0\x77\x03\0\0\0\x04\x01\0\x08\0\0\0\xf8\
\x01\0\0\x9c\x02\0\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\
\x28\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\
\0\x06\x64\0\0\x40\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\
\0\0\xcc\x02\0\0\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\xf1\x02\0\0\x02\x10\x01\0\
\x88\0\0\0\xf8\x01\0\0\x9b\x03\0\0\0\x1c\x01\0\x90\0\0\0\xf8\x01\0\0\x9c\x02\0\
\0\x06\x64\0\0\xa8\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\xb0\0\0\0\xf8\x01\
\0\0\x9c\x02\0\0\x10\x64\0\0\xc0\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\x64\0\0\xc8\
\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\xd8\0\0\0\xf8\x01\0\0\xcc\x02\0\0\
\x07\x70\0\0\0\x01\0\0\xf8\x01\0\0\xf1\x02\0\0\x02\x28\x01\0\x10\x01\0\0\xf8\
\x01\0\0\xbf\x03\0\0\0\x34\x01\0\x18\x01\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\x64\0\
\0\x30\x01\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\x38\x01\0\0\xf8\x01\0\0\x9c\
\x02\0\0\x10\x64\0\0\x48\x01\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\x64\0\0\x50\x01\0\
\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x60\x01\0\0\xf8\x01\0\0\xcc\x02\0\0\x07\
\x70\0\0\x88\x01\0\0\xf8\x01\0\0\xd9\x03\0\0\x02\x40\x01\0\x11\x05\0\0\x08\0\0\
\0\0\0\0\0\xf8\x01\0\0\xe4\x03\0\0\0\x50\x01\0\x08\0\0\0\xf8\x01\0\0\x9c\x02\0\
\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\x28\0\0\0\xf8\x01\
\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\x64\0\0\x40\
\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\0\0\xcc\x02\0\0\
\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\xf1\x02\0\0\x02\x5c\x01\0\x1c\x05\0\0\x08\0\
\0\0\0\0\0\0\xf8\x01\0\0\x07\x04\0\0\0\x6c\x01\0\x08\0\0\0\xf8\x01\0\0\x9c\x02\
\0\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\x28\0\0\0\xf8\
\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\x64\0\0\
\x40\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\0\0\xcc\x02\0\
\0\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\x07\x04\0\0\x05\x6c\x01\0\x34\x05\0\0\x08\
\0\0\0\0\0\0\0\xf8\x01\0\0\x29\x04\0\0\0\x88\x01\0\x08\0\0\0\xf8\x01\0\0\x9c\
\x02\0\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\x28\0\0\0\
\xf8\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\x64\
\0\0\x40\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\0\0\xcc\
\x02\0\0\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\x29\x04\0\0\x05\x88\x01\0\x4b\x05\0\
\0\x08\0\0\0\0\0\0\0\xf8\x01\0\0\x53\x04\0\0\0\xa4\x01\0\x08\0\0\0\xf8\x01\0\0\
\x9c\x02\0\0\x06\x64\0\0\x20\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\x64\0\0\x28\0\0\
\0\xf8\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x38\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\
\x64\0\0\x40\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x50\0\0\0\xf8\x01\0\0\
\xcc\x02\0\0\x07\x70\0\0\x78\0\0\0\xf8\x01\0\0\x53\x04\0\0\x05\xa4\x01\0\x6b\
\x05\0\0\x0d\0\0\0\0\0\0\0\xf8\x01\0\0\x8a\x04\0\0\0\xc0\x01\0\x08\0\0\0\xf8\
\x01\0\0\x8a\x04\0\0\x05\xc0\x01\0\x10\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\xcc\
\x01\0\x28\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x15\xcc\x01\0\x30\0\0\0\xf8\x01\0\0\
\x9c\x02\0\0\x10\xcc\x01\0\x40\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\xcc\x01\0\x48\
\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x06\x64\0\0\x50\0\0\0\xf8\x01\0\0\x9c\x02\0\0\
\x15\x64\0\0\x68\0\0\0\xf8\x01\0\0\x9c\x02\0\0\x10\x64\0\0\x78\0\0\0\xf8\x01\0\
\0\x9c\x02\0\0\x06\x64\0\0\x80\0\0\0\xf8\x01\0\0\xcc\x02\0\0\x0a\x70\0\0\x90\0\
\0\0\xf8\x01\0\0\xcc\x02\0\0\x07\x70\0\0\xb8\0\0\0\xf8\x01\0\0\x8a\x04\0\0\x05\
\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x41\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x88\x03\0\0\0\0\0\0\x98\x04\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x20\x08\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa8\x08\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x09\0\0\0\
\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x09\0\0\0\0\0\0\x88\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0a\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0b\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x60\x0c\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\
\x0c\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x8d\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0d\0\0\0\0\0\
\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x0d\0\0\0\0\0\0\xc8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0e\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc4\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc0\x0e\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xc8\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x68\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xe8\x0e\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x76\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x0f\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x81\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0f\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x8f\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0f\0\0\0\0\
\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xb3\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x0f\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x02\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc2\
\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0f\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\x02\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xde\x02\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0f\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x02\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf9\x02\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1d\x03\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x10\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\
\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x33\x03\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x10\0\0\0\0\0\0\xc9\x0a\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x1b\0\0\0\0\0\0\x78\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_bpf_cookie *test_bpf_cookie::open(const struct bpf_object_open_opts *opts) { return test_bpf_cookie__open_opts(opts); }
struct test_bpf_cookie *test_bpf_cookie::open_and_load() { return test_bpf_cookie__open_and_load(); }
int test_bpf_cookie::load(struct test_bpf_cookie *skel) { return test_bpf_cookie__load(skel); }
int test_bpf_cookie::attach(struct test_bpf_cookie *skel) { return test_bpf_cookie__attach(skel); }
void test_bpf_cookie::detach(struct test_bpf_cookie *skel) { test_bpf_cookie__detach(skel); }
void test_bpf_cookie::destroy(struct test_bpf_cookie *skel) { test_bpf_cookie__destroy(skel); }
const void *test_bpf_cookie::elf_bytes(size_t *sz) { return test_bpf_cookie__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_bpf_cookie__assert(struct test_bpf_cookie *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->kprobe_res) == 8, "unexpected size of 'kprobe_res'");
	_Static_assert(sizeof(s->bss->kretprobe_res) == 8, "unexpected size of 'kretprobe_res'");
	_Static_assert(sizeof(s->bss->uprobe_res) == 8, "unexpected size of 'uprobe_res'");
	_Static_assert(sizeof(s->bss->uretprobe_res) == 8, "unexpected size of 'uretprobe_res'");
	_Static_assert(sizeof(s->bss->tp_res) == 8, "unexpected size of 'tp_res'");
	_Static_assert(sizeof(s->bss->pe_res) == 8, "unexpected size of 'pe_res'");
	_Static_assert(sizeof(s->bss->my_tid) == 4, "unexpected size of 'my_tid'");
	_Static_assert(sizeof(s->bss->kprobe_multi_res) == 8, "unexpected size of 'kprobe_multi_res'");
	_Static_assert(sizeof(s->bss->fentry_res) == 8, "unexpected size of 'fentry_res'");
	_Static_assert(sizeof(s->bss->fexit_res) == 8, "unexpected size of 'fexit_res'");
	_Static_assert(sizeof(s->bss->fmod_ret_res) == 8, "unexpected size of 'fmod_ret_res'");
	_Static_assert(sizeof(s->bss->lsm_res) == 8, "unexpected size of 'lsm_res'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_BPF_COOKIE_SKEL_H__ */
