/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_RINGBUF_MAP_KEY_LSKEL_SKEL_H__
#define __TEST_RINGBUF_MAP_KEY_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct test_ringbuf_map_key_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc ringbuf;
		struct bpf_map_desc hash_map;
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc test_ringbuf_mem_map_key;
	} progs;
	struct {
		int test_ringbuf_mem_map_key_fd;
	} links;
	struct test_ringbuf_map_key_lskel__bss {
		int pid;
		char __pad0[4];
		long seq;
	} *bss;
};

static inline int
test_ringbuf_map_key_lskel__test_ringbuf_mem_map_key__attach(struct test_ringbuf_map_key_lskel *skel)
{
	int prog_fd = skel->progs.test_ringbuf_mem_map_key.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test_ringbuf_mem_map_key_fd = fd;
	return fd;
}

static inline int
test_ringbuf_map_key_lskel__attach(struct test_ringbuf_map_key_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : test_ringbuf_map_key_lskel__test_ringbuf_mem_map_key__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
test_ringbuf_map_key_lskel__detach(struct test_ringbuf_map_key_lskel *skel)
{
	skel_closenz(skel->links.test_ringbuf_mem_map_key_fd);
}
static void
test_ringbuf_map_key_lskel__destroy(struct test_ringbuf_map_key_lskel *skel)
{
	if (!skel)
		return;
	test_ringbuf_map_key_lskel__detach(skel);
	skel_closenz(skel->progs.test_ringbuf_mem_map_key.prog_fd);
	skel_closenz(skel->maps.ringbuf.map_fd);
	skel_closenz(skel->maps.hash_map.map_fd);
	skel_free_map_data(skel->bss, skel->maps.bss.initial_value, 65536);
	skel_closenz(skel->maps.bss.map_fd);
	skel_free(skel);
}
static inline struct test_ringbuf_map_key_lskel *
test_ringbuf_map_key_lskel__open(void)
{
	struct test_ringbuf_map_key_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->bss = skel_prep_map_data((void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 65536, 16);
	if (!skel->bss)
		goto cleanup;
	skel->maps.bss.initial_value = (__u64) (long) skel->bss;
	return skel;
cleanup:
	test_ringbuf_map_key_lskel__destroy(skel);
	return NULL;
}

static inline int
test_ringbuf_map_key_lskel__load(struct test_ringbuf_map_key_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 3960;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x60\x02\0\0\x60\x02\0\0\x26\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x1b\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\
\0\x04\x08\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\x0e\x05\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\xe8\x03\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\x26\0\0\0\x04\0\0\x04\x20\0\
\0\0\x2d\0\0\0\x02\0\0\0\0\0\0\0\x31\0\0\0\x02\0\0\0\x20\0\0\0\x35\0\0\0\x0d\0\
\0\0\x40\0\0\0\x3b\0\0\0\x0f\0\0\0\x80\0\0\0\x40\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\x01\x45\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0e\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x19\0\0\0\x07\0\0\0\0\0\0\0\x4a\0\0\0\x09\0\0\0\x40\0\0\0\x56\0\0\0\
\x0b\0\0\0\x80\0\0\0\x35\0\0\0\x10\0\0\0\xc0\0\0\0\x5a\0\0\0\0\0\0\x0e\x11\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x63\0\0\0\
\x13\0\0\0\x67\0\0\0\x01\0\0\x0c\x14\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\
\x04\0\0\0\x04\0\0\0\x80\0\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\x2d\0\0\0\0\0\0\
\x0e\x02\0\0\0\x01\0\0\0\x31\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xfb\x02\0\0\
\x01\0\0\x0f\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\x03\x03\0\0\x02\0\0\x0f\x10\
\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\x19\0\0\0\x08\0\0\0\x08\0\0\0\x08\x03\0\0\
\x02\0\0\x0f\x28\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\x12\0\0\0\x08\0\0\0\x20\0\0\
\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x72\x69\x6e\x67\x62\x75\x66\0\x73\x61\x6d\
\x70\x6c\x65\0\x70\x69\x64\0\x73\x65\x71\0\x76\x61\x6c\x75\x65\0\x63\x6f\x6d\
\x6d\0\x6c\x6f\x6e\x67\0\x63\x68\x61\x72\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x6b\x65\x79\0\x68\x61\x73\x68\x5f\x6d\x61\x70\0\x63\x74\x78\0\x74\
\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6d\x65\x6d\x5f\x6d\x61\x70\
\x5f\x6b\x65\x79\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\
\x39\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x6d\x61\x70\x5f\x6b\x65\x79\x2e\x63\0\x09\x69\x6e\x74\x20\x63\x75\x72\x5f\x70\
\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\
\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\
\x09\x69\x66\x20\x28\x63\x75\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\
\x29\0\x09\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\
\x62\x75\x66\x5f\x72\x65\x73\x65\x72\x76\x65\x28\x26\x72\x69\x6e\x67\x62\x75\
\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x2c\
\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x61\x6d\x70\x6c\x65\x29\0\x09\
\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x70\x69\x64\x20\x3d\x20\x70\x69\x64\x3b\0\x09\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x63\x6f\x6d\
\x6d\x28\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x63\x6f\x6d\x6d\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x63\x6f\x6d\x6d\x29\x29\x3b\0\
\x09\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x73\x65\x71\x20\x3d\x20\x2b\x2b\x73\x65\
\x71\x3b\0\x09\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x76\x61\x6c\x75\x65\x20\x3d\x20\
\x34\x32\x3b\0\x09\x6c\x6f\x6f\x6b\x75\x70\x5f\x76\x61\x6c\x20\x3d\x20\x28\x69\
\x6e\x74\x20\x2a\x29\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x5f\x6d\x61\x70\x2c\x20\x73\x61\
\x6d\x70\x6c\x65\x29\x3b\0\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\
\x6d\x63\x70\x79\x28\x26\x73\x61\x6d\x70\x6c\x65\x5f\x63\x6f\x70\x79\x2c\x20\
\x73\x61\x6d\x70\x6c\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\
\x63\x74\x20\x73\x61\x6d\x70\x6c\x65\x29\x29\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\
\x5f\x6d\x61\x70\x2c\x20\x26\x73\x61\x6d\x70\x6c\x65\x5f\x63\x6f\x70\x79\x2c\
\x20\x26\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x73\x65\x71\x2c\x20\x42\x50\x46\x5f\
\x41\x4e\x59\x29\x3b\0\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x73\
\x75\x62\x6d\x69\x74\x28\x73\x61\x6d\x70\x6c\x65\x2c\x20\x30\x29\x3b\0\x7d\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\
\x69\x64\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9e\x05\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x69\x6e\x67\
\x62\x75\x66\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x20\0\0\0\x04\0\0\0\xe8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\
\x61\x73\x68\x5f\x6d\x61\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\0\0\0\x01\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x47\x50\x4c\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x61\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x01\x2e\0\0\0\0\0\x18\x51\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x20\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\
\0\x83\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x27\0\0\0\0\0\x18\x61\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x63\x16\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x07\
\x01\0\0\x10\0\0\0\xb7\x02\0\0\x10\0\0\0\x85\0\0\0\x10\0\0\0\x18\x61\0\0\x02\0\
\0\0\0\0\0\0\x08\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\
\0\0\0\x63\x26\x04\0\0\0\0\0\xb7\x01\0\0\x2a\0\0\0\x7b\x16\x08\0\0\0\0\0\x18\
\x51\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x79\
\x61\0\0\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\x79\x61\x08\0\0\0\0\0\x7b\x1a\xe8\xff\
\0\0\0\0\x79\x61\x10\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x79\x61\x18\0\0\0\0\0\
\x7b\x1a\xf8\xff\0\0\0\0\xbf\x63\0\0\0\0\0\0\x07\x03\0\0\x04\0\0\0\xbf\xa2\0\0\
\0\0\0\0\x07\x02\0\0\xe0\xff\xff\xff\x18\x51\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\0\0\0\x84\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\0\0\
\0\0\x89\0\0\0\x0b\x01\0\0\x10\x94\0\0\x01\0\0\0\x89\0\0\0\x0b\x01\0\0\x2b\x94\
\0\0\x02\0\0\0\x89\0\0\0\x3c\x01\0\0\x11\xa4\0\0\x05\0\0\0\x89\0\0\0\x3c\x01\0\
\0\x06\xa4\0\0\x06\0\0\0\x89\0\0\0\x51\x01\0\0\x0b\xb0\0\0\x0c\0\0\0\x89\0\0\0\
\x8e\x01\0\0\x06\xb4\0\0\x0d\0\0\0\x89\0\0\0\x9c\x01\0\0\x10\xc0\0\0\x10\0\0\0\
\x89\0\0\0\x9c\x01\0\0\x0e\xc0\0\0\x11\0\0\0\x89\0\0\0\xb0\x01\0\0\x1f\xc4\0\0\
\x13\0\0\0\x89\0\0\0\xb0\x01\0\0\x02\xc4\0\0\x15\0\0\0\x89\0\0\0\xeb\x01\0\0\
\x10\xc8\0\0\x1a\0\0\0\x89\0\0\0\xeb\x01\0\0\x0e\xc8\0\0\x1c\0\0\0\x89\0\0\0\
\x01\x02\0\0\x10\xcc\0\0\x1d\0\0\0\x89\0\0\0\x16\x02\0\0\x16\xdc\0\0\x21\0\0\0\
\x89\0\0\0\x53\x02\0\0\x02\x04\x01\0\x29\0\0\0\x89\0\0\0\xeb\x01\0\0\x0a\xc8\0\
\0\x2c\0\0\0\x89\0\0\0\x9c\x01\0\0\x10\xc0\0\0\x2d\0\0\0\x89\0\0\0\x93\x02\0\0\
\x02\x08\x01\0\x31\0\0\0\x89\0\0\0\xd9\x02\0\0\x02\x10\x01\0\x34\0\0\0\x89\0\0\
\0\xf9\x02\0\0\x01\x18\x01\0\x1a\0\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x5f\x72\x69\
\x6e\x67\x62\x75\x66\x5f\x6d\x65\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5f\x5f\x73\x65\x5f\x73\
\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\0\0\0\0";
	opts.insns_sz = 1920;
	opts.insns = (void *)"\
\xbf\x16\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x78\xff\xff\xff\xb7\x02\0\
\0\x88\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x05\0\x1d\0\0\0\0\0\x61\
\xa1\x78\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x7c\xff\
\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x80\xff\0\0\0\0\xd5\
\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\x18\x60\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\
\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\
\0\0\0\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\
\0\0\0\0\0\0\0\0\xb8\x0a\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\
\0\0\0\0\0\0\0\0\0\0\xb4\x0a\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xa8\x0a\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\
\0\0\0\0\x05\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa0\x0a\0\0\x7b\x01\0\0\0\0\0\0\
\xb7\x01\0\0\x12\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xa0\x0a\0\0\xb7\x03\0\0\x1c\
\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xcb\xff\0\0\0\0\x63\x7a\
\x78\xff\0\0\0\0\x61\x60\x1c\0\0\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\xcc\x0a\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\0\0\
\0\0\0\0\0\xc0\x0a\0\0\xb7\x03\0\0\x48\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\
\0\0\0\xc5\x07\xbe\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x71\0\0\
\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x38\x0b\0\0\x63\
\x01\0\0\0\0\0\0\x61\x60\x2c\0\0\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\x14\x0b\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\0\0\
\0\0\0\0\0\x08\x0b\0\0\xb7\x03\0\0\x48\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\
\0\0\0\xc5\x07\xab\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x63\x71\0\
\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x80\x0b\0\0\x63\
\x01\0\0\0\0\0\0\x61\x60\x3c\0\0\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\x5c\x0b\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\0\0\
\0\0\0\0\0\x50\x0b\0\0\xb7\x03\0\0\x48\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\
\0\0\0\xc5\x07\x98\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x63\x71\0\
\0\0\0\0\0\x79\x63\x40\0\0\0\0\0\x15\x03\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\x98\x0b\0\0\xb7\x02\0\0\x10\0\0\0\x61\x60\x04\0\0\0\0\0\x45\0\x02\0\x01\0\
\0\0\x85\0\0\0\x94\0\0\0\x05\0\x01\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x18\x62\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\x61\x20\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb0\
\x0b\0\0\x63\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xa8\x0b\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\xb8\x0b\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\x98\x0b\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xc0\x0b\0\0\x7b\x01\0\0\0\0\0\0\xb7\
\x01\0\0\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xb0\x0b\0\0\xb7\x03\0\0\x20\0\0\
\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x74\xff\0\0\0\0\x18\x60\0\0\
\0\0\0\0\0\0\0\0\xd0\x0b\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xe0\x0e\0\0\x7b\x01\0\
\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xd8\x0b\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xd8\x0e\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x88\x0d\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\x20\x0f\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\
\0\0\0\x90\x0d\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x30\x0f\0\0\x7b\x01\0\0\0\0\0\0\
\x18\x60\0\0\0\0\0\0\0\0\0\0\xd0\x0e\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x50\x0f\0\
\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\x48\x0f\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\xe8\x0e\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\
\0\0\0\0\0\0\0\0\xec\x0e\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\
\0\0\0\0\0\0\0\0\0\0\xf0\x0e\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x18\x0f\0\0\x63\x01\0\0\0\0\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x60\x0f\0\0\xb7\x02\0\0\x11\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\
\0\0\0\0\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x3e\xff\0\0\0\0\x18\
\x60\0\0\0\0\0\0\0\0\0\0\xd0\x0e\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\0\0\x20\0\0\
\0\x63\x70\x70\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xd0\
\x0e\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\
\0\0\0\0\0\0\0\0\0\0\x40\x0f\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\
\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\x07\x2c\xff\0\0\0\0\x63\x7a\x80\xff\0\
\0\0\0\x61\xa1\x78\xff\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\
\0\0\xa8\0\0\0\x61\xa0\x80\xff\0\0\0\0\x63\x06\x48\0\0\0\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x63\x06\x18\0\0\0\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\x61\x10\0\0\0\0\0\0\x63\x06\x28\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\x61\x10\0\0\0\0\0\0\x63\x06\x38\0\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss = skel_finalize_map_data(&skel->maps.bss.initial_value,
					65536, PROT_READ | PROT_WRITE, skel->maps.bss.map_fd);
	if (!skel->bss)
		return -ENOMEM;
	return 0;
}

static inline struct test_ringbuf_map_key_lskel *
test_ringbuf_map_key_lskel__open_and_load(void)
{
	struct test_ringbuf_map_key_lskel *skel;

	skel = test_ringbuf_map_key_lskel__open();
	if (!skel)
		return NULL;
	if (test_ringbuf_map_key_lskel__load(skel)) {
		test_ringbuf_map_key_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
test_ringbuf_map_key_lskel__assert(struct test_ringbuf_map_key_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->seq) == 8, "unexpected size of 'seq'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_RINGBUF_MAP_KEY_LSKEL_SKEL_H__ */
