/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XDP_METADATA2_SKEL_H__
#define __XDP_METADATA2_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct xdp_metadata2 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *freplace_rx;
	} progs;
	struct {
		struct bpf_link *freplace_rx;
	} links;
	struct xdp_metadata2__bss {
		int called;
	} *bss;

#ifdef __cplusplus
	static inline struct xdp_metadata2 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xdp_metadata2 *open_and_load();
	static inline int load(struct xdp_metadata2 *skel);
	static inline int attach(struct xdp_metadata2 *skel);
	static inline void detach(struct xdp_metadata2 *skel);
	static inline void destroy(struct xdp_metadata2 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xdp_metadata2__destroy(struct xdp_metadata2 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_metadata2__create_skeleton(struct xdp_metadata2 *obj);

static inline struct xdp_metadata2 *
xdp_metadata2__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_metadata2 *obj;
	int err;

	obj = (struct xdp_metadata2 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xdp_metadata2__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xdp_metadata2__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xdp_metadata2 *
xdp_metadata2__open(void)
{
	return xdp_metadata2__open_opts(NULL);
}

static inline int
xdp_metadata2__load(struct xdp_metadata2 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_metadata2 *
xdp_metadata2__open_and_load(void)
{
	struct xdp_metadata2 *obj;
	int err;

	obj = xdp_metadata2__open();
	if (!obj)
		return NULL;
	err = xdp_metadata2__load(obj);
	if (err) {
		xdp_metadata2__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xdp_metadata2__attach(struct xdp_metadata2 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_metadata2__detach(struct xdp_metadata2 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xdp_metadata2__elf_bytes(size_t *sz);

static inline int
xdp_metadata2__create_skeleton(struct xdp_metadata2 *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xdp_metadata2";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "xdp_meta.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "freplace_rx";
	s->progs[0].prog = &obj->progs.freplace_rx;
	s->progs[0].link = &obj->links.freplace_rx;

	s->data = (void *)xdp_metadata2__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xdp_metadata2__elf_bytes(size_t *sz)
{
	*sz = 2968;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x72\
\x65\x70\x6c\x61\x63\x65\x2f\x72\x78\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x32\x2e\x63\0\x66\
\x72\x65\x70\x6c\x61\x63\x65\x5f\x72\x78\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\
\x65\x74\x61\x64\x61\x74\x61\x5f\x72\x78\x5f\x68\x61\x73\x68\0\x63\x61\x6c\x6c\
\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x72\x65\x70\
\x6c\x61\x63\x65\x2f\x72\x78\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x3a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x46\0\0\
\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\x11\0\x04\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x66\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb7\x02\0\0\0\0\0\0\x63\x2a\xfc\xff\0\0\0\0\x63\x2a\xf8\xff\0\0\0\0\xbf\xa2\0\
\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xfc\xff\
\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x38\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x78\x02\
\0\0\x78\x02\0\0\xfe\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x06\0\0\x04\
\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\0\0\
\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\0\0\
\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\0\0\0\0\0\0\x08\x04\0\0\0\x54\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x61\0\0\0\x01\0\0\0\x65\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x69\0\0\0\x01\0\0\x0c\x05\0\0\0\0\0\0\0\
\x03\0\0\x0d\x06\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x0c\0\0\0\0\
\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x0a\x02\0\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\x75\0\0\0\x18\0\0\x06\x04\0\0\0\x87\0\0\0\x01\
\0\0\0\x97\0\0\0\x02\0\0\0\xa7\0\0\0\x04\0\0\0\xb9\0\0\0\x08\0\0\0\xc4\0\0\0\
\x10\0\0\0\xd3\0\0\0\x20\0\0\0\xe2\0\0\0\x40\0\0\0\xf2\0\0\0\x80\0\0\0\x03\x01\
\0\0\0\0\0\0\x15\x01\0\0\0\0\0\0\x25\x01\0\0\x01\0\0\0\x3a\x01\0\0\x02\0\0\0\
\x4f\x01\0\0\x05\0\0\0\x68\x01\0\0\x06\0\0\0\x80\x01\0\0\x08\0\0\0\x94\x01\0\0\
\x19\0\0\0\xad\x01\0\0\x29\0\0\0\xc6\x01\0\0\x49\0\0\0\xe0\x01\0\0\x1a\0\0\0\
\xf9\x01\0\0\x2a\0\0\0\x12\x02\0\0\x4a\0\0\0\x2c\x02\0\0\x1e\0\0\0\x48\x02\0\0\
\x2e\0\0\0\x64\x02\0\0\x4e\0\0\0\x81\x02\0\0\x02\0\0\x0c\x08\0\0\0\x9a\x02\0\0\
\0\0\0\x0e\x06\0\0\0\x01\0\0\0\xa1\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x12\0\0\0\x04\0\0\0\xa6\x02\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\xba\x02\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xde\x03\0\0\x01\0\0\
\x0f\x04\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\xe3\x03\0\0\x01\0\0\x0f\x04\0\0\0\
\x13\0\0\0\0\0\0\0\x04\0\0\0\xeb\x03\0\0\x01\0\0\x0f\0\0\0\0\x0e\0\0\0\0\0\0\0\
\0\0\0\0\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\
\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\
\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x5f\
\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\
\x78\0\x69\x6e\x74\0\x66\x72\x65\x70\x6c\x61\x63\x65\x5f\x72\x78\0\x78\x64\x70\
\x5f\x72\x73\x73\x5f\x68\x61\x73\x68\x5f\x74\x79\x70\x65\0\x58\x44\x50\x5f\x52\
\x53\x53\x5f\x4c\x33\x5f\x49\x50\x56\x34\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\
\x33\x5f\x49\x50\x56\x36\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x33\x5f\x44\x59\
\x4e\x48\x44\x52\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x34\0\x58\x44\x50\x5f\
\x52\x53\x53\x5f\x4c\x34\x5f\x54\x43\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\
\x34\x5f\x55\x44\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x34\x5f\x53\x43\x54\
\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x4c\x34\x5f\x49\x50\x53\x45\x43\0\x58\
\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4e\x4f\x4e\x45\0\x58\x44\x50\
\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x32\0\x58\x44\x50\x5f\x52\x53\x53\
\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\x50\x56\x34\0\x58\x44\x50\x5f\x52\x53\
\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\x50\x56\x36\0\x58\x44\x50\x5f\x52\
\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\x50\x56\x34\x5f\x4f\x50\x54\0\
\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x33\x5f\x49\x50\x56\
\x36\x5f\x45\x58\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\
\x5f\x41\x4e\x59\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\
\x5f\x49\x50\x56\x34\x5f\x54\x43\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\
\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x34\x5f\x55\x44\x50\0\x58\x44\x50\x5f\x52\
\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x34\x5f\x53\x43\x54\
\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\
\x56\x36\x5f\x54\x43\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\
\x4c\x34\x5f\x49\x50\x56\x36\x5f\x55\x44\x50\0\x58\x44\x50\x5f\x52\x53\x53\x5f\
\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x53\x43\x54\x50\0\x58\x44\
\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\
\x54\x43\x50\x5f\x45\x58\0\x58\x44\x50\x5f\x52\x53\x53\x5f\x54\x59\x50\x45\x5f\
\x4c\x34\x5f\x49\x50\x56\x36\x5f\x55\x44\x50\x5f\x45\x58\0\x58\x44\x50\x5f\x52\
\x53\x53\x5f\x54\x59\x50\x45\x5f\x4c\x34\x5f\x49\x50\x56\x36\x5f\x53\x43\x54\
\x50\x5f\x45\x58\0\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\
\x61\x5f\x72\x78\x5f\x68\x61\x73\x68\0\x63\x61\x6c\x6c\x65\x64\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\
\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x32\x2e\x63\0\x69\
\x6e\x74\x20\x66\x72\x65\x70\x6c\x61\x63\x65\x5f\x72\x78\x28\x73\x74\x72\x75\
\x63\x74\x20\x78\x64\x70\x5f\x6d\x64\x20\x2a\x63\x74\x78\x29\0\x09\x65\x6e\x75\
\x6d\x20\x78\x64\x70\x5f\x72\x73\x73\x5f\x68\x61\x73\x68\x5f\x74\x79\x70\x65\
\x20\x74\x79\x70\x65\x20\x3d\x20\x30\x3b\0\x09\x75\x33\x32\x20\x68\x61\x73\x68\
\x20\x3d\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x78\x64\x70\x5f\x6d\x65\x74\x61\x64\
\x61\x74\x61\x5f\x72\x78\x5f\x68\x61\x73\x68\x28\x63\x74\x78\x2c\x20\x26\x68\
\x61\x73\x68\x2c\x20\x26\x74\x79\x70\x65\x29\x3b\0\x09\x63\x61\x6c\x6c\x65\x64\
\x2b\x2b\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x58\x44\x50\x5f\x50\x41\x53\x53\
\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\
\0\x66\x72\x65\x70\x6c\x61\x63\x65\x2f\x72\x78\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\0\x7c\0\0\0\x90\0\0\0\0\0\0\0\x08\0\0\0\xf2\x03\0\0\
\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\xf2\x03\0\0\x07\0\0\0\0\0\0\0\xc3\x02\0\
\0\x3e\x03\0\0\0\x38\0\0\x08\0\0\0\xc3\x02\0\0\x62\x03\0\0\x19\x40\0\0\x10\0\0\
\0\xc3\x02\0\0\x84\x03\0\0\x06\x44\0\0\x20\0\0\0\xc3\x02\0\0\0\0\0\0\0\0\0\0\
\x38\0\0\0\xc3\x02\0\0\x93\x03\0\0\x02\x4c\0\0\x40\0\0\0\xc3\x02\0\0\xc1\x03\0\
\0\x08\x50\0\0\x68\0\0\0\xc3\x02\0\0\xcc\x03\0\0\x02\x54\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\x8d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\
\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\
\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\
\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\x02\0\0\0\0\0\0\x8e\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x84\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x08\
\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0";
}

#ifdef __cplusplus
struct xdp_metadata2 *xdp_metadata2::open(const struct bpf_object_open_opts *opts) { return xdp_metadata2__open_opts(opts); }
struct xdp_metadata2 *xdp_metadata2::open_and_load() { return xdp_metadata2__open_and_load(); }
int xdp_metadata2::load(struct xdp_metadata2 *skel) { return xdp_metadata2__load(skel); }
int xdp_metadata2::attach(struct xdp_metadata2 *skel) { return xdp_metadata2__attach(skel); }
void xdp_metadata2::detach(struct xdp_metadata2 *skel) { xdp_metadata2__detach(skel); }
void xdp_metadata2::destroy(struct xdp_metadata2 *skel) { xdp_metadata2__destroy(skel); }
const void *xdp_metadata2::elf_bytes(size_t *sz) { return xdp_metadata2__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xdp_metadata2__assert(struct xdp_metadata2 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->called) == 4, "unexpected size of 'called'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XDP_METADATA2_SKEL_H__ */
