/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_BTF_DECL_TAG_SKEL_H__
#define __TEST_BTF_DECL_TAG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_btf_decl_tag {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hashmap1;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *sub;
	} progs;
	struct {
		struct bpf_link *sub;
	} links;
	struct test_btf_decl_tag__rodata {
		bool skip_tests;
	} *rodata;

#ifdef __cplusplus
	static inline struct test_btf_decl_tag *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_btf_decl_tag *open_and_load();
	static inline int load(struct test_btf_decl_tag *skel);
	static inline int attach(struct test_btf_decl_tag *skel);
	static inline void detach(struct test_btf_decl_tag *skel);
	static inline void destroy(struct test_btf_decl_tag *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_btf_decl_tag__destroy(struct test_btf_decl_tag *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_btf_decl_tag__create_skeleton(struct test_btf_decl_tag *obj);

static inline struct test_btf_decl_tag *
test_btf_decl_tag__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_btf_decl_tag *obj;
	int err;

	obj = (struct test_btf_decl_tag *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_btf_decl_tag__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_btf_decl_tag__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_btf_decl_tag *
test_btf_decl_tag__open(void)
{
	return test_btf_decl_tag__open_opts(NULL);
}

static inline int
test_btf_decl_tag__load(struct test_btf_decl_tag *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_btf_decl_tag *
test_btf_decl_tag__open_and_load(void)
{
	struct test_btf_decl_tag *obj;
	int err;

	obj = test_btf_decl_tag__open();
	if (!obj)
		return NULL;
	err = test_btf_decl_tag__load(obj);
	if (err) {
		test_btf_decl_tag__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_btf_decl_tag__attach(struct test_btf_decl_tag *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_btf_decl_tag__detach(struct test_btf_decl_tag *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_btf_decl_tag__elf_bytes(size_t *sz);

static inline int
test_btf_decl_tag__create_skeleton(struct test_btf_decl_tag *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_btf_decl_tag";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "hashmap1";
	s->maps[0].map = &obj->maps.hashmap1;

	s->maps[1].name = "test_btf.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "sub";
	s->progs[0].prog = &obj->progs.sub;
	s->progs[0].link = &obj->links.sub;

	s->data = (void *)test_btf_decl_tag__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_btf_decl_tag__elf_bytes(size_t *sz)
{
	*sz = 2784;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x6d\x61\x70\
\x73\0\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x64\x65\x63\x6c\x5f\x74\x61\x67\x2e\
\x63\0\x66\x6f\x6f\0\x73\x75\x62\0\x68\x61\x73\x68\x6d\x61\x70\x31\0\x73\x6b\
\x69\x70\x5f\x74\x65\x73\x74\x73\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\
\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\
\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x55\0\0\0\x12\0\x04\0\0\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x59\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x62\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x63\x1a\xf8\xff\
\0\0\0\0\x63\x1a\xf4\xff\0\0\0\0\x63\x1a\xf0\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x7b\x1a\xe8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf0\xff\xff\xff\xbf\
\xa3\0\0\0\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\
\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\
\0\0\0\0\x01\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x9f\xeb\x01\
\0\x18\0\0\0\0\0\0\0\xbc\x02\0\0\xbc\x02\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\x02\x03\
\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\x03\0\0\x04\x0c\0\0\0\x1f\0\0\0\x02\0\0\0\0\0\
\0\0\x21\0\0\0\x02\0\0\0\x20\0\0\0\x23\0\0\0\x02\0\0\0\x40\0\0\0\x25\0\0\0\0\0\
\0\x11\x08\0\0\0\xff\xff\xff\xff\x2a\0\0\0\0\0\0\x11\x08\0\0\0\xff\xff\xff\xff\
\x25\0\0\0\0\0\0\x11\x08\0\0\0\x01\0\0\0\x2a\0\0\0\0\0\0\x11\x08\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\x2f\0\0\0\0\0\0\x08\x11\0\0\0\x25\0\0\0\0\0\0\
\x11\x0e\0\0\0\xff\xff\xff\xff\x2a\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\0\
\0\0\0\x02\0\0\x04\x08\0\0\0\x1f\0\0\0\x02\0\0\0\0\0\0\0\x21\0\0\0\x02\0\0\0\
\x20\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x37\0\0\0\x01\0\0\0\0\0\0\0\x3c\0\0\0\
\x05\0\0\0\x40\0\0\0\x48\0\0\0\x07\0\0\0\x80\0\0\0\x4c\0\0\0\x0d\0\0\0\xc0\0\0\
\0\x52\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x15\0\0\0\x5b\0\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6e\0\0\0\x14\0\
\0\0\x72\0\0\0\x01\0\0\x0c\x16\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x76\0\0\0\
\x02\0\0\0\x78\0\0\0\0\0\0\x0c\x18\0\0\0\x25\0\0\0\0\0\0\x11\x19\0\0\0\0\0\0\0\
\x2a\0\0\0\0\0\0\x11\x19\0\0\0\0\0\0\0\x25\0\0\0\0\0\0\x11\x19\0\0\0\xff\xff\
\xff\xff\x2a\0\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x0a\x1f\0\
\0\0\0\0\0\0\0\0\0\x09\x20\0\0\0\x7c\0\0\0\0\0\0\x08\x21\0\0\0\x81\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x04\x87\0\0\0\0\0\0\x0e\x1e\0\0\0\x01\0\0\0\x25\0\0\0\0\
\0\0\x11\x22\0\0\0\xff\xff\xff\xff\x2a\0\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\
\xff\xa4\x01\0\0\x01\0\0\x0f\x01\0\0\0\x22\0\0\0\0\0\0\0\x01\0\0\0\xac\x01\0\0\
\x01\0\0\x0f\x20\0\0\0\x13\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6b\x65\x79\
\x5f\x74\0\x61\0\x62\0\x63\0\x74\x61\x67\x31\0\x74\x61\x67\x32\0\x76\x61\x6c\
\x75\x65\x5f\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x68\x61\x73\x68\x6d\x61\x70\x31\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\
\x74\x78\0\x73\x75\x62\0\x78\0\x66\x6f\x6f\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\
\x6c\0\x73\x6b\x69\x70\x5f\x74\x65\x73\x74\x73\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\
\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x64\x65\x63\x6c\x5f\
\x74\x61\x67\x2e\x63\0\x09\x6b\x65\x79\x2e\x61\x20\x3d\x20\x6b\x65\x79\x2e\x62\
\x20\x3d\x20\x6b\x65\x79\x2e\x63\x20\x3d\x20\x78\x3b\0\x09\x76\x61\x6c\x75\x65\
\x5f\x74\x20\x76\x61\x6c\x20\x3d\x20\x7b\x7d\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\
\x6d\x61\x70\x31\x2c\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x2c\x20\x30\
\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x28\x73\x75\x62\x2c\x20\x69\x6e\x74\x20\x78\x29\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x66\x6f\x6f\x28\x78\x29\x3b\0\x2e\x72\x6f\x64\x61\
\x74\x61\0\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\xb4\0\0\0\xd8\0\0\0\0\0\0\
\0\x08\0\0\0\xb2\x01\0\0\x01\0\0\0\0\0\0\0\x19\0\0\0\xb8\x01\0\0\x01\0\0\0\0\0\
\0\0\x17\0\0\0\x10\0\0\0\xb2\x01\0\0\x07\0\0\0\0\0\0\0\x92\0\0\0\x11\x01\0\0\
\x18\xa4\0\0\x08\0\0\0\x92\0\0\0\x11\x01\0\0\x10\xa4\0\0\x10\0\0\0\x92\0\0\0\
\x11\x01\0\0\x08\xa4\0\0\x20\0\0\0\x92\0\0\0\x2d\x01\0\0\x0a\x9c\0\0\x30\0\0\0\
\x92\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x92\0\0\0\x40\x01\0\0\x02\xa8\0\0\x68\0\0\
\0\x92\0\0\0\x70\x01\0\0\x02\xac\0\0\xb8\x01\0\0\x03\0\0\0\0\0\0\0\x92\0\0\0\
\x7b\x01\0\0\x05\xbc\0\0\x08\0\0\0\x92\0\0\0\x94\x01\0\0\x09\xc4\0\0\x10\0\0\0\
\x92\0\0\0\x7b\x01\0\0\x05\xbc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xa1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x38\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x02\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x6d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x77\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x93\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\xa4\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x07\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_btf_decl_tag *test_btf_decl_tag::open(const struct bpf_object_open_opts *opts) { return test_btf_decl_tag__open_opts(opts); }
struct test_btf_decl_tag *test_btf_decl_tag::open_and_load() { return test_btf_decl_tag__open_and_load(); }
int test_btf_decl_tag::load(struct test_btf_decl_tag *skel) { return test_btf_decl_tag__load(skel); }
int test_btf_decl_tag::attach(struct test_btf_decl_tag *skel) { return test_btf_decl_tag__attach(skel); }
void test_btf_decl_tag::detach(struct test_btf_decl_tag *skel) { test_btf_decl_tag__detach(skel); }
void test_btf_decl_tag::destroy(struct test_btf_decl_tag *skel) { test_btf_decl_tag__destroy(skel); }
const void *test_btf_decl_tag::elf_bytes(size_t *sz) { return test_btf_decl_tag__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_btf_decl_tag__assert(struct test_btf_decl_tag *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->skip_tests) == 1, "unexpected size of 'skip_tests'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_BTF_DECL_TAG_SKEL_H__ */
