/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_KSYMS_WEAK_LSKEL_SKEL_H__
#define __TEST_KSYMS_WEAK_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct test_ksyms_weak_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc data;
	} maps;
	struct {
		struct bpf_prog_desc pass_handler;
	} progs;
	struct {
		int pass_handler_fd;
	} links;
	struct test_ksyms_weak_lskel__data {
		int out__existing_typed;
		char __pad0[4];
		__u64 out__existing_typeless;
		__u64 out__non_existent_typeless;
		__u64 out__non_existent_typed;
	} *data;
};

static inline int
test_ksyms_weak_lskel__pass_handler__attach(struct test_ksyms_weak_lskel *skel)
{
	int prog_fd = skel->progs.pass_handler.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.pass_handler_fd = fd;
	return fd;
}

static inline int
test_ksyms_weak_lskel__attach(struct test_ksyms_weak_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : test_ksyms_weak_lskel__pass_handler__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
test_ksyms_weak_lskel__detach(struct test_ksyms_weak_lskel *skel)
{
	skel_closenz(skel->links.pass_handler_fd);
}
static void
test_ksyms_weak_lskel__destroy(struct test_ksyms_weak_lskel *skel)
{
	if (!skel)
		return;
	test_ksyms_weak_lskel__detach(skel);
	skel_closenz(skel->progs.pass_handler.prog_fd);
	skel_free_map_data(skel->data, skel->maps.data.initial_value, 65536);
	skel_closenz(skel->maps.data.map_fd);
	skel_free(skel);
}
static inline struct test_ksyms_weak_lskel *
test_ksyms_weak_lskel__open(void)
{
	struct test_ksyms_weak_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->data = skel_prep_map_data((void *)"\
\xff\xff\xff\xff\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff", 65536, 32);
	if (!skel->data)
		goto cleanup;
	skel->maps.data.initial_value = (__u64) (long) skel->data;
	return skel;
cleanup:
	test_ksyms_weak_lskel__destroy(skel);
	return NULL;
}

static inline int
test_ksyms_weak_lskel__load(struct test_ksyms_weak_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 10432;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\xbc\x11\0\0\xbc\x11\0\0\x9c\x0e\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\
\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x16\0\0\0\x5b\0\0\x04\x80\x0f\0\0\x19\0\0\0\x07\0\0\0\0\0\0\0\x20\0\0\0\x16\0\
\0\0\x20\0\0\0\x2b\0\0\0\x16\0\0\0\x40\0\0\0\x3b\0\0\0\x16\0\0\0\x60\0\0\0\x50\
\0\0\0\x16\0\0\0\x80\0\0\0\x60\0\0\0\x17\0\0\0\xc0\0\0\0\x7e\0\0\0\x16\0\0\0\0\
\x01\0\0\x8f\0\0\0\x18\0\0\0\0\x02\0\0\x98\0\0\0\x16\0\0\0\0\x03\0\0\xaa\0\0\0\
\x0c\0\0\0\x20\x03\0\0\xb5\0\0\0\x16\0\0\0\x40\x03\0\0\xc2\0\0\0\x22\0\0\0\x80\
\x03\0\0\xce\0\0\0\x25\0\0\0\0\x04\0\0\xd2\0\0\0\x38\0\0\0\0\x18\0\0\xd5\0\0\0\
\x3f\0\0\0\x80\x4d\0\0\xd8\0\0\0\x32\0\0\0\0\x51\0\0\xe9\0\0\0\x33\0\0\0\x80\
\x51\0\0\xfa\0\0\0\x16\0\0\0\xc0\x51\0\0\x0d\x01\0\0\x41\0\0\0\0\x52\0\0\x12\
\x01\0\0\x41\0\0\0\x40\x52\0\0\x17\x01\0\0\x41\0\0\0\x80\x52\0\0\x1c\x01\0\0\
\x17\0\0\0\xc0\x52\0\0\x29\x01\0\0\x42\0\0\0\0\x53\0\0\x31\x01\0\0\x16\0\0\0\
\x40\x53\0\0\x44\x01\0\0\x22\0\0\0\x80\x53\0\0\x4a\x01\0\0\x22\0\0\0\0\x54\0\0\
\x55\x01\0\0\x22\0\0\0\x40\x54\0\0\x60\x01\0\0\x17\0\0\0\x80\x54\0\0\x6f\x01\0\
\0\x22\0\0\0\xc0\x54\0\0\x7f\x01\0\0\x22\0\0\0\0\x55\0\0\x8a\x01\0\0\x0c\0\0\0\
\x40\x55\0\0\x94\x01\0\0\x22\0\0\0\x80\x55\0\0\xae\x01\0\0\x04\0\0\0\xc0\x55\0\
\0\xc4\x01\0\0\x04\0\0\0\xe0\x55\0\0\xd5\x01\0\0\x43\0\0\0\0\x56\0\0\xd8\x01\0\
\0\x44\0\0\0\x40\x56\0\0\xdb\x01\0\0\x17\0\0\0\x80\x56\0\0\xe8\x01\0\0\x17\0\0\
\0\xc0\x56\0\0\xfa\x01\0\0\x45\0\0\0\0\x57\0\0\x0b\x02\0\0\x11\0\0\0\x40\x57\0\
\0\x1d\x02\0\0\x11\0\0\0\x48\x57\0\0\x2a\x02\0\0\x17\0\0\0\x80\x57\0\0\x3b\x02\
\0\0\x04\0\0\0\xc0\x57\0\0\x4a\x02\0\0\x04\0\0\0\xe0\x57\0\0\x53\x02\0\0\x46\0\
\0\0\0\x58\0\0\x67\x02\0\0\x04\0\0\0\x80\x59\0\0\x6b\x02\0\0\x04\0\0\0\xa0\x59\
\0\0\x72\x02\0\0\x32\0\0\0\xc0\x59\0\0\x7c\x02\0\0\x2d\0\0\0\0\x5c\0\0\x83\x02\
\0\0\x2d\0\0\0\0\x60\0\0\x8a\x02\0\0\x22\0\0\0\0\x64\0\0\x95\x02\0\0\x22\0\0\0\
\x40\x64\0\0\x9e\x02\0\0\x17\0\0\0\x80\x64\0\0\xa9\x02\0\0\x22\0\0\0\xc0\x64\0\
\0\xb7\x02\0\0\x22\0\0\0\0\x65\0\0\xcd\x02\0\0\x4b\0\0\0\x40\x65\0\0\xda\x02\0\
\0\x17\0\0\0\x80\x65\0\0\xeb\x02\0\0\x30\0\0\0\xc0\x65\0\0\xfc\x02\0\0\x18\0\0\
\0\0\x66\0\0\x07\x03\0\0\x4c\0\0\0\0\x67\0\0\x14\x03\0\0\x4f\0\0\0\x80\x69\0\0\
\x20\x03\0\0\x55\0\0\0\xc0\x69\0\0\x2e\x03\0\0\x24\0\0\0\xc0\x6a\0\0\x3a\x03\0\
\0\x16\0\0\0\0\x6b\0\0\x44\x03\0\0\x16\0\0\0\x20\x6b\0\0\x50\x03\0\0\x16\0\0\0\
\x40\x6b\0\0\x5d\x03\0\0\x16\0\0\0\x60\x6b\0\0\x68\x03\0\0\x16\0\0\0\x80\x6b\0\
\0\x73\x03\0\0\x56\0\0\0\xc0\x6b\0\0\x7e\x03\0\0\x16\0\0\0\0\x6c\0\0\x88\x03\0\
\0\x16\0\0\0\x20\x6c\0\0\x92\x03\0\0\x46\0\0\0\x40\x6c\0\0\x9c\x03\0\0\x31\0\0\
\0\xc0\x6d\0\0\xa1\x03\0\0\x41\0\0\0\0\x6e\0\0\xab\x03\0\0\x16\0\0\0\x40\x6e\0\
\0\xb8\x03\0\0\x16\0\0\0\x60\x6e\0\0\xc7\x03\0\0\x2a\0\0\0\x80\x6e\0\0\xd1\x03\
\0\0\x16\0\0\0\xc0\x6e\0\0\xdf\x03\0\0\x16\0\0\0\xe0\x6e\0\0\xed\x03\0\0\x17\0\
\0\0\0\x6f\0\0\xf9\x03\0\0\x16\0\0\0\x40\x6f\0\0\x0e\x04\0\0\x16\0\0\0\x60\x6f\
\0\0\x21\x04\0\0\x16\0\0\0\x80\x6f\0\0\x3b\x04\0\0\x22\0\0\0\xc0\x6f\0\0\x50\
\x04\0\0\x57\0\0\0\0\x70\0\0\x5d\x04\0\0\x18\0\0\0\0\x78\0\0\x66\x04\0\0\x32\0\
\0\0\0\x79\0\0\x74\x04\0\0\x17\0\0\0\x80\x79\0\0\x81\x04\0\0\x17\0\0\0\xc0\x79\
\0\0\x8e\x04\0\0\x17\0\0\0\0\x7a\0\0\x9b\x04\0\0\x17\0\0\0\x40\x7a\0\0\xa8\x04\
\0\0\0\0\0\x08\x08\0\0\0\xb7\x04\0\0\x01\0\0\x04\x04\0\0\0\xc4\x04\0\0\x09\0\0\
\0\0\0\0\0\xcd\x04\0\0\0\0\0\x08\x0a\0\0\0\xdd\x04\0\0\x01\0\0\x04\x04\0\0\0\0\
\0\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\x04\0\0\0\xe7\x04\0\0\x0c\0\0\0\0\
\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\xeb\x04\0\0\0\0\0\
\x08\x0d\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\xf4\x04\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\x04\x02\0\0\0\xfc\x04\0\0\x0f\0\0\0\0\0\0\0\x03\x05\0\0\x0f\0\0\0\
\x08\0\0\0\x0b\x05\0\0\0\0\0\x08\x10\0\0\0\x0e\x05\0\0\0\0\0\x08\x11\0\0\0\x13\
\x05\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\x21\x05\0\
\0\x13\0\0\0\0\0\0\0\x30\x05\0\0\x13\0\0\0\x10\0\0\0\x35\x05\0\0\0\0\0\x08\x14\
\0\0\0\x39\x05\0\0\0\0\0\x08\x15\0\0\0\x3f\x05\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\
\0\x4e\x05\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x5b\x05\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\x69\x05\0\0\0\0\0\x08\x19\0\0\0\x7c\x05\0\0\x03\0\0\x04\x20\0\0\0\
\x8f\x05\0\0\x1a\0\0\0\0\0\0\0\x94\x05\0\0\x1e\0\0\0\x80\0\0\0\x99\x05\0\0\x21\
\0\0\0\xc0\0\0\0\x9e\x05\0\0\x04\0\0\x04\x10\0\0\0\xb1\x05\0\0\x1b\0\0\0\0\0\0\
\0\0\0\0\0\x1d\0\0\0\x40\0\0\0\xb7\x05\0\0\x13\0\0\0\x60\0\0\0\xbb\x05\0\0\x13\
\0\0\0\x70\0\0\0\xbf\x05\0\0\x01\0\0\x04\x08\0\0\0\xca\x05\0\0\x1c\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\x1b\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\xcf\x05\0\0\x16\0\
\0\0\0\0\0\0\xd7\x05\0\0\x0c\0\0\0\0\0\0\0\xdf\x05\0\0\0\0\0\x08\x1f\0\0\0\0\0\
\0\0\0\0\0\x02\x20\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\0\xef\x05\0\0\0\0\0\x08\x23\0\0\0\xf3\x05\0\0\0\0\0\x08\x24\0\
\0\0\xf9\x05\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x0c\x06\0\0\x2a\0\0\x04\x80\x02\
\0\0\x13\x06\0\0\x26\0\0\0\0\0\0\0\x20\0\0\0\x16\0\0\0\x80\0\0\0\x18\x06\0\0\
\x16\0\0\0\xa0\0\0\0\x25\x06\0\0\x16\0\0\0\xc0\0\0\0\x35\x06\0\0\x16\0\0\0\xe0\
\0\0\0\x47\x06\0\0\x22\0\0\0\0\x01\0\0\x52\x06\0\0\x22\0\0\0\x40\x01\0\0\x5f\
\x06\0\0\x16\0\0\0\x80\x01\0\0\x6d\x06\0\0\x22\0\0\0\xc0\x01\0\0\x7d\x06\0\0\
\x29\0\0\0\0\x02\0\0\x0d\x01\0\0\x2c\0\0\0\x80\x02\0\0\xca\x05\0\0\x2c\0\0\0\
\xc0\x02\0\0\x8c\x06\0\0\x2c\0\0\0\0\x03\0\0\x91\x06\0\0\x2c\0\0\0\x40\x03\0\0\
\x96\x06\0\0\x16\0\0\0\x80\x03\0\0\xa5\x06\0\0\x2d\0\0\0\0\x04\0\0\xa9\x06\0\0\
\x2f\0\0\0\0\x08\0\0\xb1\x06\0\0\x17\0\0\0\0\x0c\0\0\xc5\x06\0\0\x30\0\0\0\x40\
\x0c\0\0\xcf\x06\0\0\x30\0\0\0\x80\x0c\0\0\xe1\x06\0\0\x17\0\0\0\xc0\x0c\0\0\
\xe8\x06\0\0\x22\0\0\0\0\x0d\0\0\xfb\x06\0\0\x2c\0\0\0\x40\x0d\0\0\x16\0\0\0\
\x31\0\0\0\x80\x0d\0\0\x07\x07\0\0\x04\0\0\0\xc0\x0d\0\0\xd8\0\0\0\x32\0\0\0\0\
\x0e\0\0\x0f\x07\0\0\x34\0\0\0\x80\x0e\0\0\x12\x01\0\0\x04\0\0\0\xc0\x0e\0\0\
\x12\x07\0\0\x04\0\0\0\xe0\x0e\0\0\x22\x07\0\0\x35\0\0\0\0\x0f\0\0\x34\x07\0\0\
\x22\0\0\0\x40\x0f\0\0\x48\x07\0\0\x22\0\0\0\x80\x0f\0\0\x58\x07\0\0\x22\0\0\0\
\xc0\x0f\0\0\x6d\x07\0\0\x22\0\0\0\0\x10\0\0\x87\x07\0\0\x04\0\0\0\x40\x10\0\0\
\x91\x07\0\0\x04\0\0\0\x60\x10\0\0\xa0\x07\0\0\x32\0\0\0\x80\x10\0\0\xaf\x07\0\
\0\x32\0\0\0\0\x11\0\0\x74\x04\0\0\x17\0\0\0\x80\x11\0\0\x81\x04\0\0\x17\0\0\0\
\xc0\x11\0\0\x8e\x04\0\0\x17\0\0\0\0\x12\0\0\x9b\x04\0\0\x17\0\0\0\x40\x12\0\0\
\xc2\x07\0\0\x02\0\0\x04\x10\0\0\0\xce\x07\0\0\x17\0\0\0\0\0\0\0\xd5\x07\0\0\
\x27\0\0\0\x40\0\0\0\xe0\x07\0\0\0\0\0\x08\x28\0\0\0\xe4\x07\0\0\0\0\0\x08\x16\
\0\0\0\xea\x07\0\0\x02\0\0\x04\x10\0\0\0\xf9\x07\0\0\x2a\0\0\0\0\0\0\0\x01\x08\
\0\0\x2b\0\0\0\x40\0\0\0\xf9\x07\0\0\x01\0\0\x04\x08\0\0\0\x0d\x08\0\0\x2b\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\x4e\0\0\0\0\0\0\0\0\0\0\x02\x68\0\0\0\x15\x08\0\0\
\x0b\0\0\x04\x80\0\0\0\x1f\x08\0\0\x22\0\0\0\0\0\0\0\x30\x08\0\0\x22\0\0\0\x40\
\0\0\0\x39\x08\0\0\x22\0\0\0\x80\0\0\0\x46\x08\0\0\x27\0\0\0\xc0\0\0\0\x4f\x08\
\0\0\x27\0\0\0\xe0\0\0\0\x5e\x08\0\0\x17\0\0\0\0\x01\0\0\x67\x08\0\0\x17\0\0\0\
\x40\x01\0\0\x74\x08\0\0\x17\0\0\0\x80\x01\0\0\x7d\x08\0\0\x2e\0\0\0\xc0\x01\0\
\0\x74\x04\0\0\x17\0\0\0\0\x02\0\0\x81\x04\0\0\x17\0\0\0\x40\x02\0\0\x7d\x08\0\
\0\x02\0\0\x04\x08\0\0\0\x86\x08\0\0\x16\0\0\0\0\0\0\0\x8f\x08\0\0\x16\0\0\0\
\x20\0\0\0\0\0\0\0\x05\0\0\x04\x80\0\0\0\x94\x08\0\0\x07\0\0\0\0\0\0\0\x99\x08\
\0\0\x04\0\0\0\x20\0\0\0\x5e\x08\0\0\x17\0\0\0\x40\0\0\0\x74\x08\0\0\x17\0\0\0\
\x80\0\0\0\x67\x08\0\0\x17\0\0\0\xc0\0\0\0\x9c\x08\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\x01\0\0\0\0\0\0\0\x02\x06\0\0\0\xa1\x08\0\0\x02\0\0\x04\x10\0\0\0\xca\x05\
\0\0\x33\0\0\0\0\0\0\0\xab\x08\0\0\x33\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x32\0\
\0\0\0\0\0\0\0\0\0\x02\x69\0\0\0\xb0\x08\0\0\0\0\0\x08\x36\0\0\0\xb4\x08\0\0\0\
\0\0\x08\x37\0\0\0\xba\x08\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xc4\x08\0\0\x0f\
\0\0\x04\xb0\x06\0\0\xca\x08\0\0\x39\0\0\0\0\0\0\0\xd1\x08\0\0\x16\0\0\0\x80\
\x32\0\0\xdf\x08\0\0\x16\0\0\0\xa0\x32\0\0\xed\x08\0\0\x3d\0\0\0\xc0\x32\0\0\
\xfa\x08\0\0\x16\0\0\0\0\x33\0\0\x0a\x09\0\0\x16\0\0\0\x20\x33\0\0\x16\x09\0\0\
\x04\0\0\0\x40\x33\0\0\x21\x09\0\0\x3e\0\0\0\x80\x33\0\0\x30\x09\0\0\x04\0\0\0\
\0\x34\0\0\x3a\x09\0\0\x04\0\0\0\x20\x34\0\0\x47\x09\0\0\x22\0\0\0\x40\x34\0\0\
\x4f\x09\0\0\x22\0\0\0\x80\x34\0\0\x5a\x09\0\0\x07\0\0\0\xc0\x34\0\0\x74\x04\0\
\0\x17\0\0\0\0\x35\0\0\x81\x04\0\0\x17\0\0\0\x40\x35\0\0\x6a\x09\0\0\x02\0\0\
\x04\x50\x06\0\0\x78\x09\0\0\x3a\0\0\0\0\0\0\0\x7f\x09\0\0\x3c\0\0\0\x80\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x17\0\0\0\x3b\0\0\0\x02\0\0\0\x85\x09\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x32\0\0\0\x3b\0\0\0\x64\0\0\0\0\
\0\0\0\x02\0\0\x04\x08\0\0\0\x0d\x01\0\0\x04\0\0\0\0\0\0\0\xca\x05\0\0\x04\0\0\
\0\x20\0\0\0\x99\x09\0\0\x01\0\0\x04\x10\0\0\0\xa4\x09\0\0\x32\0\0\0\0\0\0\0\
\xae\x09\0\0\x0c\0\0\x04\x70\0\0\0\xb4\x09\0\0\x29\0\0\0\0\0\0\0\xb9\x09\0\0\
\x16\0\0\0\x80\0\0\0\xc7\x09\0\0\x40\0\0\0\xc0\0\0\0\xd3\x09\0\0\x16\0\0\0\x40\
\x01\0\0\x16\x09\0\0\x04\0\0\0\x60\x01\0\0\xe3\x09\0\0\x29\0\0\0\x80\x01\0\0\
\xfa\x09\0\0\x22\0\0\0\0\x02\0\0\x05\x0a\0\0\x22\0\0\0\x40\x02\0\0\x0d\x0a\0\0\
\x22\0\0\0\x80\x02\0\0\x16\x0a\0\0\x22\0\0\0\xc0\x02\0\0\x74\x04\0\0\x17\0\0\0\
\0\x03\0\0\x81\x04\0\0\x17\0\0\0\x40\x03\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x0d\
\x01\0\0\x22\0\0\0\0\0\0\0\xca\x05\0\0\x22\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\
\x6a\0\0\0\0\0\0\0\0\0\0\x02\x6c\0\0\0\0\0\0\0\0\0\0\x02\x6e\0\0\0\0\0\0\0\0\0\
\0\x02\x6f\0\0\0\0\0\0\0\0\0\0\x02\x70\0\0\0\x1f\x0a\0\0\x05\0\0\x04\x30\0\0\0\
\x2d\x0a\0\0\x32\0\0\0\0\0\0\0\x32\x0a\0\0\x47\0\0\0\x80\0\0\0\x35\x0a\0\0\x17\
\0\0\0\xc0\0\0\0\x3c\x0a\0\0\x21\0\0\0\0\x01\0\0\x40\x0a\0\0\x4a\0\0\0\x40\x01\
\0\0\x45\x0a\0\0\0\0\0\x08\x48\0\0\0\0\0\0\0\0\0\0\x02\x49\0\0\0\0\0\0\0\x01\0\
\0\x0d\x04\0\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\0\0\0\x02\x71\0\0\0\x53\x0a\0\0\x01\
\0\0\x04\x08\0\0\0\x5b\x0a\0\0\x41\0\0\0\0\0\0\0\x60\x0a\0\0\x0a\0\0\x04\x50\0\
\0\0\x8f\x05\0\0\x4d\0\0\0\0\0\0\0\x68\x0a\0\0\x4f\0\0\0\0\x01\0\0\x75\x0a\0\0\
\x50\0\0\0\x40\x01\0\0\x7e\x0a\0\0\x54\0\0\0\x80\x01\0\0\x83\x0a\0\0\x0f\0\0\0\
\xc0\x01\0\0\x89\x0a\0\0\x0f\0\0\0\xc8\x01\0\0\x90\x0a\0\0\x0f\0\0\0\xd0\x01\0\
\0\x98\x0a\0\0\x0f\0\0\0\xd8\x01\0\0\x74\x04\0\0\x17\0\0\0\0\x02\0\0\x81\x04\0\
\0\x17\0\0\0\x40\x02\0\0\xa0\x0a\0\0\x02\0\0\x04\x20\0\0\0\x8f\x05\0\0\x4e\0\0\
\0\0\0\0\0\xb0\x0a\0\0\x4f\0\0\0\xc0\0\0\0\x0d\x08\0\0\x03\0\0\x04\x18\0\0\0\
\xb8\x0a\0\0\x17\0\0\0\0\0\0\0\xca\x0a\0\0\x2b\0\0\0\x40\0\0\0\xd3\x0a\0\0\x2b\
\0\0\0\x80\0\0\0\xdb\x0a\0\0\0\0\0\x08\x35\0\0\0\0\0\0\0\0\0\0\x02\x51\0\0\0\0\
\0\0\0\x01\0\0\x0d\x52\0\0\0\0\0\0\0\x53\0\0\0\xe3\x0a\0\0\x02\0\0\x06\x04\0\0\
\0\xf3\x0a\0\0\0\0\0\0\x05\x0b\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x4c\0\0\0\0\0\0\
\0\0\0\0\x02\x6b\0\0\0\x15\x0b\0\0\x04\0\0\x04\x20\0\0\0\x20\x0b\0\0\x17\0\0\0\
\0\0\0\0\x27\x0b\0\0\x24\0\0\0\x40\0\0\0\x31\x0b\0\0\x24\0\0\0\x80\0\0\0\x3e\
\x0b\0\0\x24\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x6d\0\0\0\x4a\x0b\0\0\0\0\0\x08\
\x5a\0\0\0\x58\x0b\0\0\x01\0\0\x04\0\x01\0\0\x60\x0b\0\0\x59\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x17\0\0\0\x3b\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x58\0\0\0\x3b\0\0\0\x01\0\0\0\x65\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x79\
\x0b\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\x90\x0b\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\
\0\xab\x0b\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x06\0\0\0\xc3\
\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xcd\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\
\0\xdd\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x04\0\0\0\xec\
\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xfb\x0b\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x65\0\0\0\x3b\0\0\0\x04\0\0\0\0\x0c\0\0\0\0\0\
\x0e\x66\0\0\0\x01\0\0\0\x09\x0c\0\0\0\0\0\x07\0\0\0\0\x16\x0c\0\0\0\0\0\x07\0\
\0\0\0\x21\x0c\0\0\0\0\0\x07\0\0\0\0\x2d\x0c\0\0\0\0\0\x07\0\0\0\0\x40\x0c\0\0\
\0\0\0\x07\0\0\0\0\x4a\x0c\0\0\0\0\0\x07\0\0\0\0\x58\x0c\0\0\0\0\0\x07\0\0\0\0\
\x64\x0c\0\0\0\0\0\x07\0\0\0\0\xfa\x01\0\0\0\0\0\x07\0\0\0\0\x71\x0c\0\0\0\0\0\
\x07\0\0\0\0\x76\x0e\0\0\x04\0\0\x0f\x20\0\0\0\x5b\0\0\0\0\0\0\0\x04\0\0\0\x5c\
\0\0\0\x08\0\0\0\x08\0\0\0\x5d\0\0\0\x10\0\0\0\x08\0\0\0\x5e\0\0\0\x18\0\0\0\
\x08\0\0\0\x7c\x0e\0\0\x01\0\0\x0f\x04\0\0\0\x67\0\0\0\0\0\0\0\x04\0\0\0\x84\
\x0e\0\0\x04\0\0\x0f\x10\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x61\0\0\0\x04\0\0\0\
\x04\0\0\0\x62\0\0\0\x08\0\0\0\x04\0\0\0\x64\0\0\0\x0c\0\0\0\x04\0\0\0\0\x63\
\x74\x78\0\x69\x6e\x74\0\x70\x61\x73\x73\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x72\
\x71\0\x5f\x5f\x6c\x6f\x63\x6b\0\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x6e\
\x72\x5f\x6e\x75\x6d\x61\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x6e\x72\x5f\x70\x72\
\x65\x66\x65\x72\x72\x65\x64\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x6e\x75\x6d\x61\
\x5f\x6d\x69\x67\x72\x61\x74\x65\x5f\x6f\x6e\0\x6c\x61\x73\x74\x5f\x62\x6c\x6f\
\x63\x6b\x65\x64\x5f\x6c\x6f\x61\x64\x5f\x75\x70\x64\x61\x74\x65\x5f\x74\x69\
\x63\x6b\0\x68\x61\x73\x5f\x62\x6c\x6f\x63\x6b\x65\x64\x5f\x6c\x6f\x61\x64\0\
\x6e\x6f\x68\x7a\x5f\x63\x73\x64\0\x6e\x6f\x68\x7a\x5f\x74\x69\x63\x6b\x5f\x73\
\x74\x6f\x70\x70\x65\x64\0\x6e\x6f\x68\x7a\x5f\x66\x6c\x61\x67\x73\0\x74\x74\
\x77\x75\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\x6e\x72\x5f\x73\x77\x69\x74\x63\x68\
\x65\x73\0\x63\x66\x73\0\x72\x74\0\x64\x6c\0\x6c\x65\x61\x66\x5f\x63\x66\x73\
\x5f\x72\x71\x5f\x6c\x69\x73\x74\0\x74\x6d\x70\x5f\x61\x6c\x6f\x6e\x65\x5f\x62\
\x72\x61\x6e\x63\x68\0\x6e\x72\x5f\x75\x6e\x69\x6e\x74\x65\x72\x72\x75\x70\x74\
\x69\x62\x6c\x65\0\x63\x75\x72\x72\0\x69\x64\x6c\x65\0\x73\x74\x6f\x70\0\x6e\
\x65\x78\x74\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x70\x72\x65\x76\x5f\x6d\x6d\0\
\x63\x6c\x6f\x63\x6b\x5f\x75\x70\x64\x61\x74\x65\x5f\x66\x6c\x61\x67\x73\0\x63\
\x6c\x6f\x63\x6b\0\x63\x6c\x6f\x63\x6b\x5f\x74\x61\x73\x6b\0\x63\x6c\x6f\x63\
\x6b\x5f\x70\x65\x6c\x74\0\x6c\x6f\x73\x74\x5f\x69\x64\x6c\x65\x5f\x74\x69\x6d\
\x65\0\x63\x6c\x6f\x63\x6b\x5f\x70\x65\x6c\x74\x5f\x69\x64\x6c\x65\0\x63\x6c\
\x6f\x63\x6b\x5f\x69\x64\x6c\x65\0\x6e\x72\x5f\x69\x6f\x77\x61\x69\x74\0\x6c\
\x61\x73\x74\x5f\x73\x65\x65\x6e\x5f\x6e\x65\x65\x64\x5f\x72\x65\x73\x63\x68\
\x65\x64\x5f\x6e\x73\0\x74\x69\x63\x6b\x73\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\
\x72\x65\x73\x63\x68\x65\x64\0\x6d\x65\x6d\x62\x61\x72\x72\x69\x65\x72\x5f\x73\
\x74\x61\x74\x65\0\x72\x64\0\x73\x64\0\x63\x70\x75\x5f\x63\x61\x70\x61\x63\x69\
\x74\x79\0\x63\x70\x75\x5f\x63\x61\x70\x61\x63\x69\x74\x79\x5f\x6f\x72\x69\x67\
\0\x62\x61\x6c\x61\x6e\x63\x65\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x6e\x6f\
\x68\x7a\x5f\x69\x64\x6c\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x69\x64\x6c\x65\
\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x6d\x69\x73\x66\x69\x74\x5f\x74\x61\x73\x6b\
\x5f\x6c\x6f\x61\x64\0\x61\x63\x74\x69\x76\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\
\0\x70\x75\x73\x68\x5f\x63\x70\x75\0\x61\x63\x74\x69\x76\x65\x5f\x62\x61\x6c\
\x61\x6e\x63\x65\x5f\x77\x6f\x72\x6b\0\x63\x70\x75\0\x6f\x6e\x6c\x69\x6e\x65\0\
\x63\x66\x73\x5f\x74\x61\x73\x6b\x73\0\x61\x76\x67\x5f\x72\x74\0\x61\x76\x67\
\x5f\x64\x6c\0\x69\x64\x6c\x65\x5f\x73\x74\x61\x6d\x70\0\x61\x76\x67\x5f\x69\
\x64\x6c\x65\0\x77\x61\x6b\x65\x5f\x73\x74\x61\x6d\x70\0\x77\x61\x6b\x65\x5f\
\x61\x76\x67\x5f\x69\x64\x6c\x65\0\x6d\x61\x78\x5f\x69\x64\x6c\x65\x5f\x62\x61\
\x6c\x61\x6e\x63\x65\x5f\x63\x6f\x73\x74\0\x68\x6f\x74\x70\x6c\x75\x67\x5f\x77\
\x61\x69\x74\0\x63\x61\x6c\x63\x5f\x6c\x6f\x61\x64\x5f\x75\x70\x64\x61\x74\x65\
\0\x63\x61\x6c\x63\x5f\x6c\x6f\x61\x64\x5f\x61\x63\x74\x69\x76\x65\0\x68\x72\
\x74\x69\x63\x6b\x5f\x63\x73\x64\0\x68\x72\x74\x69\x63\x6b\x5f\x74\x69\x6d\x65\
\x72\0\x68\x72\x74\x69\x63\x6b\x5f\x74\x69\x6d\x65\0\x72\x71\x5f\x73\x63\x68\
\x65\x64\x5f\x69\x6e\x66\x6f\0\x72\x71\x5f\x63\x70\x75\x5f\x74\x69\x6d\x65\0\
\x79\x6c\x64\x5f\x63\x6f\x75\x6e\x74\0\x73\x63\x68\x65\x64\x5f\x63\x6f\x75\x6e\
\x74\0\x73\x63\x68\x65\x64\x5f\x67\x6f\x69\x64\x6c\x65\0\x74\x74\x77\x75\x5f\
\x63\x6f\x75\x6e\x74\0\x74\x74\x77\x75\x5f\x6c\x6f\x63\x61\x6c\0\x69\x64\x6c\
\x65\x5f\x73\x74\x61\x74\x65\0\x6e\x72\x5f\x70\x69\x6e\x6e\x65\x64\0\x70\x75\
\x73\x68\x5f\x62\x75\x73\x79\0\x70\x75\x73\x68\x5f\x77\x6f\x72\x6b\0\x63\x6f\
\x72\x65\0\x63\x6f\x72\x65\x5f\x70\x69\x63\x6b\0\x63\x6f\x72\x65\x5f\x65\x6e\
\x61\x62\x6c\x65\x64\0\x63\x6f\x72\x65\x5f\x73\x63\x68\x65\x64\x5f\x73\x65\x71\
\0\x63\x6f\x72\x65\x5f\x74\x72\x65\x65\0\x63\x6f\x72\x65\x5f\x74\x61\x73\x6b\
\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x70\x69\x63\x6b\x5f\x73\x65\x71\0\x63\
\x6f\x72\x65\x5f\x63\x6f\x6f\x6b\x69\x65\0\x63\x6f\x72\x65\x5f\x66\x6f\x72\x63\
\x65\x69\x64\x6c\x65\x5f\x63\x6f\x75\x6e\x74\0\x63\x6f\x72\x65\x5f\x66\x6f\x72\
\x63\x65\x69\x64\x6c\x65\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x66\x6f\x72\x63\
\x65\x69\x64\x6c\x65\x5f\x6f\x63\x63\x75\x70\x61\x74\x69\x6f\x6e\0\x63\x6f\x72\
\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x73\x74\x61\x72\x74\0\x73\x63\
\x72\x61\x74\x63\x68\x5f\x6d\x61\x73\x6b\0\x63\x66\x73\x62\x5f\x63\x73\x64\0\
\x63\x66\x73\x62\x5f\x63\x73\x64\x5f\x6c\x69\x73\x74\0\x72\x68\x5f\x72\x65\x73\
\x65\x72\x76\x65\x64\x31\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x32\0\
\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x33\0\x72\x68\x5f\x72\x65\x73\x65\
\x72\x76\x65\x64\x34\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\
\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\
\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x71\
\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\
\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x6c\x6f\x63\x6b\x65\x64\0\x70\x65\x6e\x64\
\x69\x6e\x67\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x63\x68\x61\x72\0\x6c\x6f\x63\x6b\x65\x64\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\
\x74\x61\x69\x6c\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x63\x61\x6c\x6c\
\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x64\x61\x74\x61\x5f\x74\0\x5f\x5f\x63\x61\x6c\
\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x64\x61\x74\x61\0\x6e\x6f\x64\x65\0\x66\
\x75\x6e\x63\0\x69\x6e\x66\x6f\0\x5f\x5f\x63\x61\x6c\x6c\x5f\x73\x69\x6e\x67\
\x6c\x65\x5f\x6e\x6f\x64\x65\0\x6c\x6c\x69\x73\x74\0\x73\x72\x63\0\x64\x73\x74\
\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x6e\x65\x78\x74\0\x75\x5f\x66\x6c\
\x61\x67\x73\0\x61\x5f\x66\x6c\x61\x67\x73\0\x73\x6d\x70\x5f\x63\x61\x6c\x6c\
\x5f\x66\x75\x6e\x63\x5f\x74\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x66\x73\x5f\
\x72\x71\0\x6c\x6f\x61\x64\0\x68\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\
\x69\x64\x6c\x65\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x69\x64\x6c\x65\
\x5f\x68\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x65\x78\x65\x63\x5f\x63\
\x6c\x6f\x63\x6b\0\x6d\x69\x6e\x5f\x76\x72\x75\x6e\x74\x69\x6d\x65\0\x66\x6f\
\x72\x63\x65\x69\x64\x6c\x65\x5f\x73\x65\x71\0\x6d\x69\x6e\x5f\x76\x72\x75\x6e\
\x74\x69\x6d\x65\x5f\x66\x69\0\x74\x61\x73\x6b\x73\x5f\x74\x69\x6d\x65\x6c\x69\
\x6e\x65\0\x6c\x61\x73\x74\0\x73\x6b\x69\x70\0\x6e\x72\x5f\x73\x70\x72\x65\x61\
\x64\x5f\x6f\x76\x65\x72\0\x61\x76\x67\0\x72\x65\x6d\x6f\x76\x65\x64\0\x74\x67\
\x5f\x6c\x6f\x61\x64\x5f\x61\x76\x67\x5f\x63\x6f\x6e\x74\x72\x69\x62\0\x70\x72\
\x6f\x70\x61\x67\x61\x74\x65\0\x70\x72\x6f\x70\x5f\x72\x75\x6e\x6e\x61\x62\x6c\
\x65\x5f\x73\x75\x6d\0\x68\x5f\x6c\x6f\x61\x64\0\x6c\x61\x73\x74\x5f\x68\x5f\
\x6c\x6f\x61\x64\x5f\x75\x70\x64\x61\x74\x65\0\x68\x5f\x6c\x6f\x61\x64\x5f\x6e\
\x65\x78\x74\0\x6f\x6e\x5f\x6c\x69\x73\x74\0\x74\x67\0\x72\x75\x6e\x74\x69\x6d\
\x65\x5f\x65\x6e\x61\x62\x6c\x65\x64\0\x72\x75\x6e\x74\x69\x6d\x65\x5f\x72\x65\
\x6d\x61\x69\x6e\x69\x6e\x67\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x70\x65\
\x6c\x74\x5f\x69\x64\x6c\x65\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x63\x6c\
\x6f\x63\x6b\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x63\x6c\x6f\x63\x6b\x5f\
\x70\x65\x6c\x74\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x63\x6c\x6f\x63\x6b\
\x5f\x70\x65\x6c\x74\x5f\x74\x69\x6d\x65\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\
\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x5f\x63\x6f\x75\x6e\x74\0\x74\x68\x72\x6f\
\x74\x74\x6c\x65\x64\x5f\x6c\x69\x73\x74\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\
\x5f\x63\x73\x64\x5f\x6c\x69\x73\x74\0\x6c\x6f\x61\x64\x5f\x77\x65\x69\x67\x68\
\x74\0\x77\x65\x69\x67\x68\x74\0\x69\x6e\x76\x5f\x77\x65\x69\x67\x68\x74\0\x75\
\x33\x32\0\x5f\x5f\x75\x33\x32\0\x72\x62\x5f\x72\x6f\x6f\x74\x5f\x63\x61\x63\
\x68\x65\x64\0\x72\x62\x5f\x72\x6f\x6f\x74\0\x72\x62\x5f\x6c\x65\x66\x74\x6d\
\x6f\x73\x74\0\x72\x62\x5f\x6e\x6f\x64\x65\0\x73\x63\x68\x65\x64\x5f\x61\x76\
\x67\0\x6c\x61\x73\x74\x5f\x75\x70\x64\x61\x74\x65\x5f\x74\x69\x6d\x65\0\x6c\
\x6f\x61\x64\x5f\x73\x75\x6d\0\x72\x75\x6e\x6e\x61\x62\x6c\x65\x5f\x73\x75\x6d\
\0\x75\x74\x69\x6c\x5f\x73\x75\x6d\0\x70\x65\x72\x69\x6f\x64\x5f\x63\x6f\x6e\
\x74\x72\x69\x62\0\x6c\x6f\x61\x64\x5f\x61\x76\x67\0\x72\x75\x6e\x6e\x61\x62\
\x6c\x65\x5f\x61\x76\x67\0\x75\x74\x69\x6c\x5f\x61\x76\x67\0\x75\x74\x69\x6c\
\x5f\x65\x73\x74\0\x65\x6e\x71\x75\x65\x75\x65\x64\0\x65\x77\x6d\x61\0\x6c\x6f\
\x63\x6b\0\x6e\x72\0\x6c\x6f\x6e\x67\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\
\x70\x72\x65\x76\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x72\x74\x5f\x72\x71\0\x61\x63\x74\x69\x76\x65\0\x72\x74\x5f\x6e\
\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x72\x72\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\
\x69\x6e\x67\0\x68\x69\x67\x68\x65\x73\x74\x5f\x70\x72\x69\x6f\0\x72\x74\x5f\
\x6e\x72\x5f\x6d\x69\x67\x72\x61\x74\x6f\x72\x79\0\x72\x74\x5f\x6e\x72\x5f\x74\
\x6f\x74\x61\x6c\0\x6f\x76\x65\x72\x6c\x6f\x61\x64\x65\x64\0\x70\x75\x73\x68\
\x61\x62\x6c\x65\x5f\x74\x61\x73\x6b\x73\0\x72\x74\x5f\x71\x75\x65\x75\x65\x64\
\0\x72\x74\x5f\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\0\x72\x74\x5f\x74\x69\x6d\
\x65\0\x72\x74\x5f\x72\x75\x6e\x74\x69\x6d\x65\0\x72\x74\x5f\x72\x75\x6e\x74\
\x69\x6d\x65\x5f\x6c\x6f\x63\x6b\0\x72\x74\x5f\x70\x72\x69\x6f\x5f\x61\x72\x72\
\x61\x79\0\x62\x69\x74\x6d\x61\x70\0\x71\x75\x65\x75\x65\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x70\x6c\x69\x73\x74\
\x5f\x68\x65\x61\x64\0\x6e\x6f\x64\x65\x5f\x6c\x69\x73\x74\0\x64\x6c\x5f\x72\
\x71\0\x72\x6f\x6f\x74\0\x64\x6c\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\
\x65\x61\x72\x6c\x69\x65\x73\x74\x5f\x64\x6c\0\x64\x6c\x5f\x6e\x72\x5f\x6d\x69\
\x67\x72\x61\x74\x6f\x72\x79\0\x70\x75\x73\x68\x61\x62\x6c\x65\x5f\x64\x6c\x5f\
\x74\x61\x73\x6b\x73\x5f\x72\x6f\x6f\x74\0\x72\x75\x6e\x6e\x69\x6e\x67\x5f\x62\
\x77\0\x74\x68\x69\x73\x5f\x62\x77\0\x65\x78\x74\x72\x61\x5f\x62\x77\0\x62\x77\
\x5f\x72\x61\x74\x69\x6f\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x77\x6f\x72\x6b\
\0\x6c\x69\x73\x74\0\x66\x6e\0\x63\x61\x6c\x6c\x65\x72\0\x61\x72\x67\0\x64\x6f\
\x6e\x65\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x66\x6e\x5f\x74\0\x72\x63\x75\
\x77\x61\x69\x74\0\x74\x61\x73\x6b\0\x68\x72\x74\x69\x6d\x65\x72\0\x5f\x73\x6f\
\x66\x74\x65\x78\x70\x69\x72\x65\x73\0\x66\x75\x6e\x63\x74\x69\x6f\x6e\0\x62\
\x61\x73\x65\0\x73\x74\x61\x74\x65\0\x69\x73\x5f\x72\x65\x6c\0\x69\x73\x5f\x73\
\x6f\x66\x74\0\x69\x73\x5f\x68\x61\x72\x64\0\x74\x69\x6d\x65\x72\x71\x75\x65\
\x75\x65\x5f\x6e\x6f\x64\x65\0\x65\x78\x70\x69\x72\x65\x73\0\x5f\x5f\x72\x62\
\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\x6f\x72\0\x72\x62\x5f\x72\x69\x67\
\x68\x74\0\x72\x62\x5f\x6c\x65\x66\x74\0\x6b\x74\x69\x6d\x65\x5f\x74\0\x68\x72\
\x74\x69\x6d\x65\x72\x5f\x72\x65\x73\x74\x61\x72\x74\0\x48\x52\x54\x49\x4d\x45\
\x52\x5f\x4e\x4f\x52\x45\x53\x54\x41\x52\x54\0\x48\x52\x54\x49\x4d\x45\x52\x5f\
\x52\x45\x53\x54\x41\x52\x54\0\x73\x63\x68\x65\x64\x5f\x69\x6e\x66\x6f\0\x70\
\x63\x6f\x75\x6e\x74\0\x72\x75\x6e\x5f\x64\x65\x6c\x61\x79\0\x6c\x61\x73\x74\
\x5f\x61\x72\x72\x69\x76\x61\x6c\0\x6c\x61\x73\x74\x5f\x71\x75\x65\x75\x65\x64\
\0\x63\x70\x75\x6d\x61\x73\x6b\x5f\x76\x61\x72\x5f\x74\0\x63\x70\x75\x6d\x61\
\x73\x6b\0\x62\x69\x74\x73\0\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\
\x67\x5f\x74\x79\x70\x65\x64\0\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\
\x67\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\0\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\
\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\0\x6f\x75\
\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\
\x65\x64\0\x72\x75\x6e\x71\x75\x65\x75\x65\x73\0\x62\x70\x66\x5f\x70\x72\x6f\
\x67\x5f\x61\x63\x74\x69\x76\x65\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\
\x70\x73\x31\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x63\x68\x65\x64\x5f\x65\
\x6e\x74\x69\x74\x79\0\x74\x61\x73\x6b\x5f\x67\x72\x6f\x75\x70\0\x74\x61\x73\
\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x68\x72\x74\x69\x6d\x65\x72\x5f\x63\x6c\x6f\
\x63\x6b\x5f\x62\x61\x73\x65\0\x6d\x6d\x5f\x73\x74\x72\x75\x63\x74\0\x63\x70\
\x75\x69\x64\x6c\x65\x5f\x73\x74\x61\x74\x65\0\x72\x6f\x6f\x74\x5f\x64\x6f\x6d\
\x61\x69\x6e\0\x73\x63\x68\x65\x64\x5f\x64\x6f\x6d\x61\x69\x6e\0\x63\x70\x75\
\x5f\x73\x74\x6f\x70\x5f\x64\x6f\x6e\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\
\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x6b\x73\x79\x6d\x73\x5f\x77\x65\x61\x6b\x2e\
\x63\0\x09\x72\x71\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x72\x71\x20\x2a\
\x29\x62\x70\x66\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x72\
\x75\x6e\x71\x75\x65\x75\x65\x73\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x72\
\x71\x29\0\x09\x09\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\
\x79\x70\x65\x64\x20\x3d\x20\x72\x71\x2d\x3e\x63\x70\x75\x3b\0\x09\x6f\x75\x74\
\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\
\x6c\x65\x73\x73\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x26\x62\x70\x66\x5f\
\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\x3b\0\x09\x6f\x75\x74\x5f\x5f\x65\x78\
\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\x20\x3d\x20\x28\
\x5f\x5f\x75\x36\x34\x29\x26\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\
\x69\x76\x65\x3b\0\x09\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\
\x65\x6e\x74\x5f\x74\x79\x70\x65\x64\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\
\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\x3b\0\x09\x69\x66\
\x20\x28\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\x29\x20\
\x2f\x2a\x20\x63\x61\x6e\x27\x74\x20\x68\x61\x70\x70\x65\x6e\x20\x2a\x2f\0\x09\
\x09\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\
\x74\x79\x70\x65\x64\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x62\x70\x66\x5f\
\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x62\x70\x66\x5f\x6c\x69\
\x6e\x6b\x5f\x66\x6f\x70\x73\x32\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x30\x3b\0\x30\x3a\x34\x35\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x20\0\0\0\x01\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\x74\x65\x73\x74\x5f\x6b\x73\x79\x2e\x64\x61\x74\x61\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\0\0\0\0\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x18\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\
\0\0\0\0\0\x85\0\0\0\x99\0\0\0\x15\0\x04\0\0\0\0\0\x61\x01\x30\x0b\0\0\0\0\x18\
\x62\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\
\0\x10\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\
\0\0\0\x18\x66\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x18\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x16\0\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\0\0\0\x99\
\0\0\0\x7b\x06\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\
\0\0\0\0\0\x7f\x0c\0\0\xfc\x0c\0\0\x14\x9c\0\0\x04\0\0\0\x7f\x0c\0\0\x2f\x0d\0\
\0\x06\xa0\0\0\x05\0\0\0\x7f\x0c\0\0\x38\x0d\0\0\x1d\xa4\0\0\x06\0\0\0\x7f\x0c\
\0\0\x38\x0d\0\0\x17\xa4\0\0\x09\0\0\0\x7f\x0c\0\0\x59\x0d\0\0\x1d\xb4\0\0\x0e\
\0\0\0\x7f\x0c\0\0\x8f\x0d\0\0\x19\xa8\0\0\x13\0\0\0\x7f\x0c\0\0\xc2\x0d\0\0\
\x1a\xc0\0\0\x18\0\0\0\x7f\x0c\0\0\xf5\x0d\0\0\x06\xc8\0\0\x19\0\0\0\x7f\x0c\0\
\0\x1e\x0e\0\0\x24\xcc\0\0\x1b\0\0\0\x7f\x0c\0\0\x1e\x0e\0\0\x1b\xcc\0\0\x1c\0\
\0\0\x7f\x0c\0\0\x66\x0e\0\0\x02\xd4\0\0\x28\0\0\0\x06\0\0\0\x71\x0e\0\0\0\0\0\
\0\x11\0\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x70\x61\x73\x73\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x72\x75\x6e\x71\x75\x65\x75\x65\x73\0\0\0\0\0\0\0\x62\x70\
\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\0\0\0\0\0\0\0\0\0\0\x62\x70\
\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\0\0\0\0\0\0\0\0\0\x62\x70\
\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\0\0";
	opts.insns_sz = 2024;
	opts.insns = (void *)"\
\xbf\x16\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x78\xff\xff\xff\xb7\x02\0\
\0\x88\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x05\0\x11\0\0\0\0\0\x61\
\xa1\x78\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x7c\xff\
\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x80\xff\0\0\0\0\xd5\
\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x88\x25\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\x84\x25\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x78\x25\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\0\x05\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x70\x25\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\
\0\0\x12\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x70\x25\0\0\xb7\x03\0\0\x1c\0\0\0\
\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xd7\xff\0\0\0\0\x63\x7a\x78\
\xff\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xc0\x25\0\0\
\x63\x01\0\0\0\0\0\0\x61\x60\x1c\0\0\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x9c\x25\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\
\0\0\0\0\0\0\0\x90\x25\0\0\xb7\x03\0\0\x48\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\
\0\0\0\0\0\xc5\x07\xc6\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x71\
\0\0\0\0\0\0\x79\x63\x20\0\0\0\0\0\x15\x03\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\
\0\0\0\xd8\x25\0\0\xb7\x02\0\0\x20\0\0\0\x61\x60\x04\0\0\0\0\0\x45\0\x02\0\x01\
\0\0\0\x85\0\0\0\x94\0\0\0\x05\0\x01\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x18\x62\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x20\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\x26\
\0\0\x63\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xf8\x25\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\x08\x26\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xd8\
\x25\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x10\x26\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\
\0\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\xb7\x03\0\0\x20\0\0\0\x85\0\
\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xa2\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\
\0\0\0\0\x20\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xf0\x27\0\0\x7b\x01\0\0\0\0\0\
\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x28\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xe8\x27\
\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x18\x27\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\x30\x28\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x20\
\x27\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x40\x28\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\xd0\x27\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x60\x28\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x58\x28\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\xf8\x27\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\xfc\x27\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\0\x28\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\
\0\0\0\0\0\0\0\0\x28\x28\0\0\x63\x01\0\0\0\0\0\0\x18\x68\0\0\0\0\0\0\0\0\0\0\
\x28\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x70\x28\0\0\xb7\x02\0\0\x0a\0\0\0\xb7\
\x03\0\0\x0e\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\
\x75\x07\x03\0\0\0\0\0\x62\x08\x04\0\0\0\0\0\x62\x08\x0c\0\0\0\0\0\x05\0\x04\0\
\0\0\0\0\x63\x78\x04\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x78\x0c\0\0\0\0\0\x75\
\x07\x03\0\0\0\0\0\x71\x89\x01\0\0\0\0\0\x54\x09\0\0\x0f\0\0\0\x73\x98\x01\0\0\
\0\0\0\x18\x68\0\0\0\0\0\0\0\0\0\0\x80\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x80\
\x28\0\0\xb7\x02\0\0\x0f\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x64\0\0\0\0\0\0\0\0\0\0\
\x90\x28\0\0\xbf\x47\0\0\0\0\0\0\x85\0\0\0\xb3\0\0\0\x79\x79\0\0\0\0\0\0\xbf\
\x07\0\0\0\0\0\0\x15\x07\x01\0\xfe\xff\xff\xff\xc5\x07\x52\xff\0\0\0\0\x63\x98\
\x04\0\0\0\0\0\x77\x09\0\0\x20\0\0\0\x63\x98\x0c\0\0\0\0\0\x18\x68\0\0\0\0\0\0\
\0\0\0\0\xa8\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x98\x28\0\0\xb7\x02\0\0\x10\0\
\0\0\xb7\x03\0\0\0\0\0\0\x18\x64\0\0\0\0\0\0\0\0\0\0\xa8\x28\0\0\xbf\x47\0\0\0\
\0\0\0\x85\0\0\0\xb3\0\0\0\x79\x79\0\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x01\
\0\xfe\xff\xff\xff\xc5\x07\x41\xff\0\0\0\0\x63\x98\x04\0\0\0\0\0\x77\x09\0\0\
\x20\0\0\0\x63\x98\x0c\0\0\0\0\0\x18\x68\0\0\0\0\0\0\0\0\0\0\xd0\x26\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xb0\x28\0\0\xb7\x02\0\0\x0f\0\0\0\xb7\x03\0\0\x0e\0\0\
\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\x75\x07\x03\0\0\
\0\0\0\x62\x08\x04\0\0\0\0\0\x62\x08\x0c\0\0\0\0\0\x05\0\x04\0\0\0\0\0\x63\x78\
\x04\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x78\x0c\0\0\0\0\0\x75\x07\x03\0\0\0\0\
\0\x71\x89\x01\0\0\0\0\0\x54\x09\0\0\x0f\0\0\0\x73\x98\x01\0\0\0\0\0\xb7\x01\0\
\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xe0\x27\0\0\xb7\x03\0\0\x8c\0\0\0\x85\
\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x34\x26\0\0\
\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\
\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xdc\x26\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\
\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\x07\x17\xff\0\0\0\0\x63\
\x7a\x80\xff\0\0\0\0\x61\xa1\x78\xff\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\
\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa0\x80\xff\0\0\0\0\x63\x06\x28\0\0\0\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x63\x06\x18\0\0\0\0\0\xb7\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->data = skel_finalize_map_data(&skel->maps.data.initial_value,
					65536, PROT_READ | PROT_WRITE, skel->maps.data.map_fd);
	if (!skel->data)
		return -ENOMEM;
	return 0;
}

static inline struct test_ksyms_weak_lskel *
test_ksyms_weak_lskel__open_and_load(void)
{
	struct test_ksyms_weak_lskel *skel;

	skel = test_ksyms_weak_lskel__open();
	if (!skel)
		return NULL;
	if (test_ksyms_weak_lskel__load(skel)) {
		test_ksyms_weak_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
test_ksyms_weak_lskel__assert(struct test_ksyms_weak_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->out__existing_typed) == 4, "unexpected size of 'out__existing_typed'");
	_Static_assert(sizeof(s->data->out__existing_typeless) == 8, "unexpected size of 'out__existing_typeless'");
	_Static_assert(sizeof(s->data->out__non_existent_typeless) == 8, "unexpected size of 'out__non_existent_typeless'");
	_Static_assert(sizeof(s->data->out__non_existent_typed) == 8, "unexpected size of 'out__non_existent_typed'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_KSYMS_WEAK_LSKEL_SKEL_H__ */
