/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XSK_XDP_PROGS_SKEL_H__
#define __XSK_XDP_PROGS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct xsk_xdp_progs {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *xsk;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *xsk_def_prog;
		struct bpf_program *xsk_xdp_drop;
	} progs;
	struct {
		struct bpf_link *xsk_def_prog;
		struct bpf_link *xsk_xdp_drop;
	} links;

#ifdef __cplusplus
	static inline struct xsk_xdp_progs *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xsk_xdp_progs *open_and_load();
	static inline int load(struct xsk_xdp_progs *skel);
	static inline int attach(struct xsk_xdp_progs *skel);
	static inline void detach(struct xsk_xdp_progs *skel);
	static inline void destroy(struct xsk_xdp_progs *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xsk_xdp_progs__destroy(struct xsk_xdp_progs *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xsk_xdp_progs__create_skeleton(struct xsk_xdp_progs *obj);

static inline struct xsk_xdp_progs *
xsk_xdp_progs__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xsk_xdp_progs *obj;
	int err;

	obj = (struct xsk_xdp_progs *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xsk_xdp_progs__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xsk_xdp_progs__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xsk_xdp_progs *
xsk_xdp_progs__open(void)
{
	return xsk_xdp_progs__open_opts(NULL);
}

static inline int
xsk_xdp_progs__load(struct xsk_xdp_progs *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xsk_xdp_progs *
xsk_xdp_progs__open_and_load(void)
{
	struct xsk_xdp_progs *obj;
	int err;

	obj = xsk_xdp_progs__open();
	if (!obj)
		return NULL;
	err = xsk_xdp_progs__load(obj);
	if (err) {
		xsk_xdp_progs__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xsk_xdp_progs__attach(struct xsk_xdp_progs *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xsk_xdp_progs__detach(struct xsk_xdp_progs *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xsk_xdp_progs__elf_bytes(size_t *sz);

static inline int
xsk_xdp_progs__create_skeleton(struct xsk_xdp_progs *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xsk_xdp_progs";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "xsk";
	s->maps[0].map = &obj->maps.xsk;

	s->maps[1].name = "xsk_xdp_.bss";
	s->maps[1].map = &obj->maps.bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xsk_def_prog";
	s->progs[0].prog = &obj->progs.xsk_def_prog;
	s->progs[0].link = &obj->links.xsk_def_prog;

	s->progs[1].name = "xsk_xdp_drop";
	s->progs[1].prog = &obj->progs.xsk_xdp_drop;
	s->progs[1].link = &obj->links.xsk_xdp_drop;

	s->data = (void *)xsk_xdp_progs__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xsk_xdp_progs__elf_bytes(size_t *sz)
{
	*sz = 2480;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x78\x73\x6b\x5f\x78\x64\x70\x5f\x70\x72\x6f\x67\x73\x2e\x63\0\x69\x64\x78\0\
\x4c\x42\x42\x31\x5f\x32\0\x78\x73\x6b\x5f\x64\x65\x66\x5f\x70\x72\x6f\x67\0\
\x78\x73\x6b\0\x78\x73\x6b\x5f\x78\x64\x70\x5f\x64\x72\x6f\x70\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x3c\0\0\0\0\0\x03\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\
\0\0\0\0\0\x50\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x54\0\0\0\
\x12\0\x03\0\x30\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x61\0\0\0\x11\0\x06\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\
\0\0\xb7\x03\0\0\x01\0\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\xbc\x23\0\0\0\0\0\0\x04\x03\0\0\x01\
\0\0\0\x63\x31\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x54\x02\0\0\x01\0\0\0\x56\x02\
\x05\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\
\0\0\x01\0\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x78\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x10\x02\0\0\x10\x02\0\0\
\x9f\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x11\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\
\x33\0\0\0\x07\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x02\x0c\0\0\0\x42\0\0\0\x06\0\0\x04\x18\0\0\0\x49\0\0\0\x0d\0\0\0\0\0\0\
\0\x4e\0\0\0\x0d\0\0\0\x20\0\0\0\x57\0\0\0\x0d\0\0\0\x40\0\0\0\x61\0\0\0\x0d\0\
\0\0\x60\0\0\0\x71\0\0\0\x0d\0\0\0\x80\0\0\0\x80\0\0\0\x0d\0\0\0\xa0\0\0\0\x8f\
\0\0\0\0\0\0\x08\x0e\0\0\0\x95\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\
\0\0\x0d\x02\0\0\0\xa2\0\0\0\x0b\0\0\0\xa6\0\0\0\x01\0\0\x0c\x0f\0\0\0\xb3\0\0\
\0\x01\0\0\x0c\x0f\0\0\0\xc0\0\0\0\0\0\0\x0e\x0e\0\0\0\0\0\0\0\xc4\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x13\0\0\0\x04\0\0\0\x04\0\
\0\0\xc9\0\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\x8c\x01\0\0\x01\0\0\x0f\x20\0\0\0\
\x0a\0\0\0\0\0\0\0\x20\0\0\0\x92\x01\0\0\x01\0\0\x0f\x04\0\0\0\x12\0\0\0\0\0\0\
\0\x04\0\0\0\x97\x01\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\0\0\0\x04\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\
\x78\x73\x6b\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\
\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\
\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\
\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\
\x64\x70\0\x78\x73\x6b\x5f\x64\x65\x66\x5f\x70\x72\x6f\x67\0\x78\x73\x6b\x5f\
\x78\x64\x70\x5f\x64\x72\x6f\x70\0\x69\x64\x78\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x33\x37\x32\x2e\x65\x6c\x39\x2e\x70\x70\x63\x36\x34\x6c\
\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x78\x73\
\x6b\x5f\x78\x64\x70\x5f\x70\x72\x6f\x67\x73\x2e\x63\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\
\x26\x78\x73\x6b\x2c\x20\x30\x2c\x20\x58\x44\x50\x5f\x44\x52\x4f\x50\x29\x3b\0\
\x09\x69\x66\x20\x28\x69\x64\x78\x2b\x2b\x20\x25\x20\x32\x29\0\x7d\0\x2e\x6d\
\x61\x70\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x7c\0\0\0\x98\0\0\0\0\0\0\0\x08\0\0\0\
\xa2\0\0\0\x02\0\0\0\0\0\0\0\x10\0\0\0\x30\0\0\0\x11\0\0\0\x10\0\0\0\xa2\0\0\0\
\x07\0\0\0\0\0\0\0\xd2\0\0\0\x4d\x01\0\0\x09\x48\0\0\x28\0\0\0\xd2\0\0\0\x4d\
\x01\0\0\x02\x48\0\0\x30\0\0\0\xd2\0\0\0\x7a\x01\0\0\x09\x60\0\0\x68\0\0\0\xd2\
\0\0\0\x7a\x01\0\0\x0c\x60\0\0\x70\0\0\0\xd2\0\0\0\x7a\x01\0\0\x06\x60\0\0\x78\
\0\0\0\xd2\0\0\0\x4d\x01\0\0\x09\x6c\0\0\xa0\0\0\0\xd2\0\0\0\x8a\x01\0\0\x01\
\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb0\x01\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x02\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x1b\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x72\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\xc7\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x78\x06\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct xsk_xdp_progs *xsk_xdp_progs::open(const struct bpf_object_open_opts *opts) { return xsk_xdp_progs__open_opts(opts); }
struct xsk_xdp_progs *xsk_xdp_progs::open_and_load() { return xsk_xdp_progs__open_and_load(); }
int xsk_xdp_progs::load(struct xsk_xdp_progs *skel) { return xsk_xdp_progs__load(skel); }
int xsk_xdp_progs::attach(struct xsk_xdp_progs *skel) { return xsk_xdp_progs__attach(skel); }
void xsk_xdp_progs::detach(struct xsk_xdp_progs *skel) { xsk_xdp_progs__detach(skel); }
void xsk_xdp_progs::destroy(struct xsk_xdp_progs *skel) { xsk_xdp_progs__destroy(skel); }
const void *xsk_xdp_progs::elf_bytes(size_t *sz) { return xsk_xdp_progs__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xsk_xdp_progs__assert(struct xsk_xdp_progs *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XSK_XDP_PROGS_SKEL_H__ */
